2009-01-24 01:33  mloskot

	* capi/geos_ts_c.cpp: Fixed mixed signed/unsigned integral types in
	  geos_ts_c.cpp, so no compilers should flood with warnings now.

2009-01-24 01:30  mloskot

	* build/msvc80/geos_c_dll/geos_c_dll.vcproj,
	  build/msvc80/geos_lib/geos_lib.vcproj,
	  build/msvc80/geos_unit/geos_unit.vcproj: Updated projects for
	  Visual Studio 2005 adding new .h/.cpp files.

2009-01-23 23:58  mloskot

	* capi/geos_ts_c.cpp, source/geom/util/GeometryCombiner.cpp,
	  source/headers/geos/geom/util/GeometryCombiner.h,
	  source/headers/geos/io/CLocalizer.h,
	  source/headers/geos/operation/union/CascadedPolygonUnion.h,
	  source/io/CLocalizer.cpp,
	  source/operation/union/CascadedPolygonUnion.cpp,
	  tests/unit/capi/GEOSGeomToWKTTest.cpp,
	  tests/unit/capi/badthreadtest.c, tests/unit/capi/threadtest.c,
	  tests/unit/operation/union/CascadedPolygonUnionTest.cpp: Updated
	  svn:keywords property on C/C++ files.

2009-01-21 22:18  pramsey

	* source/geom/Geometry.cpp: Remove geometryCollection protection
	  from Union/Relate/Intersection/Difference.

2009-01-20 01:01  pramsey

	* capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	  source/headers/geos/operation/union/CascadedPolygonUnion.h,
	  source/operation/union/CascadedPolygonUnion.cpp: Add
	  GEOSUnionCascaded(*GEOSGeometry) to CAPI in preparation for
	  PostGIS hook-up.

2009-01-19 23:55  pramsey

	* capi/geos_c.cpp, capi/geos_ts_c.cpp: Formatting changes to
	  function decls.

2009-01-19 20:41  hobu

	* source/Makefile.vc: fixes to allow building in msvc 2003

2009-01-19 20:00  pramsey

	* configure.in: Make warning flags conditional behind a compiler
	  test... fix to bug #192 ?

2009-01-19 16:44  pramsey

	* source/headers/geos/operation/union/CascadedPolygonUnion.h,
	  source/operation/union/CascadedPolygonUnion.cpp: Added patch from
	  hkaiser to allow cascadedunion to be run directly on a
	  multipolygon.

2009-01-19 00:12  pramsey

	* autogen.sh: Fix error left behind from testing.

2009-01-18 23:28  pramsey

	* autogen.sh: Add some more info on missing tools.

2009-01-18 23:07  pramsey

	* HOWTO_RELEASE, Makefile.am, build, build/Makefile.am,
	  build/msvc80, build/msvc80/Makefile.am, build/msvc80/geos_c_dll,
	  build/msvc80/geos_c_dll/Makefile.am, build/msvc80/geos_lib,
	  build/msvc80/geos_lib/Makefile.am, build/msvc80/geos_python,
	  build/msvc80/geos_python/Makefile.am, build/msvc80/geos_ruby,
	  build/msvc80/geos_ruby/Makefile.am, build/msvc80/geos_unit,
	  build/msvc80/geos_unit/Makefile.am, configure.in,
	  source/Makefile.vc, source/headers/geos/Makefile.am: Add msvc
	  files to distribution target, and update release notes to include
	  updating
	  version in .vc headers.

2009-01-18 22:35  pramsey

	* configure.in: Add a couple extra program checks.

2009-01-18 21:30  pramsey

	* autogen.sh: Add version test for aclocal and automake to allow
	  OpenSolaris to work.

2009-01-18 20:34  pramsey

	* configure.in, source/geom/Envelope.cpp,
	  source/geom/util/GeometryCombiner.cpp,
	  source/geom/util/Makefile.am,
	  source/headers/geos/geom/Envelope.h,
	  source/headers/geos/geom/util/GeometryCombiner.h,
	  source/headers/geos/index/strtree/AbstractSTRtree.h,
	  source/headers/geos/noding/MCIndexNoder.h,
	  source/headers/geos/operation/Makefile.am,
	  source/headers/geos/operation/union,
	  source/headers/geos/operation/union/CascadedPolygonUnion.h,
	  source/headers/geos/operation/union/Makefile.am,
	  source/index/strtree/AbstractSTRtree.cpp,
	  source/operation/Makefile.am, source/operation/union,
	  source/operation/union/CascadedPolygonUnion.cpp,
	  source/operation/union/Makefile.am, tests/unit,
	  tests/unit/Makefile.am, tests/unit/operation/union,
	  tests/unit/operation/union/CascadedPolygonUnionTest.cpp: Apply
	  cascaded union patch, for issue #225

2009-01-15 01:00  pramsey

	* tests/xmltester/Makefile.am: Remove XMLTester from list of
	  installed programs.

2009-01-14 20:25  pramsey

	* capi/geos_ts_c.cpp: Remove strdup use from code for compilation
	  in mingw

2009-01-13 20:59  pramsey

	* configure.in: Add [macros] include to configure.in directly.
	  Seems to make more recent aclocals happy

2009-01-13 20:43  pramsey

	* configure.in: Change AC_SUBST to one-per-line instead of
	  one-line-for-all. Seems to make more recent autoconf's happier.

2009-01-13 19:23  pramsey

	* capi/geos_ts_c.cpp: Change return values for
	  GEOSWKBWriter_getIncludeSRID_r to match function signature.

2009-01-13 17:04  pramsey

	* tests/unit/capi/badthreadtest.c, tests/unit/capi/brokengrammar,
	  tests/unit/capi/threadtest.c: More files missing from commit.

2009-01-13 15:47  pramsey

	* capi/geos_ts_c.cpp: Add missing file to SVN.

2009-01-13 01:21  pramsey

	* capi/Makefile.am, capi/geos_c.cpp, capi/geos_c.h.in,
	  capi/geostest.c, capi/test.expected, capi/test.wkt,
	  capi/testrunner.sh, tests/unit/Makefile.am,
	  tests/unit/capi/geostest.c, tests/unit/capi/test.expected,
	  tests/unit/capi/test.wkt, tests/unit/capi/testrunner.sh: Apply
	  patch for issue #210 (thread safe c-api) submitted by Chuck
	  Thibert.

2009-01-05 23:42  swongu

	* source/operation/buffer/BufferBuilder.cpp,
	  source/operation/buffer/OffsetCurveVertexList.h,
	  source/operation/linemerge/LineMerger.cpp: Fixed memory leak in
	  BufferBuilder (#218); added read-only coordinates function in
	  OffsetCurveVertexList; explicity pass ownership in LineMerger.

2008-11-26 19:41  pramsey

	* source/headers/geos/noding/Octant.h,
	  tests/unit/noding/SegmentStringTest.cpp: Octant.h error (#185)
	  from Denise Macleod.

2008-11-26 19:27  pramsey

	* source/io/WKBWriter.cpp: Allow proper writing out of z ordinates.
	  From Justin Bronn (#216)

2008-11-26 19:25  pramsey

	* source/io/WKBReader.cpp: Allow readpoint to look at input
	  dimension and fill higher ordinates. (#217)

2008-11-26 19:06  pramsey

	* capi/geos_c.cpp, capi/geos_c.h.in: Expose GEOSIsValidReason to
	  CAPI

2008-11-18 03:09  pramsey

	* source/inlines.cpp: Cygwin build fix from MCA

2008-11-11 17:32  pramsey

	* source/geomgraph/EdgeList.cpp,
	  source/headers/geos/geomgraph/EdgeList.h,
	  source/operation/overlay/OverlayOp.cpp: Memory leak on invalid
	  polygons in intersection(). (#170) from Denise MacLeod.

2008-11-05 20:52  pramsey

	* source/geom/prep/PreparedLineStringIntersects.cpp: Another minor
	  memory leak removed.

2008-10-28 15:47  pramsey

	* source/inlines.cpp: Cygwin/Mingw patch from Mark Cave-Ayland

2008-10-23 17:33  warmerdam

	* source/operation/valid/IsValidOp.cpp: set isChecked flag after
	  checking to fix memory leak (#169)

2008-10-16 00:40  pramsey

	* HOWTO_RELEASE: change info to point to osgeo.org

2008-10-14 15:01  pramsey

	* capi/geos_c.cpp, capi/geos_c.h.in: Consistent const declarations
	  in c-api ($#209)

2008-10-13 22:40  pramsey

	* source/headers/geos/io/Makefile.am: Add CLocalizer.h to build so
	  it gets packaged in make dist

2008-10-10 17:46  pramsey

	* source/geom/prep/PreparedPolygonContainsProperly.cpp: One last
	  memory leak fix.

2008-10-09 16:39  pramsey

	* source/geom/prep/PreparedPolygonIntersects.cpp: Memory leak fix
	  for for prepared intersects. (#207)

2008-10-04 18:14  pramsey

	* source/headers/geos/noding/MCIndexSegmentSetMutualIntersector.h,
	  source/noding/MCIndexSegmentSetMutualIntersector.cpp: Memory leak
	  fix for prepared geometry, from Hartmut Kaiser. (#207)

2008-09-29 19:24  pramsey

	* capi/geos_c.cpp: Put function sig on one line

2008-09-23 23:01  mloskot

	* source/geom/prep/AbstractPreparedPolygonContains.cpp,
	  source/geom/prep/PreparedPolygon.cpp,
	  source/geom/prep/PreparedPolygonContains.cpp,
	  source/geom/prep/PreparedPolygonPredicate.cpp,
	  source/headers/geos/geom/prep/PreparedPolygonContains.h,
	  source/headers/geos/index/SpatialIndex.h,
	  source/headers/geos/index/chain/MonotoneChain.h,
	  source/headers/geos/index/strtree/ItemBoundable.h,
	  source/headers/geos/noding/MCIndexSegmentSetMutualIntersector.h,
	  source/headers/geos/noding/SegmentSetMutualIntersector.h,
	  source/index/chain/MonotoneChain.cpp,
	  source/index/chain/MonotoneChainBuilder.cpp,
	  source/index/strtree/AbstractSTRtree.cpp,
	  source/index/strtree/ItemBoundable.cpp: Moved some ctor/dctor
	  bodies from headers to translation units. Improved source code
	  readability. TODO: We need to run a beast like AStyle on all GEOS
	  code because many places are very hard to read.

2008-09-23 22:55  mloskot

	* source/noding/MCIndexSegmentSetMutualIntersector.cpp:
	  MCIndexSegmentSetMutualIntersector::addToIndex: Completed BWJ's
	  comment on memory leaks with important observations about objects
	  relation & lifetime. The note is a diagnosis of roots of the
	  problem. Improved source code readability.

2008-09-22 21:48  mloskot

	* source/headers/geos/io/WKBWriter.h: Use conditional operators
	  instead of cast bool to int.

2008-09-22 20:16  mloskot

	* source/simplify/TopologyPreservingSimplifier.cpp: Removed
	  unnecessary std::endl from debug messages in
	  TopologyPreservingSimplifier.cpp.

2008-09-21 21:32  mloskot

	* source/Makefile.vc: Patched NMAKE makefiles: replaced lib.exe
	  with link.exe /lib command to enabled compilation using Microsoft
	  Visual C++ Toolkit 2003

2008-09-16 21:09  mloskot

	* source/operation/predicate/SegmentIntersectionTester.cpp,
	  source/util/math.cpp: Patch fixing build problems on Solaris
	  (Ticket #205).

2008-09-16 21:01  mloskot

	* tests/unit/geom/prep/PreparedGeometryFactoryTest.cpp: Fixed EOL
	  to LF.

2008-09-16 20:58  mloskot

	* source/geom/prep/PreparedGeometryFactory.cpp,
	  tests/unit/geom/prep/PreparedGeometryFactoryTest.cpp: Fixed crash
	  of Prepared Geometry construction with nullptr to Geometry object
	  (Ticket #197).

2008-09-16 20:55  mloskot

	* build/msvc80/geos_unit/geos_unit.vcproj: Added
	  PreparedGeometryFactoryTest to geos_unit.vcproj.

2008-09-16 20:15  mloskot

	* build/msvc80/geos_lib/geos_lib.vcproj: Added CLocalizer to
	  geos_lib.vcproj project for Visual C++ 2005/2008.

2008-09-16 20:13  mloskot

	* tests/unit/algorithm/CGAlgorithms/isPointInRingTest.cpp: Include
	  missing <cassert> in isPointInRingTest.cpp

2008-09-16 20:05  mloskot

	* source/Makefile.vc, source/io/CLocalizer.cpp: Fixed undeclared
	  std::locale in CLocalizer when building using Visual C++ (Ticket
	  #201)

2008-08-31 20:28  mloskot

	* tests/unit/geos_unit.cpp: Replaced incorrect <cmath> with
	  <cstdlib> in geos_unit.cpp.

2008-08-31 20:23  mloskot

	* tests/unit/geos_unit.cpp: Added missing include <cmath> in
	  geos_unit.cpp.

2008-08-31 19:54  mloskot

	* source/headers/geos/io/CLocalizer.h, source/io/CLocalizer.cpp:
	  Removed use of strdup function to fix compilation with GCC 4.3.1
	  (Ticket #204).

2008-08-29 18:17  mloskot

	* capi/geos_c.cpp: Removed redundant return expressions from
	  geos_c.cpp. Testing changes notifications for buildbot.

2008-08-29 00:30  mloskot

	* capi/geos_c.cpp: Fixed execution paths and removed redundant
	  return expr in some C API calls.

2008-08-29 00:29  mloskot

	* source/headers/geos/io/WKBWriter.h, source/io/WKBWriter.cpp:
	  Added missing virtual destructor to WKBWriter class.

2008-08-28 22:20  sgillies

	* capi/geos_c.cpp, source/headers/geos/io.h,
	  source/headers/geos/io/CLocalizer.h, source/io/CLocalizer.cpp,
	  source/io/Makefile.am: Added CLocalizer class that switches to C
	  locale and restores to the outer context's locale when deleted
	  (#201)

2008-08-28 21:35  mloskot

	* tests/unit/Makefile.am, tests/unit/capi/GEOSGeomToWKTTest.cpp:
	  tests/unit: added GEOSGeomToWKTTest.

2008-08-28 19:16  sgillies

	* capi/geos_c.cpp: Switch to C locale while reading and writing WKT
	  and restore to the original context's locale afterward (#201)

2008-08-22 17:25  warmerdam

	* source/operation/buffer/BufferOp.cpp: include cmath for
	  std::pow() and std:log() on MSVC7.1 (#199)

2008-08-22 16:10  mloskot

	* build/bjam/README: Added build/bjam/README with status note.

2008-08-19 17:02  mloskot

	* tests/unit/geom/LineStringTest.cpp: LineStringTest: fixed memory
	  leak.

2008-08-19 17:00  mloskot

	* source/geom/util/CoordinateOperation.cpp,
	  source/geom/util/GeometryEditor.cpp: geos/geom/util: Prefer
	  strict static_cast than C-style cast. Commented ownership
	  transfer of coordinates object.

2008-08-19 00:18  mloskot

	* tests/unit/algorithm/ConvexHullTest.cpp:
	  tests/unit/algorithm/ConvexHullTest.cpp: Fixed memory leaks.

2008-08-19 00:05  mloskot

	* tests/unit/algorithm/CGAlgorithms/isPointInRingTest.cpp:
	  tests/unit/algorithm/CGAlgorithms: Fixed memory leaks.

2008-08-18 23:45  mloskot

	* tests/unit/algorithm/CGAlgorithms/isCCWTest.cpp:
	  tests/unit/algorithm/CGAlgorithms: Fixed number of memory leaks.

2008-08-18 23:30  mloskot

	* tests/unit/capi/GEOSCoordSeqTest.cpp,
	  tests/unit/capi/GEOSSimplifyTest.cpp: tests/unit/capi: Fixed
	  number of memory leaks.

2008-08-18 16:32  mloskot

	* tests/bigtest/GeometryTestFactory.cpp,
	  tests/bigtest/TestSweepLineSpeed.cpp: tests/bigtest: Pointed out
	  number of memory leaks but not fixing them, waiting for comments.

2008-08-18 16:30  mloskot

	* tests/unit/algorithm/ConvexHullTest.cpp,
	  tests/unit/geom/GeometryFactoryTest.cpp,
	  tests/unit/geom/LineStringTest.cpp,
	  tests/unit/geom/MultiLineStringTest.cpp,
	  tests/unit/geom/MultiPointTest.cpp,
	  tests/unit/geom/PolygonTest.cpp,
	  tests/unit/geom/prep/PreparedGeometryFactoryTest.cpp,
	  tests/unit/simplify/TopologyPreservingSimplifierTest.cpp,
	  tests/unit/utility.h: tests/unit: added tests cases to
	  PreparedGeometryFactoryTest, refactored casting utils and
	  geometry comparators, small cleanup.

2008-08-18 16:29  mloskot

	* source/algorithm/RayCrossingCounter.cpp,
	  source/algorithm/locate/IndexedPointInAreaLocator.cpp,
	  source/algorithm/locate/PointOnGeometryLocator.cpp,
	  source/geom/util/ComponentCoordinateExtracter.cpp,
	  source/index/intervalrtree/IntervalRTreeBranchNode.cpp,
	  source/index/intervalrtree/IntervalRTreeLeafNode.cpp,
	  source/index/intervalrtree/IntervalRTreeNode.cpp,
	  source/index/intervalrtree/SortedPackedIntervalRTree.cpp,
	  source/noding/FastSegmentSetIntersectionFinder.cpp,
	  source/noding/MCIndexSegmentSetMutualIntersector.cpp,
	  source/noding/NodedSegmentString.cpp,
	  source/noding/SegmentIntersectionDetector.cpp,
	  source/noding/SegmentStringUtil.cpp: Fixed svn:keywords.

2008-08-18 16:27  mloskot

	* source/headers/geos/util.h: Fixed UNREFERENCED_PARAMETER macro.

2008-08-18 16:27  mloskot

	* source/headers/geos/geom/prep/AbstractPreparedPolygonContains.h,
	  source/headers/geos/geom/prep/BasicPreparedGeometry.h,
	  source/headers/geos/geom/prep/PreparedGeometry.h,
	  source/headers/geos/geom/prep/PreparedLineString.h,
	  source/headers/geos/geom/prep/PreparedLineStringIntersects.h,
	  source/headers/geos/geom/prep/PreparedPoint.h,
	  source/headers/geos/geom/prep/PreparedPolygon.h,
	  source/headers/geos/geom/prep/PreparedPolygonContains.h,
	  source/headers/geos/geom/prep/PreparedPolygonContainsProperly.h,
	  source/headers/geos/geom/prep/PreparedPolygonCovers.h,
	  source/headers/geos/geom/prep/PreparedPolygonIntersects.h,
	  source/headers/geos/geom/prep/PreparedPolygonPredicate.h: Fixed
	  svn:keywords.

2008-08-18 16:24  mloskot

	* source/geom/prep/AbstractPreparedPolygonContains.cpp,
	  source/geom/prep/BasicPreparedGeometry.cpp,
	  source/geom/prep/PreparedGeometry.cpp,
	  source/geom/prep/PreparedGeometryFactory.cpp,
	  source/geom/prep/PreparedLineString.cpp,
	  source/geom/prep/PreparedLineStringIntersects.cpp,
	  source/geom/prep/PreparedPoint.cpp,
	  source/geom/prep/PreparedPolygon.cpp,
	  source/geom/prep/PreparedPolygonContains.cpp,
	  source/geom/prep/PreparedPolygonContainsProperly.cpp,
	  source/geom/prep/PreparedPolygonCovers.cpp,
	  source/geom/prep/PreparedPolygonIntersects.cpp,
	  source/geom/prep/PreparedPolygonPredicate.cpp: geom/prep:
	  Refactored kamikaze casts to more readable form. Fixed
	  svn:keywords.

2008-08-12 00:25  mloskot

	* source/headers/geos/geomPrep.h: Fixed Id keywords.

2008-08-12 00:23  mloskot

	* tests/unit/algorithm/CGAlgorithms/computeOrientationTest.cpp,
	  tests/unit/algorithm/CGAlgorithms/isCCWTest.cpp,
	  tests/unit/algorithm/ConvexHullTest.cpp,
	  tests/unit/geom/prep/PreparedGeometryFactoryTest.cpp,
	  tests/unit/operation/IsSimpleOpTest.cpp: Fixed EOL to LF in
	  trunk/tests.

2008-08-12 00:09  mloskot

	* source/headers/geos/geom/prep/PreparedGeometryFactory.h: Updated
	  svn:keywords property.

2008-08-12 00:03  mloskot

	* tests/unit/geom/prep/PreparedGeometryFactoryTest.cpp: Updated
	  svn:keywords property.

2008-08-11 23:54  mloskot

	* tests/unit/geom/prep/PreparedGeometryFactoryTest.cpp: Refactored
	  tabs vs spaces in PreparedGeometryFactoryTest.

2008-08-11 23:52  mloskot

	* source/headers/geos/geom/prep/PreparedGeometryFactory.h:
	  PreparedGeometry must be a complete type where it is destroyed by
	  the factory (Ticket #198).

2008-08-11 23:42  mloskot

	* source/headers/geos/geom/prep/PreparedGeometryFactory.h,
	  tests/unit/geom/prep/PreparedGeometryFactoryTest.cpp: Completed
	  PreparedGeometryFactory class with missing named destructor for
	  PreparedGeometry (Ticket #198)

2008-08-11 23:35  mloskot

	* tests/unit/geom/prep/.PreparedGeometryFactoryTest.cpp.swp:
	  Removed .PreparedGeometryFactoryTest.cpp.swp that must sneaked
	  accidentally.

2008-08-11 22:48  mloskot

	* tests/unit/Makefile.am, tests/unit/geom/prep,
	  tests/unit/geom/prep/.PreparedGeometryFactoryTest.cpp.swp,
	  tests/unit/geom/prep/PreparedGeometryFactoryTest.cpp: Added
	  PreparedGeometryFactoryTest with first test cases included.
	  FIXME: The test causes memory leak because we don't know how to
	  destroy PreparedGeometry objects returned by the factory,
	  discussing on the geos-devel list now.

2008-08-07 16:59  pramsey

	* source/algorithm/RobustDeterminant.cpp: Added original author to
	  main copyright block.

2008-08-07 16:57  pramsey

	* source/headers/geos/timeval.h: Change to standard header, with
	  (c) credit to author.

2008-08-01 23:23  mloskot

	* ChangeLog: Updated ChangeLog with latest submissions. Hmm, should
	  we stil maintain the ChangeLog file?

2008-07-31 17:08  mloskot

	* tests/unit/capi/GEOSPolygonizer_getCutEdgesTest.cpp: Fixed tabs,
	  hopefully. Updated svn:keywords property.

2008-07-31 17:01  mloskot

	* capi/geos_c.cpp, capi/geos_c.h.in, tests/unit/Makefile.am,
	  tests/unit/capi/GEOSPolygonizer_getCutEdgesTest.cpp: Patch
	  completing C API interface with wrapper on
	  Polygonizer::getCutEdges (Ticket #195). Unit test included in
	  tests/unit/capi/GEOSPolygonizer_getCutEdgeTest.cpp. Thanks to
	  Jurgen E. Fischer for this patch.

2008-07-26 23:06  mloskot

	* doc/example.cpp, source/geomgraph/GeometryGraph.cpp,
	  source/headers/geos/noding/FastNodingValidator.h,
	  source/headers/geos/noding/IntersectionAdder.h,
	  source/index/quadtree/DoubleBits.cpp,
	  source/io/StringTokenizer.cpp,
	  tests/bigtest/TestSweepLineSpeed.cpp: Number of fixes enabling
	  GEOS compilation with GCC 4.3 (Ticket #167).

2008-07-26 21:00  mloskot

	* capi/geos_c.h.in: Guarded version macros with #ifndef conditions
	  to avoid redefinition errors (Ticket #167).

2008-07-26 20:47  mloskot

	* source/headers/geos/version.h.in,
	  source/headers/geos/version.h.vc: Guarded version macros with
	  #ifndef conditions to avoid redefinition errors (Ticket #167).

2008-07-26 20:24  mloskot

	* macros/ac_python_devel.m4: Fixed problems with finding libpython
	  on Mac Darwin (Ticket #191).

2008-07-26 19:57  mloskot

	* autogen.sh: Updated svn:keywords property.

2008-07-26 19:56  mloskot

	* autogen.sh: Fixed autogen.sh for OpenSolaris (Ticket #192).

2008-07-25 21:00  mloskot

	* build/README, build/msvc80/README, macros/geos.m4,
	  source/headers/geos/algorithm/CentralEndpointIntersector.h,
	  source/headers/geos/geomPrep.h,
	  source/headers/geos/indexIntervalRTree.h,
	  source/headers/geos/noding/FastNodingValidator.h,
	  source/headers/geos/noding/SingleInteriorIntersectionFinder.h,
	  source/noding/FastNodingValidator.cpp,
	  source/noding/SingleInteriorIntersectionFinder.cpp,
	  source/operation/buffer/OffsetCurveVertexList.h,
	  swig/python/tests/TESTING.txt: Updated svn:keywords property

2008-07-25 20:56  mloskot

	* tests/unit/operation/IsSimpleOpTest.cpp,
	  tests/unit/precision/SimpleGeometryPrecisionReducerTest.cpp:
	  Updated svn:keywords property

2008-07-19 19:11  warmerdam

	* source/Makefile.vc: added manifest handling for DLLs (#193)

2008-07-19 19:07  warmerdam

	* source/Makefile.vc: added rules to create platform.h, version.h
	  and geos_c.h from templates on win32

2008-07-15 22:04  mloskot

	* ChangeLog, capi/geos_c.cpp, source/algorithm/ConvexHull.cpp,
	  source/algorithm/RobustDeterminant.cpp,
	  source/algorithm/locate/IndexedPointInAreaLocator.cpp,
	  source/geomgraph/EdgeEnd.cpp, source/geomgraph/GeometryGraph.cpp,
	  source/headers/geos/geom/Coordinate.inl,
	  source/headers/geos/geom/LineSegment.inl,
	  source/headers/geos/io/WKBReader.h,
	  source/headers/geos/noding/IntersectionAdder.h,
	  source/index/bintree/Key.cpp, source/index/quadtree/Key.cpp,
	  source/io/ByteOrderValues.cpp, source/noding/Octant.cpp,
	  source/operation/buffer/BufferBuilder.cpp,
	  source/operation/buffer/BufferOp.cpp,
	  source/operation/buffer/OffsetCurveSetBuilder.cpp,
	  source/operation/distance/ConnectedElementPointFilter.cpp,
	  source/planargraph/DirectedEdge.cpp,
	  source/precision/SimpleGeometryPrecisionReducer.cpp,
	  source/util/math.cpp, tests/xmltester/XMLTester.cpp,
	  tests/xmltester/markup/MarkupSTL.h: Fixed compilation on with Sun
	  Studio compiler on Solaris x86 and Sparc (Ticket #189). Thanks to
	  Magne Mahre for the patch.

2008-07-15 13:35  mloskot

	* source/Makefile.vc: For building with Visual C++, added new flag
	  DEBUG=1 (see GEOS building instructions on GEOS Wiki). Added
	  missing flags for Visual C++ compiler, in release and debug
	  configuration.

2008-05-20 21:34  mloskot

	* source/dirlist.mk: Added missing subdirs to source/dirlist.mk

2008-05-20 21:31  mloskot

	* source/geom/prep: Updated svn:ignore patterns.

2008-05-20 21:25  mloskot

	* ChangeLog, bootstrap.bat, build/msvc80/geos.sln,
	  build/msvc80/geos_lib/geos_lib.vcproj,
	  source/geom/GeometryComponentFilter.cpp,
	  source/geom/PrecisionModel.cpp,
	  source/geom/util/GeometryTransformer.cpp,
	  source/headers/geos/geom/BinaryOp.h,
	  source/headers/geos/noding/MCIndexNoder.h,
	  source/headers/geos/noding/Octant.h,
	  source/headers/geos/noding/ScaledNoder.h,
	  source/headers/geos/operation/overlay/PointBuilder.h,
	  source/headers/geos/util.h, source/index/quadtree/NodeBase.cpp,
	  source/noding/ScaledNoder.cpp, source/noding/SegmentString.cpp,
	  source/noding/snapround/MCIndexPointSnapper.cpp,
	  source/operation/overlay/FuzzyPointLocator.cpp,
	  source/operation/overlay/OverlayOp.cpp,
	  source/precision/CommonBitsRemover.cpp,
	  source/precision/GeometrySnapper.cpp,
	  source/simplify/DouglasPeuckerSimplifier.cpp,
	  tests/unit/geom/DimensionTest.cpp: * source\headers\geos\util.h:
	  Add UNREFERENCED_PARAMETER macro.
	  * source\geom\PrecisionModel.cpp,
	  source\geom\GeometryComponentFilter.cpp,
	  source\geom\util\GeometryTransformer.cpp,
	  source\precision\GeometrySnapper.cpp,
	  source\precision\CommonBitsRemover.cpp,
	  source\simplify\DouglasPeuckerSimplifier.cpp,
	  source\operation\overlay\OverlayOp.cpp,
	  source\operation\overlay\FuzzyPointLocator.cpp,
	  source\index\quadtree\NodeBase.cpp,
	  source\headers\geos\geom\BinaryOp.h,
	  source\headers\geos\operation\overlay\PointBuilder.h,
	  source\headers\geos\noding\MCIndexNoder.h,
	  source\headers\geos\noding\ScaledNoder.h,
	  source\headers\geos\noding\Octant.h,
	  source\noding\ScaledNoder.cpp,
	  source\noding\snapround\MCIndexPointSnapper.cpp,
	  source\noding\SegmentString.cpp,
	  tests\unit\geom\DimensionTest.cpp: Use UNREFERENCED_PARAMETER
	  macro to get rid of C4100 warning when building with Visual C++.
	  * build\msvc80\geos_lib\geos_lib.vcproj: Remove non-existing
	  source files.

2008-05-20 20:45  mloskot

	* ChangeLog, source/Makefile.vc: source/makefile.vc: Removed
	  non-existing file entry: PreparedPolygonLineIntersects.obj.

2008-05-20 20:33  mloskot

	* ChangeLog, bootstrap.bat, source/Makefile.vc: * bootstrap.bat:
	  Added script generating headers for use with Visual C++ compiler.
	  DO NOT include this script in GEOS source distribution. *
	  source/makefile.vc: Do not make copies of 3 dynamic headers but
	  let users to use bootstrap.bat instead.

2008-02-07 22:59  warmerdam

	* Makefile.am: make sure makefile.vc gets distributed

2008-02-06 22:17  warmerdam

	* source/Makefile.am, source/Makefile.vc,
	  source/headers/geos/noding/Makefile.am: try to fix up the files
	  include in distribution, and remove unused files from Makefile.vc
	  (#175)

2008-01-30 22:34  benjubb

	* source/headers/geos/algorithm/RayCrossingCounter.h,
	  source/headers/geos/algorithm/locate/IndexedPointInAreaLocator.h,
	  source/headers/geos/algorithm/locate/PointOnGeometryLocator.h,
	  source/headers/geos/algorithm/locate/SimplePointInAreaLocator.h,
	  source/headers/geos/geom/prep/AbstractPreparedPolygonContains.h,
	  source/headers/geos/geom/prep/BasicPreparedGeometry.h,
	  source/headers/geos/geom/prep/PreparedGeometry.h,
	  source/headers/geos/geom/prep/PreparedGeometryFactory.h,
	  source/headers/geos/geom/prep/PreparedLineString.h,
	  source/headers/geos/geom/prep/PreparedLineStringIntersects.h,
	  source/headers/geos/geom/prep/PreparedPoint.h,
	  source/headers/geos/geom/prep/PreparedPolygon.h,
	  source/headers/geos/geom/prep/PreparedPolygonContains.h,
	  source/headers/geos/geom/prep/PreparedPolygonContainsProperly.h,
	  source/headers/geos/geom/prep/PreparedPolygonCovers.h,
	  source/headers/geos/geom/prep/PreparedPolygonIntersects.h,
	  source/headers/geos/geom/prep/PreparedPolygonPredicate.h,
	  source/headers/geos/geom/util/ComponentCoordinateExtracter.h,
	  source/headers/geos/geomUtil.h,
	  source/headers/geos/geosAlgorithm.h,
	  source/headers/geos/index/intervalrtree/SortedPackedIntervalRTree.h,
	  source/headers/geos/indexIntervalRTree.h,
	  source/headers/geos/noding/FastSegmentSetIntersectionFinder.h,
	  source/headers/geos/noding/MCIndexSegmentSetMutualIntersector.h,
	  source/headers/geos/noding/NodableSegmentString.h,
	  source/headers/geos/noding/NodedSegmentString.h,
	  source/headers/geos/noding/SegmentIntersectionDetector.h,
	  source/headers/geos/noding/SegmentSetMutualIntersector.h,
	  source/headers/geos/noding/SegmentStringUtil.h: Added
	  documentation, for benefit of doxygen.

2008-01-30 22:30  benjubb

	* source/geom/prep/PreparedPolygonIntersects.cpp: deleted
	  out-commented line.

2008-01-30 22:29  benjubb

	* source/geom/prep/PreparedPolygon.cpp: removed ref to
	  PreparedPolygonLineIntersection

2008-01-30 22:18  benjubb

	* source/geom/prep/Makefile.am,
	  source/headers/geos/geom/prep/Makefile.am: Removed refs to
	  PreparedPolygonLineIntersection.

2008-01-30 22:17  benjubb

	* source/geom/prep/PreparedPolygonLineIntersection.cpp,
	  source/headers/geos/geom/prep/PreparedPolygonLineIntersection.h:
	  Deleted. not used, not needed.
	  
	  

2008-01-30 19:09  benjubb

	* source/headers/geos/geomPrep.h: Added for benefit of doxygen.

2008-01-29 17:55  benjubb

	* source/geom/prep/AbstractPreparedPolygonContains.cpp,
	  source/geom/prep/PreparedLineString.cpp,
	  source/geom/prep/PreparedPolygon.cpp,
	  source/headers/geos/geom/prep/PreparedLineString.h,
	  source/headers/geos/noding/SegmentIntersectionDetector.h,
	  source/headers/geos/noding/SegmentIntersector.h,
	  source/noding/MCIndexSegmentSetMutualIntersector.cpp,
	  source/noding/SegmentIntersectionDetector.cpp: Some small changes
	  to improve the memory management. These changes plug a few leaks,
	  but not all.

2008-01-29 17:49  benjubb

	* source/operation/predicate/RectangleContains.cpp: Fix a bug in
	  the shortcut test for containment in a rectangle. This test
	  wasn't correctly testing for case of a point on the boundary.
	  
	  Was also a bug in JTS (now fixed).

2008-01-29 17:37  benjubb

	* source/geom/Geometry.cpp: Patch to fix bug in ticket #171

2008-01-22 19:34  benjubb

	* capi/geos_c.h.in, source/headers/geos/version.h.vc: Updated for
	  VC to give correct version (3.1.0-CAPI-1.5.0).

2008-01-18 00:37  benjubb

	* configure.in: Added to CAPI interface, cleared
	  CAPI_INTERFACE_REV, bumped AGE & CURRENT

2008-01-18 00:35  benjubb

	* source/index/chain/MonotoneChainBuilder.cpp: Fixed a bug in the
	  handling of line strings with repeated points.
	  
	  -This line, and those below, will be ignored--
	  
	  M MonotoneChainBuilder.cpp

2008-01-17 19:15  benjubb

	* capi/geos_c.cpp: Fixed a misspelling,
	  GEOSPreparedContainsProperty => GEOSPreparedContainsProperly

2008-01-16 18:36  warmerdam

	* source/Makefile.vc: updated to include post 3.0 classes

2008-01-09 23:49  benjubb

	* capi/geos_c.cpp, capi/geos_c.h.in: Added support for prepared
	  geometry

2008-01-09 23:48  benjubb

	* source/headers/geos/geom/prep/PreparedGeometryFactory.h: removed
	  extraneous 'using namespace'

2008-01-03 21:11  benjubb

	* source/noding/MCIndexSegmentSetMutualIntersector.cpp: commented
	  out some delete's in
	  MCIndexSegmentSetMutualIntersector::addToIndex, to fix a bug in
	  prepared contains() predicate.

2008-01-02 23:23  sgillies

	* swig/Makefile.am: Conditionally add swig/python,ruby to SUBDIRS

2007-12-22 00:04  mloskot

	* build/bjam/geos/Jamfile, build/bjam/geos_c, build/bjam/geos_unit:
	  Updated configuration of experimental builder based on
	  Boost.Build. GEOS compiles with bjam successfully as static
	  library.

2007-12-21 23:50  mloskot

	* source/Makefile.vc, source/algorithm/locate,
	  source/index/intervalrtree: Updated Visual C++ makefiles with new
	  submissions from Ben. Now, new GEOS features compiles with NMAKE
	  too.

2007-12-21 23:31  mloskot

	* source/headers/geos/algorithm/Makefile.am: Removed
	  SimplePointInAreaLocator.h from algorithm/Makefile.am (header
	  migrated to algorithm/locate).

2007-12-21 23:26  mloskot

	* source/algorithm/Makefile.am: Added comment about deprecated
	  translation units in source/algorithm.

2007-12-21 23:26  pramsey

	* source/geom/util/Makefile.am: remove trailing backslash

2007-12-21 23:21  mloskot

	* ., source/headers/geos/algorithm,
	  source/headers/geos/algorithm/locate, tests/unit: Updated
	  svn:ignore property.

2007-12-21 23:18  mloskot

	* source/geom/prep/PreparedPolygonContainsProperly.cpp: Fixed extra
	  qualifications in /geom/prep/PreparedPolygonContainsProperly.

2007-12-21 23:12  mloskot

	* source/geom/prep/AbstractPreparedPolygonContains.cpp,
	  source/geom/prep/PreparedGeometryFactory.cpp,
	  source/headers/geos/geom/prep/PreparedGeometryFactory.h: Fixed
	  extra qualifications in PreparedGeometryFactory class.

2007-12-21 22:57  mloskot

	* source/headers/geos/geom/util/ComponentCoordinateExtracter.h:
	  Fixed GeometryTypeId misused in
	  geos/geom/util/ComponentCoordinateExtracter.h.

2007-12-21 22:49  pramsey

	* source/geom/util/Makefile.am: remove .cpp files that weren't
	  there before

2007-12-21 22:49  mloskot

	* source/geom/CoordinateArraySequence.cpp,
	  source/geom/CoordinateSequence.cpp, source/geom/LineString.cpp:
	  Reverted changes appled in r2089 to three files from source/geom.

2007-12-21 22:47  pramsey

	* source/algorithm/Makefile.am: type subdir typo

2007-12-21 22:43  mloskot

	* source/geom/CoordinateArraySequence.cpp,
	  source/geom/CoordinateSequence.cpp, source/geom/LineString.cpp,
	  source/geom/prep, source/headers/geos/geom/prep,
	  source/headers/geos/index/intervalrtree,
	  source/index/intervalrtree: Updated svn:ignore property.

2007-12-21 22:41  mloskot

	* source/examples/CustomPointCoordinateSequence.cpp: Added missing
	  <iostream> header to CustomPointCoordinateSequence.cpp.

2007-12-21 22:40  mloskot

	* source/algorithm/Makefile.am,
	  source/algorithm/SimplePointInAreaLocator.cpp,
	  source/algorithm/locate: Removed unused
	  SimplePointInAreaLocator.cpp. This unit migrated to
	  algorithm/locate module.

2007-12-21 22:21  pramsey

	* configure.in: Updated configure.in with new locations.

2007-12-21 22:14  mloskot

	* configure.in: Updated configure.in with new locations.

2007-12-21 22:12  mloskot

	* configure.in: Updated configure.in with new locations.

2007-12-21 22:09  mloskot

	* configure.in: Updated configure.in with new locations.

2007-12-21 22:07  mloskot

	* configure.in: Updated configure.in with new locations.

2007-12-21 22:02  pramsey

	* source/headers/geos/algorithm/Makefile.am,
	  source/headers/geos/algorithm/locate/Makefile.am,
	  source/headers/geos/noding/Makefile.am: Add
	  headers/geos/algorithm/locate to automake

2007-12-21 22:01  pramsey

	* source/noding/Makefile.am: Add files to automake

2007-12-21 21:57  pramsey

	* source/headers/geos/index/Makefile.am,
	  source/headers/geos/index/intervalrtree/Makefile.am: Added
	  headers/index/intervalrtree to automake

2007-12-21 21:55  pramsey

	* source/headers/geos/geom/Makefile.am,
	  source/headers/geos/geom/prep/Makefile.am,
	  source/headers/geos/geom/util/Makefile.am: Added
	  headers/geom/prep headers/geom/util to automake

2007-12-21 21:47  pramsey

	* source/index/Makefile.am, source/index/intervalrtree/Makefile.am:
	  Added index/intervalrtree to automake

2007-12-21 21:43  pramsey

	* source/geom/util/Makefile.am: added
	  geom/util/ComponentCoordinateExtracter.h

2007-12-21 21:40  pramsey

	* source/geom/Makefile.am, source/geom/prep/Makefile.am: Add
	  geom/prep to automake

2007-12-21 21:36  pramsey

	* source/algorithm/Makefile.am,
	  source/algorithm/locate/Makefile.am: Add algorithm/location to
	  automake

2007-12-21 21:31  pramsey

	* source/algorithm/Makefile.am: Added new files

2007-12-21 20:50  benjubb

	* source/algorithm/RayCrossingCounter.cpp:

2007-12-21 20:48  benjubb

	* build/msvc80/geos_lib/geos_lib.vcproj:

2007-12-21 20:47  benjubb

	* source/headers/geos/index/intervalrtree,
	  source/headers/geos/index/intervalrtree/IntervalRTreeBranchNode.h,
	  source/headers/geos/index/intervalrtree/IntervalRTreeLeafNode.h,
	  source/headers/geos/index/intervalrtree/IntervalRTreeNode.h,
	  source/headers/geos/index/intervalrtree/SortedPackedIntervalRTree.h:
	  Added from JTS 1.9 to support prepared geometry

2007-12-21 20:47  benjubb

	* source/algorithm/locate,
	  source/algorithm/locate/IndexedPointInAreaLocator.cpp,
	  source/algorithm/locate/PointOnGeometryLocator.cpp,
	  source/algorithm/locate/SimplePointInAreaLocator.cpp: Added from
	  JTS 1.9 to support prepared geometry

2007-12-21 20:44  benjubb

	* source/geom/util/ComponentCoordinateExtracter.cpp: Added from JTS
	  1.9 to support prepared geometry

2007-12-21 20:44  benjubb

	* source/headers/geos/geom/util/ComponentCoordinateExtracter.h:
	  Added from JTS 1.9 to support prepared geometry

2007-12-21 20:42  benjubb

	* source/operation/predicate/RectangleIntersects.cpp: modified
	  because SimplePointInAreaLocator.h moved

2007-12-21 20:41  benjubb

	* source/noding/FastSegmentSetIntersectionFinder.cpp,
	  source/noding/MCIndexSegmentSetMutualIntersector.cpp,
	  source/noding/NodedSegmentString.cpp,
	  source/noding/SegmentIntersectionDetector.cpp,
	  source/noding/SegmentStringUtil.cpp: Added from JTS 1.9 to
	  support prepared geometry

2007-12-21 20:41  benjubb

	* source/index/intervalrtree,
	  source/index/intervalrtree/IntervalRTreeBranchNode.cpp,
	  source/index/intervalrtree/IntervalRTreeLeafNode.cpp,
	  source/index/intervalrtree/IntervalRTreeNode.cpp,
	  source/index/intervalrtree/SortedPackedIntervalRTree.cpp: Added
	  from JTS 1.9 to support prepared geometry

2007-12-21 20:40  benjubb

	* source/geom/prep,
	  source/geom/prep/AbstractPreparedPolygonContains.cpp,
	  source/geom/prep/BasicPreparedGeometry.cpp,
	  source/geom/prep/PreparedGeometry.cpp,
	  source/geom/prep/PreparedGeometryFactory.cpp,
	  source/geom/prep/PreparedLineString.cpp,
	  source/geom/prep/PreparedLineStringIntersects.cpp,
	  source/geom/prep/PreparedPoint.cpp,
	  source/geom/prep/PreparedPolygon.cpp,
	  source/geom/prep/PreparedPolygonContains.cpp,
	  source/geom/prep/PreparedPolygonContainsProperly.cpp,
	  source/geom/prep/PreparedPolygonCovers.cpp,
	  source/geom/prep/PreparedPolygonIntersects.cpp,
	  source/geom/prep/PreparedPolygonLineIntersection.cpp,
	  source/geom/prep/PreparedPolygonPredicate.cpp: Added from JTS 1.9
	  to support prepared geometry

2007-12-21 20:39  benjubb

	* source/geomgraph/EdgeEndStar.cpp: modified because
	  SimplePointInAreaLocator.h moved

2007-12-21 20:38  benjubb

	* source/headers/geos/algorithm/SimplePointInAreaLocator.h: Moved
	  into geos::algorithm::locate

2007-12-21 20:37  benjubb

	* source/headers/geos/algorithm/RayCrossingCounter.h: Added from
	  JTS 1.9 to support prepared geometry

2007-12-21 20:35  benjubb

	* source/headers/geos/geom/prep,
	  source/headers/geos/geom/prep/AbstractPreparedPolygonContains.h,
	  source/headers/geos/geom/prep/BasicPreparedGeometry.h,
	  source/headers/geos/geom/prep/PreparedGeometry.h,
	  source/headers/geos/geom/prep/PreparedGeometryFactory.h,
	  source/headers/geos/geom/prep/PreparedLineString.h,
	  source/headers/geos/geom/prep/PreparedLineStringIntersects.h,
	  source/headers/geos/geom/prep/PreparedPoint.h,
	  source/headers/geos/geom/prep/PreparedPolygon.h,
	  source/headers/geos/geom/prep/PreparedPolygonContains.h,
	  source/headers/geos/geom/prep/PreparedPolygonContainsProperly.h,
	  source/headers/geos/geom/prep/PreparedPolygonCovers.h,
	  source/headers/geos/geom/prep/PreparedPolygonIntersects.h,
	  source/headers/geos/geom/prep/PreparedPolygonLineIntersection.h,
	  source/headers/geos/geom/prep/PreparedPolygonPredicate.h: Added
	  from JTS 1.9 to support prepared geometry

2007-12-21 20:34  benjubb

	* source/headers/geos/noding/FastSegmentSetIntersectionFinder.h,
	  source/headers/geos/noding/MCIndexSegmentSetMutualIntersector.h,
	  source/headers/geos/noding/NodableSegmentString.h,
	  source/headers/geos/noding/NodedSegmentString.h,
	  source/headers/geos/noding/SegmentIntersectionDetector.h,
	  source/headers/geos/noding/SegmentSetMutualIntersector.h,
	  source/headers/geos/noding/SegmentStringUtil.h: Added from JTS
	  1.9 to support prepared geometry

2007-12-21 20:33  benjubb

	* source/headers/geos/noding/SegmentString.h: changed destructor to
	  be virtual

2007-12-21 20:31  benjubb

	* source/headers/geos/geom/Envelope.h: Added a covers() predicate,
	  from JTS 1.9, to support prepared geometry

2007-12-21 20:30  benjubb

	* source/headers/geos/geom/Geometry.h: changed IsRectangle to be
	  public

2007-12-21 20:03  benjubb

	* source/headers/geos/geom/Envelope.inl: Added a covers()
	  predicate, from JTS 1.9, to support prepared geometry

2007-12-21 20:00  benjubb

	* source/headers/geos/algorithm/locate/SimplePointInAreaLocator.h:
	  Moved from geos::algorithm as in JTS 1.9

2007-12-21 19:55  benjubb

	* source/headers/geos/algorithm/locate,
	  source/headers/geos/algorithm/locate/IndexedPointInAreaLocator.h,
	  source/headers/geos/algorithm/locate/PointOnGeometryLocator.h:
	  New namaspace geos::algorithm::locate, as in JTS 1.9..

2007-12-21 19:52  benjubb

	* source/headers/geos/algorithm/SimplePointInAreaLocator.h: Added a
	  public constructor, and a method to bring in line with JTS 1.9.
	  Changed namespace to geos::algorithm::locate

2007-12-21 18:44  pramsey

	* configure.in: version numbering for next release (3.1.0)

2007-12-21 18:41  pramsey

	* ChangeLog, configure.in: 3.0.0 release

2007-12-19 20:18  mloskot

	* ChangeLog, source/headers/geos/geom.h, source/headers/geos/io.h:
	  Improved warning message about using DEPRECATED headers

2007-12-17 23:09  mloskot

	* tests/xmltester/XMLTester.cpp: Fixed std::tolower usage in
	  XMLTester.cpp (Ticket #163).

2007-12-17 23:05  mloskot

	* source/algorithm/HCoordinate.cpp: Replaced finite function with
	  std::numeric_limits (Ticket #162).

2007-12-17 21:52  mloskot

	* ChangeLog, source/Makefile.vc: source\Makefile.vc: Fixed MSVC_VER
	  condition for Microsoft Visual C++ 2008 (9.0).

2007-12-13 16:11  mloskot

	* ChangeLog: Added Id keyword at the top of ChangeLog file.

2007-12-13 16:09  mloskot

	* ChangeLog, build/msvc80/geos_unit/geos_unit.vcproj,
	  source/geom/Geometry.cpp, source/geom/GeometryCollection.cpp,
	  tests/unit/geom/GeometryFactoryTest.cpp: *
	  build\msvc80\geos_unit\geos_unit.vcproj: fixed post-build event
	  * source\geom\GeometryCollection.cpp: removed unreachable code,
	  shorten exception message.
	  * source\geom\Geometry.cpp: purified condition based on
	  dynamic_cast
	  * tests\unit\geom\GeometryFactoryTest.cpp: use std::size_t
	  instead of
	  int where unsigned integral type required.

2007-12-09 00:02  mloskot

	* ChangeLog, tests/unit/Makefile.am,
	  tests/unit/precision/SimpleGeometryPrecisionReducerTest.cpp:
	  Added test suite for class
	  geos::precision::SimpleGeometryPrecisionReducer.

2007-12-08 22:59  mloskot

	* .: Updated svn:keyword property.

2007-11-26 16:26  mloskot

	* build/msvc80/geos.vsprops: Added geos.vsprops - property sheet
	  for Visual C++ projects.

2007-11-26 15:19  mloskot

	* ChangeLog, build/msvc80/geos_python/geos_python.vcproj,
	  build/msvc80/geos_ruby/geos_ruby.vcproj,
	  swig/python/geos_wrap.cxx: Added common Property Sheet for Visual
	  C++ projects where Python and Ruby macros/locations are defined.
	  Fixed include of Python.h, see Ticket #164 for details.

2007-11-26 06:21  mloskot

	* source/algorithm: Updated svn:ignore patterns.

2007-11-26 06:16  mloskot

	* ChangeLog, source/Makefile.vc, source/headers/geos/version.h.vc:
	  Enabled target copying version.h.vc and geos_c.h.vc to headers
	  used by Visual C++. Added test if version.h.vc is used with
	  Visual C++.

2007-11-23 02:33  mloskot

	* ChangeLog, source/headers/geos/io/WKBWriter.h: A bit of
	  purification with explicit casting int to bool type.

2007-11-02 22:41  pramsey

	* web/index.html: urls updated to point to osgeo locations

2007-11-02 22:17  pramsey

	* web, web/index.html, web/style.css: add the web site content to
	  svn for collaborative management

2007-09-21 17:42  csavage

	* configure.in: Update the CAPI and GEOS version numbers based on
	  Reader/Writer additions to the CAPI and EWKB support for the C++
	  api.

2007-09-21 17:40  csavage

	* swig/geos.i.in, swig/ruby/geos_wrap.cxx, swig/ruby/ruby.i,
	  swig/ruby/test/test_buffer.rb, swig/ruby/test/test_helper.rb,
	  swig/ruby/test/test_io.rb, swig/ruby/test/test_operations.rb,
	  swig/ruby/test/test_srid.rb, swig/ruby/test/test_version.rb:
	  Updated the SWIG bindings and tests to use the new Reader/Writer
	  classes exposed in the CAPI.

2007-09-21 17:40  csavage

	* capi/geos_c.cpp, capi/geos_c.h.in: Update the CAPI to expose
	  WKTReader/WBTWriter and WKBReader/WBKWriter in the CAPI. This is
	  an improvement over the existing API since it avoids the use of
	  the static variable used to control byte order and # of
	  dimenions, and gives clients more control over the
	  creation/destruction of readers and writers. Finally, exposed the
	  ability to output the EWKB format (set SRID to true in the
	  WKBWriter).

2007-09-21 17:35  csavage

	* source/index/strtree/STRtree.cpp: Switched back to using <
	  because the fuzzy comparison now in use trips assertion errors in
	  VC++. See comments in code for more information. Note this change
	  may cause problems. Strk left a note in the code saying that the
	  '<' comparison sometimes gives unstable results. But that seems
	  better than an assertion failure.

2007-09-21 17:32  csavage

	* source/headers/geos/io/WKBWriter.h, source/io/WKBWriter.cpp:
	  Updated the WKBWriter so it can output EWKB format similar to
	  PostGIS. Also added a few getter/setter methods that allow
	  clients to specify the reader's number of dimensions, byte order
	  and whether srid values should be output. These getters/setters
	  make it easier to wrap the reader in the CAPI.

2007-09-14 15:34  csavage

	* build/msvc80/geos_c_dll/geos_c_dll.vcproj,
	  build/msvc80/geos_ruby, build/msvc80/geos_ruby/geos_ruby.vcproj:

2007-09-14 15:34  csavage

	* build/msvc80/geos_python: Told SVN to ignore MSCV++ Python swig
	  build directories.

2007-09-14 15:25  csavage

	* source/io/WKBReader.cpp: Set unknown SRID values to 0 instead of
	  -1 to be more consistent with the rest of GEOS (srid values are
	  initialized to 0 by default).

2007-09-11 02:02  csavage

	* source/headers/geos/profiler.h: Don't include config.h for MSVC++
	  builds.

2007-09-07 17:32  csavage

	* configure.in: The test for SWIG was incorrect. Fixed by patch
	  from Mark Cave-Ayland.

2007-09-06 23:24  csavage

	* source/headers/geos/profiler.h: Applied patch from Mark
	  Cave-Ayland's to make older versions of MingW that don't have
	  struct timezone defined compile again. Also fixed issues with
	  more recent versions of MingW that don't correctly compile with
	  the -ansi compiler switch.

2007-09-06 23:22  csavage

	* configure.in, macros/ruby.m4: Applied patches from Mark
	  Cave-Ayland's that reorganize/improve the SWIG support in the
	  generated configure file.\

2007-08-31 20:44  csavage

	* capi/geos_c.cpp, capi/geos_c.h.in: For MSVC++ builds the CAPI
	  version was set in geos_c.cpp instead of geos_c.h and it was set
	  incorrectly. This patch fixes the MSVC++ version number and
	  centralizes the various versoin #defines in the geos_c.h.

2007-08-31 20:18  csavage

	* swig/python/Makefile.am, swig/ruby/Makefile.am: Update swig
	  makefiles to make the wrappers dependent on the SWIG interface
	  files even if SWIG is disabled. Doing this means that Make will
	  correctly recognize that a user has modified an I file, but that
	  the .cxx wrapper cannot be regenerated since SWIG is not
	  available.

2007-08-30 20:06  csavage

	* source/headers/geos/profiler.h, source/headers/geos/timeval.h:
	  MingW now includes the gettimeofday function - so reworked
	  includes to only use custom version when building with VC++.

2007-08-30 17:00  csavage

	* macros/ruby.m4, swig/ruby/Makefile.am: Added RUBY_BIN_DIR to
	  autoconf macros - simplified auto make input file for ruby
	  bindings.

2007-08-30 06:19  csavage

	* macros/ac_pkg_swig.m4: The last attempt to fix this file failed -
	  instead keep the code that queries the swig libraries but use sed
	  to merge multiple lines together. If this is not done, then the
	  swig output causes ./configure to blow up on msys.

2007-08-30 05:31  csavage

	* macros/ac_pkg_swig.m4: Fixes sed issue with swig on msys. For
	  more info see:
	  
	  http://lists.refractions.net/pipermail/geos-devel/2007-August/002956.html

2007-08-30 03:18  csavage

	* swig/geos.i.in: Changed from dos to unix line feeds.

2007-08-29 01:41  csavage

	* build/msvc80/geos.sln, build/msvc80/geos_python,
	  build/msvc80/geos_python/geos_python.vcproj,
	  build/msvc80/geos_ruby/geos_ruby.vcproj: New VC++ project for the
	  python SWIG bindings.

2007-08-29 01:29  csavage

	* build/msvc80/geos_ruby/geos_ruby.vcproj, swig/geos.i.in,
	  swig/python/python.i, swig/ruby/geos_wrap.cxx, swig/ruby/ruby.i:
	  Ruby SWIG bindings - mapped eql? to == so that you can do point
	  == point2 in ruby. Removed a hard-coded path from VC++ project.
	  Updated out-of-date copyright notices for no particularly good
	  reason.

2007-08-28 21:29  csavage

	* build/msvc80: Added release as an ignored directory for VC++,
	  similar to the debug directory.

2007-08-28 21:28  csavage

	* build/msvc80/geos_ruby: Added new ruby VC++ project to solution
	  file.

2007-08-28 21:27  csavage

	* capi/geos_c.h.in: Fixed c api include for VC++ - it should be
	  #include <geos/version.h> instead of #include <version.h>.

2007-08-28 21:27  csavage

	* build/msvc80/geos.sln: Added new ruby VC++ project to solution
	  file.

2007-08-28 21:26  csavage

	* build/msvc80/geos_c_dll/geos_c_dll.vcproj: Follow lead of
	  geos_lib project - copy geos/geos_c.h.in to geos/geos_c.h when
	  building with VC++.

2007-08-28 21:25  csavage

	* build/msvc80/geos_ruby, build/msvc80/geos_ruby/geos_ruby.vcproj:
	  Added new vc++ project for building ruby bindings. Its not
	  perfect since it hard-codes the path to Ruby, but its enough to
	  get one started.

2007-08-28 21:22  csavage

	* swig/python/geos.py, swig/python/geos_wrap.cxx,
	  swig/ruby/geos_wrap.cxx: Updated SWIG wrappers based on changed
	  interface file. Also generated with SWIG 1.3.31

2007-08-28 20:42  csavage

	* swig/ruby/test/geos_tests.rb, swig/ruby/test/test_buffer.rb,
	  swig/ruby/test/test_combinations.rb,
	  swig/ruby/test/test_coordinate_sequence.rb,
	  swig/ruby/test/test_envelope.rb, swig/ruby/test/test_geometry.rb,
	  swig/ruby/test/test_io.rb, swig/ruby/test/test_operations.rb,
	  swig/ruby/test/test_relations.rb, swig/ruby/test/test_srid.rb,
	  swig/ruby/test/test_version.rb: SWIG bindings - updated Ruby
	  tests based on name changes.

2007-08-28 20:41  csavage

	* swig/ruby/ruby.i: Updated Ruby swig bindings to more closely
	  match Ruby style names. So eql? instead of equals, dimensions
	  instead of get_dimensions, etc.

2007-08-28 20:40  csavage

	* swig/geos.i.in: Exposed Geometry::Clone method in SWIG bindings.
	  Added check for NULL string in geomFromWKT wrapper.

2007-08-23 20:35  pramsey

	* source/operation/buffer/BufferBuilder.cpp,
	  source/operation/buffer/OffsetCurveSetBuilder.cpp,
	  source/operation/buffer/OffsetCurveVertexList.h: Memory leak
	  patches from Robert Coup

2007-08-22 23:45  mloskot

	* source/headers/geos/io/ByteOrderDataInStream.inl,
	  source/operation/overlay/ElevationMatrix.cpp,
	  source/operation/polygonize/Polygonizer.cpp: Cleaned compilation
	  warnings from VC++.

2007-06-11 07:43  mloskot

	* ChangeLog, source/operation/IsSimpleOp.cpp: Replaced
	  post-increment operators with pre-increment operators where
	  standard iterators are incremented in loops. NOTE: Prefer
	  pre-incr. over post-inc. when working with standard iterators.

2007-06-11 07:39  mloskot

	* tests/unit/Makefile.am, tests/unit/operation/IsSimpleOpTest.cpp:
	  Added unit test for geos::operation::IsSimpleOp class.

2007-06-10 13:03  mloskot

	* ., ChangeLog, tests/unit/Makefile.am: Updated
	  tests/unit/Makefile.am with new files.

2007-06-10 11:53  mloskot

	* ChangeLog, build/msvc80/geos.sln,
	  build/msvc80/geos_unit/geos_unit.vcproj,
	  tests/unit/algorithm/CGAlgorithms/computeOrientationTest.cpp,
	  tests/unit/algorithm/CGAlgorithms/isCCWTest.cpp,
	  tests/unit/algorithm/ConvexHullTest.cpp: Added unit test for
	  geos::algorithm::CGAlgorithms::computeOrientation() function.

2007-06-10 11:29  mloskot

	* ., capi, source, source/geom, source/geom/util, source/geomgraph,
	  source/geomgraph/index, source/index/bintree, source/index/chain,
	  source/index/quadtree, source/index/strtree,
	  source/index/sweepline, source/io, source/noding,
	  source/noding/snapround, source/operation,
	  source/operation/buffer, source/operation/distance,
	  source/operation/linemerge, source/operation/overlay,
	  source/operation/polygonize, source/operation/predicate,
	  source/operation/relate, source/operation/valid,
	  source/planargraph, source/planargraph/algorithm,
	  source/precision, source/simplify, source/util: Updated
	  svn:ignore property for the whole tree adding VC++ and Windows
	  specific patterns.

2007-06-10 11:18  mloskot

	* ChangeLog, build/msvc80/geos_unit/geos_unit.vcproj,
	  tests/unit/algorithm/CGAlgorithms/isCCWTest.cpp: Added unit test
	  for CGAlgorithms::isCCW() function.

2007-06-10 11:08  mloskot

	* tests/unit/algorithm/ConvexHullTest.cpp,
	  tests/unit/geom/LineStringTest.cpp: Added unit test for
	  geos::algorithm::ConvexHull.

2007-06-10 11:03  mloskot

	* tests/unit/utility.h: Added custom operators for static and
	  dynamic casts of pointers wrapped with std::auto_ptr<T> type.

2007-06-08 17:13  mloskot

	* tests/unit/simplify/DouglasPeuckerSimplifierTest.cpp: Identified
	  test case failing because of geos::index::strtree::yComparator()
	  instability.

2007-06-08 17:10  mloskot

	* ChangeLog, source/index/strtree/STRtree.cpp: Analysis of
	  instability of the yComparator, there are some new important
	  questions to answer.

2007-06-08 15:27  mloskot

	* ChangeLog, build/msvc80/geos_lib/geos_lib.vcproj,
	  source/algorithm/CGAlgorithms.cpp,
	  source/algorithm/CentroidArea.cpp,
	  source/algorithm/CentroidLine.cpp,
	  source/algorithm/CentroidPoint.cpp,
	  source/algorithm/HCoordinate.cpp,
	  source/algorithm/InteriorPointArea.cpp,
	  source/algorithm/InteriorPointLine.cpp,
	  source/algorithm/InteriorPointPoint.cpp,
	  source/algorithm/MinimumDiameter.cpp,
	  source/algorithm/PointLocator.cpp,
	  source/algorithm/SIRtreePointInRing.cpp,
	  source/geom/CoordinateSequence.cpp, source/geomgraph/Edge.cpp,
	  source/geomgraph/EdgeList.cpp,
	  source/headers/geos/geom/CoordinateFilter.h,
	  source/headers/geos/geomgraph/Edge.h,
	  source/headers/geos/geomgraph/Node.h,
	  source/headers/geos/index/bintree/Root.h,
	  source/headers/geos/index/chain/MonotoneChainOverlapAction.h,
	  source/index/chain/MonotoneChainBuilder.cpp,
	  source/index/quadtree/DoubleBits.cpp,
	  source/index/strtree/SIRtree.cpp,
	  source/index/strtree/STRtree.cpp,
	  source/index/sweepline/SweepLineIndex.cpp,
	  source/operation/buffer/BufferSubgraph.cpp: Cleaned
	  signed/unsigned types mixtures, got rid from annoying compiler
	  warnings.

2007-06-08 14:50  mloskot

	* ChangeLog: Applied Konstantin Baumann's suggestion about
	  including version.h in C API header for Visual C++.

2007-06-08 14:50  mloskot

	* capi/geos_c.h.in: Applied Konstantin Baumann's suggestion about
	  including version.h in C API header for Visual C++.

2007-06-01 13:53  mloskot

	* ChangeLog, build/bjam, build/bjam/Jamroot, build/bjam/geos,
	  build/bjam/geos/Jamfile, build/bjam/geos_c,
	  build/bjam/geos_c/Jamfile, build/bjam/geos_unit,
	  build/bjam/geos_unit/Jamfile: Added Boost.Build configuration for
	  GEOS (experimental). The idea is to enable users to build GEOS
	  with bjam tool from Boost.Build package.

2007-06-01 13:43  mloskot

	* source/headers/geos/platform.h.vc,
	  source/headers/geos/version.h.vc,
	  tests/unit/operation/distance/DistanceOpTest.cpp,
	  tests/unit/operation/overlay/FuzzyPointLocatorTest.cpp,
	  tests/unit/operation/overlay/OffsetPointGeneratorTest.cpp,
	  tests/unit/operation/overlay/OverlayResultValidatorTest.cpp: Set
	  missing svn:keywords property.

2007-06-01 13:06  mloskot

	* ChangeLog, build/msvc80/geos_lib/geos_lib.vcproj: Applied patch
	  with pre-build events generating platform.h and version.h
	  headers. Thanks to Konstantin Baumann for this patch.

2007-05-06 02:42  mloskot

	* build/msvc80, build/msvc80/geos_c_dll, build/msvc80/geos_lib,
	  build/msvc80/geos_unit: Updated svn:ignore property for
	  build\msvc80.

2007-05-06 02:40  mloskot

	* ChangeLog, source/headers/geos/version.h.vc: Added
	  source/headers/geos/version.h.vc file for Visual C++ compiler.

2007-04-22 04:44  mloskot

	* ., ChangeLog, capi, source/geom/CoordinateArraySequence.cpp,
	  swig, tests/unit/capi/GEOSCoordSeqTest.cpp: Added assertion
	  validating ordinateIndex in setOrdinate() function. Extended
	  GEOSCoordSeqTest with swapped and non-swapped calls of
	  coordiantes assignment functions.

2007-04-15 18:02  mloskot

	* ChangeLog, autogen.sh: Added detection of glibtoolize under Mac
	  OS X.

2007-03-05 09:58  strk

	* ChangeLog, tests/xmltester/Makefile.am,
	  tests/xmltester/hole_from_shell.xml,
	  tests/xmltester/hole_red.xml: Add new testcases by Carl Anderson

2007-02-26 10:46  strk

	* ChangeLog, source/inlines.cpp: Patch by Tom Elwertowski:
	  * source/inlines.cpp: fix for MingW32 builds.

2007-02-21 10:14  strk

	* ChangeLog, source/operation/buffer/SubgraphDepthLocater.cpp:
	  Patch by Carl Anderson:
	  
	  * source/operation/buffer/SubgraphDepthLocater.cpp
	  (findStabbedSegments):
	  Implement short-circuit to avoid inner defective
	  logic.
	  
	  Fixes badguy3.xml

2007-02-21 10:12  strk

	* ChangeLog, tests/xmltester/Makefile.am,
	  tests/xmltester/badguy3.xml: * tests/xmltester/: Makefile.am,
	  badguy3.xml:
	  Added simplified version of nasty buffer bug test.

2007-02-08 23:33  strk

	* ChangeLog, configure.in: Patch by Mark Cave-Ayland:
	  
	  * configure.in: Allow configure to continue with use_python
	  set to false if a python binary is not found, as per
	  http://sources.redhat.com/automake/automake.html#Python.

2007-02-07 00:34  strk

	* ChangeLog, source/headers/geos/index/strtree/AbstractNode.h,
	  source/headers/geos/index/strtree/AbstractSTRtree.h,
	  source/headers/geos/index/strtree/Boundable.h,
	  source/headers/geos/index/strtree/ItemBoundable.h,
	  source/headers/geos/index/strtree/SIRtree.h,
	  source/headers/geos/index/strtree/STRtree.h,
	  source/index/strtree/AbstractNode.cpp,
	  source/index/strtree/AbstractSTRtree.cpp,
	  source/index/strtree/ItemBoundable.cpp,
	  source/index/strtree/SIRtree.cpp,
	  source/index/strtree/STRtree.cpp: General refactoring aimed at
	  making the code cleaner
	  to read and maintain; use iterators rather then random
	  accessing containers to allow easy future switch to std::list
	  from std::vector; use a tolerance-based strict weak ordering
	  operator for sorting child boundables in STRtree, this
	  fixes the heisenbug when building with inlines disabled.

2007-02-06 02:05  strk

	* ChangeLog, tests/unit/simplify/DouglasPeuckerSimplifierTest.cpp:
	  * tests/unit/simplify/DouglasPeuckerSimplifierTest.cpp:
	  Expect result of POLYGON simplification to always be
	  a polygon, even if collapsed to the empty geom.

2007-02-06 01:57  strk

	* ChangeLog, source/headers/geos/operation/buffer/BufferBuilder.h,
	  source/headers/geos/operation/buffer/BufferOp.h,
	  source/operation/buffer/BufferBuilder.cpp,
	  source/operation/buffer/BufferOp.cpp: *
	  operation::buffer::BufferBuilder,
	  operation::buffer::BufferOp:
	  Fixed buffer operation to always return polygonal
	  geometry

2007-02-03 02:18  pramsey

	* ChangeLog, configure.in: 3.0.0rc4 tagging

2007-02-01 11:11  strk

	* ChangeLog, source/headers/geos/operation/buffer/BufferOp.h,
	  source/operation/buffer/BufferOp.cpp: *
	  operation::buffer::BufferOp: set MAX_PRECISION_DIGITS
	  so to match JTS.

2007-01-26 01:19  strk

	* ChangeLog, tests/xmltester/Makefile.am,
	  tests/xmltester/stmlf-cases-20070119.xml: * tests/xmltester/:
	  Makefile.am, stmlf-cases-20070119.xml:
	  New overlay test.

2007-01-26 00:57  strk

	* ChangeLog, source/operation/buffer/BufferBuilder.cpp,
	  tests/xmltester/XMLTester.cpp: * tests/xmltester/XMLTester.cpp:
	  improved buffer
	  result validator.
	  * source/operation/buffer/BufferBuilder.cpp (computeNodedEdges):
	  remove repeated points from noded SegmentStrings, skip collapsed
	  edges.

2007-01-17 11:59  strk

	* ChangeLog, tests/xmltester/Makefile.am,
	  tests/xmltester/heisenbugs.xml: New testcase for bug fixed by
	  previous commit.

2007-01-17 01:05  strk

	* ChangeLog, source/index/strtree/STRtree.cpp: *
	  source/index/strtree/STRtree.cpp (yComparator):
	  Use static_cast<> and make code more readable.
	  A side effect seems to be fixing a segfault :!

2007-01-17 00:45  strk

	* ChangeLog, source/headers/geos/index/strtree/STRtree.h: *
	  source/headers/geos/index/strtree/STRtree.h (centreY):
	  const-corrected.

2007-01-16 14:12  strk

	* ChangeLog, tests/xmltester/XMLTester.cpp,
	  tests/xmltester/XMLTester.h: * tests/xmltester/XMLTester.cpp:
	  don't include catch-all headers.

2007-01-09 17:34  strk

	* ChangeLog,
	  source/headers/geos/operation/buffer/OffsetCurveBuilder.h,
	  source/operation/buffer/Makefile.am,
	  source/operation/buffer/OffsetCurveBuilder.cpp,
	  source/operation/buffer/OffsetCurveVertexList.h,
	  tests/xmltester/Makefile.am,
	  tests/xmltester/TestBufferExternal.xml,
	  tests/xmltester/XMLTester.cpp: * source/operation/buffer/:
	  Makefile.am, OffsetCurveVertexList.h:
	  New helper class for OffsetCurveBuilder
	  * operation::buffer::OffsetCurveBuilder:
	  Move vertexlist management to external class.
	  * tests/xmltester/: Makefile.am, TestBufferExternal.xml:
	  added test for above changes (imported from JTS and
	  modified to work with GEOS).
	  * tests/xmltester/XMLTester.cpp: change buffer
	  validator again: check area of topological
	  difference between expected and obtained result
	  to be smaller then 1/1000 of expected geometry
	  area.

2007-01-09 15:08  strk

	* ChangeLog, source/geom/CoordinateArraySequence.cpp,
	  source/headers/geos/geom/CoordinateArraySequence.h,
	  source/headers/geos/geom/CoordinateSequence.h: *
	  source/geom/CoordinateArraySequence.cpp,
	  source/headers/geos/geom/CoordinateSequence.h,
	  source/headers/geos/geom/CoordinateArraySequence.h:
	  add(Coordinate, bool) made a virtual method and overrridden
	  for CoordinateArraySequence, for better performance
	  (single virtual call vs. multiple); added front() and
	  back() methods.

2007-01-09 10:27  strk

	* ChangeLog, tests/xmltester/XMLTester.cpp: *
	  tests/xmltester/XMLTester.cpp: add areatest to buffer test
	  handler.

2007-01-05 01:01  strk

	* ChangeLog, configure.in: * configure.in: prepared for version to
	  3.0.0rc4,
	  fixed swig python errors as suggested by hint
	  (AM_PATH_PYTHON).

2007-01-04 22:43  strk

	* ChangeLog, configure.in, swig/geos.i, swig/geos.i.in: *
	  configure.in, swig/geos.i.in, swig/geos.i:
	  geos.i generated at configure time from geos.i.in
	  (so we don't have to manually update versions there).

2007-01-04 22:38  strk

	* ChangeLog, swig/geos.i: Patch by dev-zero at gentoo dot org:
	  
	  * swig/geos.i: use unsigned int when CAPI signatures
	  expect unsigned int (not size_t).

2007-01-03 20:11  strk

	* ChangeLog, tests/xmltester/Makefile.am, tests/xmltester/fme.xml:
	  * tests/xmltester/: fme.xml, Makefile.am: added buffer testcase.

2007-01-03 20:06  strk

	* ChangeLog, tests/xmltester/XMLTester.cpp: *
	  tests/xmltester/XMLTester.cpp: use a tolerance of 10E-6
	  for buffer validation (~10cm at worst when using latlong
	  projections); create sql tables with oid to work around a
	  bug in qgis 0.7.4.

2007-01-03 19:18  strk

	* ChangeLog, source/algorithm/HCoordinate.cpp, source/inlines.cpp:
	  Applied patch by Mark Cave-Ayland
	  <mark.cave-ayland@ilande.co.uk>:
	  
	  * source/inlines.cpp, source/algorithm/HCoordinate.cpp:
	  Fixes for MingW builds. See geos-devel/2007-January/002766.html.

2007-01-03 14:56  strk

	* ChangeLog, source/operation/buffer/BufferOp.cpp: *
	  source/operation/buffer/BufferOp.cpp (bufferReducedPrecision):
	  Fixed computation of reduced PrecisionModel scale.

2006-12-18 20:04  strk

	* ChangeLog, tests/xmltester/robustness.xml: *
	  tests/xmltester/robustness.xml: added
	  testcase reported to fail with 2.2.3 on
	  postgis-users/2006-November/014013.html.

2006-12-18 18:44  strk

	* ChangeLog, source/headers/geos/geom/BinaryOp.h,
	  source/headers/geos/precision/GeometrySnapper.h,
	  source/precision/GeometrySnapper.cpp: Geometry snapping synced
	  with JTS.

2006-12-18 14:27  strk

	* ChangeLog, HOWTO_RELEASE: * HOWTO_RELEASE: add ChangeLog's
	  release mark step.

2006-12-18 14:19  strk

	* ChangeLog, source/precision/GeometrySnapper.cpp,
	  tests/xmltester/Makefile.am,
	  tests/xmltester/TestRobustOverlayFixed.xml: *
	  source/precision/GeometrySnapper.cpp (computeSnapTolerance):
	  properly compute snap tolerance for fixed precision geometries.
	  * tests/xmltester/: Makefile.am, TestRobustOverlayFixed.xml:
	  new test for fixed precision snapping.

2006-12-15 10:50  strk

	* ChangeLog: release 3.0.0rc3 marked

2006-12-14 19:12  pramsey

	* configure.in: bumped version numbers for 3.0.0rc3

2006-12-13 11:05  mloskot

	* ChangeLog, build/msvc80/geos_lib/geos_lib.vcproj,
	  source/Makefile.vc: Updated makefile and project files for Visual
	  C++.

2006-12-13 10:55  strk

	* ChangeLog,
	  source/headers/geos/operation/overlay/FuzzyPointLocator.h,
	  source/headers/geos/operation/overlay/OffsetPointGenerator.h,
	  source/headers/geos/operation/overlay/OverlayResultValidator.h,
	  source/operation/overlay/FuzzyPointLocator.cpp,
	  source/operation/overlay/OffsetPointGenerator.cpp,
	  source/operation/overlay/OverlayResultValidator.cpp: Updated port
	  information.

2006-12-13 10:51  strk

	* ChangeLog, source/headers/geos/precision/GeometrySnapper.h,
	  source/headers/geos/precision/LineStringSnapper.h,
	  source/precision/GeometrySnapper.cpp,
	  source/precision/LineStringSnapper.cpp: *
	  precision::GeometrySnapper, precision::LineStringSnapper:
	  Updated port information.

2006-12-11 17:42  strk

	* ChangeLog, source/headers/geos/geomgraph/EdgeNodingValidator.h,
	  source/headers/geos/noding/FastNodingValidator.h,
	  source/headers/geos/noding/Makefile.am,
	  source/headers/geos/noding/SegmentIntersector.h,
	  source/headers/geos/noding/SingleInteriorIntersectionFinder.h,
	  source/noding/FastNodingValidator.cpp,
	  source/noding/MCIndexNoder.cpp, source/noding/Makefile.am,
	  source/noding/SingleInteriorIntersectionFinder.cpp: *
	  source/headers/geos/noding/SegmentIntersector.h: added virtual
	  isDone() function, always returning false by default.
	  * source/noding/MCIndexNoder.cpp (intersectChains):
	  short-circuit from JTS-1.8, based on the new
	  SegmentIntersector::isDone() method.
	  * source/noding/Makefile.am,
	  source/noding/FastNodingValidator.cpp,
	  source/noding/SingleInteriorIntersectionFinder.cpp,
	  source/headers/geos/noding/Makefile.am,
	  source/headers/geos/noding/FastNodingValidator.h,
	  source/headers/geos/noding/SingleInteriorIntersectionFinder.h:
	  New ports from JTS-1.8-cvs.
	  * source/headers/geos/geomgraph/EdgeNodingValidator.h:
	  use a FastNodingValidator rather then a simple NodingValidator.

2006-12-07 10:45  strk

	* ChangeLog, source/algorithm/LineIntersector.cpp,
	  source/headers/geos/algorithm/CentralEndpointIntersector.h,
	  source/headers/geos/algorithm/LineIntersector.h,
	  source/headers/geos/algorithm/Makefile.am: *
	  source/headers/geos/algorithm/: CentralEndpointIntersector.h,
	  Makefile.am: new port from JTS-1.8.
	  * algorithm::LineIntersector: robustness improvements
	  from JTS-1.8.

2006-12-05 11:22  mloskot

	* tests/unit/capi/GEOSCoordSeqTest.cpp,
	  tests/unit/capi/GEOSSimplifyTest.cpp: Fixed indentantion in
	  tests/unit/capi.

2006-12-05 11:10  mloskot

	* ChangeLog: Fixed typos in changelog.

2006-12-05 11:05  mloskot

	* tests/unit/capi/GEOSCoordSeqTest.cpp,
	  tests/unit/capi/GEOSSimplifyTest.cpp: Set svn:keyword property on
	  CAPI tests.

2006-12-05 11:02  mloskot

	* ChangeLog, tests/unit/capi/GEOSCoordSeqTest.cpp,
	  tests/unit/capi/GEOSSimplifyTest.cpp,
	  tests/unit/util/UniqueCoordinateArrayFilterTest.cpp: Purifying
	  CAPI unit tests.

2006-12-05 10:59  mloskot

	* build/msvc80/geos_unit/geos_unit.vcproj: Added CAPI tests to VC++
	  project.

2006-12-05 10:42  strk

	* ChangeLog, source/headers/geos/geom/BinaryOp.h,
	  source/operation/overlay/OverlayOp.cpp: *
	  source/operation/overlay/OverlayOp.cpp: Use EdgeNodingValidator
	  instead of OverlayResultValidator (faster and more effective).
	  Note that compile-time defines can select use of either or both
	  ones.
	  * source/headers/geos/geom/BinaryOp.h: be quiet if not in DEBUG
	  mode.

2006-12-05 09:59  strk

	* ChangeLog, source/headers/geos/noding/NodingValidator.h,
	  source/noding/NodingValidator.cpp: * noding::NodingValidator.h:
	  throw TopologyException
	  rather then a generic GEOSException.

2006-12-04 12:41  strk

	* ChangeLog, source/headers/geos/geomgraph/EdgeNodingValidator.h: *
	  source/headers/geos/geomgraph/EdgeNodingValidator.h:
	  fix members initialization order.

2006-12-04 11:38  strk

	* ChangeLog, source/geomgraph/EdgeNodingValidator.cpp,
	  source/headers/geos/geomgraph/EdgeNodingValidator.h: *
	  geomgraph::EdgeNodingValidator: minor cleanup
	  to use references args instead of pointers for
	  method that doesn't handle NULLs anyway.

2006-12-04 10:31  strk

	* ChangeLog, source/simplify/DouglasPeuckerLineSimplifier.cpp,
	  tests/unit/Makefile.am, tests/unit/capi/GEOSCoordSeq.cpp,
	  tests/unit/capi/GEOSCoordSeqTest.cpp,
	  tests/unit/capi/GEOSSimplifyTest.cpp: * tests/unit/capi/:
	  GEOSCoordSeq.cpp => GEOSCoordSeqTest.cpp
	  * tests/unit/capi/GEOSSimplifyTest.cpp: new test
	  for GEOSSimplify (just a test for bug #134).
	  * source/simplify/DouglasPeuckerLineSimplifier.cpp (simplify):
	  don't try to simplify empty coordinate lists. Fixes bug #134.

2006-12-04 10:14  strk

	* ChangeLog, tests/unit/capi/GEOSCoordSeq.cpp: Other tests using
	  setOrdinate instead of set{X,Y,Z}

2006-12-04 10:12  strk

	* ChangeLog, source/geom/CoordinateArraySequence.cpp: *
	  source/geom/CoordinateArraySequence.cpp (setOrdinate): fix bug
	  #133.

2006-12-04 10:00  strk

	* ChangeLog, tests/unit/capi/GEOSCoordSeq.cpp: *
	  tests/unit/capi/GEOSCoordSeq.cpp: add test for bug #133
	  (failing).

2006-12-04 09:57  strk

	* ChangeLog, tests/unit/geom/CoordinateArraySequenceTest.cpp: *
	  tests/unit/geom/CoordinateArraySequenceTest.cpp: added tests for
	  setOrdinate()

2006-11-30 14:49  strk

	* ChangeLog, capi/geos_c.cpp, tests/unit/Makefile.am,
	  tests/unit/capi, tests/unit/capi/GEOSCoordSeq.cpp: * tests/unit/:
	  Makefile.am, capi/GEOSCoordSeq.cpp:
	  new experimental test for C-API GEOSCoordSeq.
	  * capi/geos_c.cpp (GEOSCoordSeq_create): removed
	  suspicious static cast.

2006-11-28 19:13  mloskot

	* build, build/README, build/msvc80, build/msvc80/README,
	  build/msvc80/geos.sln, build/msvc80/geos_c_dll,
	  build/msvc80/geos_c_dll/geos_c_dll.vcproj, build/msvc80/geos_lib,
	  build/msvc80/geos_lib/geos_lib.vcproj, build/msvc80/geos_unit,
	  build/msvc80/geos_unit/geos_unit.vcproj: Added Visual C++ 2005
	  project files.

2006-11-23 20:17  strk

	* ChangeLog, source/geom/Point.cpp: * source/geom/Point.cpp
	  (equalsExact): don't segfault on empty points. Fixes bug #132.

2006-11-23 12:25  strk

	* tests/xmltester/stmlf-cases-20061020.xml: Added short descripion
	  of testcases provenience

2006-11-22 20:29  strk

	* ChangeLog, tests/xmltester/Makefile.am,
	  tests/xmltester/stmlf-cases-20061020.xml: * tests/xmltester/:
	  stmlf-cases-20061020.xml, Makefile.am: add more robustness
	  testcases.

2006-11-22 12:26  strk

	* ChangeLog, autogen.sh: Patch by dron@ak4719.spb.edu:
	  
	  * autogen.sh: call 'autoheader' after 'aclocal'.
	  Fixes bug #131

2006-11-18 15:30  mloskot

	* source/Makefile.vc: Fixed path to geos_c.h in source/makefile.vc.

2006-11-15 18:26  strk

	* ChangeLog, capi/Makefile.am, capi/geos_c.h.vc.in, configure.in,
	  source/Makefile.vc, source/headers/geos/Makefile.am,
	  source/headers/geos/version.h.vc: * configure.in: don't generate
	  geos_c.h.vc
	  * source/Makefile.vc: don't generate geos_c.h and version.h
	  * source/headers/geos/version.h.vc, capi/geos_c.h.vc.in:
	  removed, will NOT be needed by Makefile.vc
	  * source/headers/geos/Makefile.am: distribute version.h
	  * capi/Makefile.am: distribute geos_c.h

2006-11-15 14:42  strk

	* ChangeLog, capi/geos_c.h.in: * capi/geos_c.h.in: hopefully fixed
	  GEOS_DLL use.

2006-11-15 11:28  strk

	* ChangeLog, capi/geos_c.cpp: * capi/geos_c.cpp
	  (GEOSGeom_getDimensions): Fix a segfault on empty geometry input
	  (fix bug #126).

2006-11-11 05:32  pramsey

	* capi/geos_c.h.vc.in: Retreived original .vc file and put in MACRO
	  substitutions. Somehow GNU version replaced .vc version during
	  file shuffles to get macros in.

2006-11-10 18:24  strk

	* ChangeLog: fixed timewarp

2006-11-10 17:56  pramsey

	* ChangeLog: noted .vc change

2006-11-10 17:55  pramsey

	* capi/Makefile.am: Made sure geos_c.h.vc is part of 'make dist'
	  since VC users won't have .configure

2006-11-10 17:38  pramsey

	* capi/Makefile.am, capi/geos_c.h.vc, capi/geos_c.h.vc.in: Added
	  substitution strings to .in files for .vc generation.

2006-11-10 17:35  pramsey

	* configure.in: Changes for capi .vc generation

2006-11-10 14:50  hobu

	* capi/geos_c.h.vc: update

2006-11-09 09:10  strk

	* ChangeLog, tests/xmltester/XMLTester.cpp: *
	  test/xmltester/XMLTester.cpp: improved 'testarea' test.

2006-11-08 11:54  strk

	* ChangeLog: added 'release-separator' tag

2006-11-08 11:51  strk

	* ChangeLog, tests/xmltester/Makefile.am,
	  tests/xmltester/robustness.xml: * tests/xmltester/robustness.xml:
	  made test safe to
	  run by using the new 'areatest' operation; added
	  new testcases just raised on the mailing list.
	  * tests/xmltester/Makefile.am: robustness.xml is now safe
	  to run, so run it on make check.

2006-11-08 10:40  strk

	* ChangeLog, source/headers/geos/geom/BinaryOp.h: *
	  source/headers/geos/geom/BinaryOp.h: enable
	  COMMONBITS-removal heuristic so it is attempted
	  before geometry snapping.

2006-11-05 20:34  strk

	* ChangeLog, capi/Makefile.am: * capi/Makefile.am: distribute files
	  needed for testing, proper cleanup (make distcheck works now)

2006-11-05 00:24  csavage

	* swig/ruby/geos_wrap.cxx: Updated ruby swig wrapper for changes in
	  header files.

2006-11-05 00:24  csavage

	* swig/python/geos_wrap.cxx: Updated python swig wrapper for
	  changes in header files.

2006-11-05 00:23  csavage

	* swig/geos.i: Fixes for changes in header files.

2006-11-03 12:35  strk

	* capi/testrunner.sh: redirect 'diff' output to stderr

2006-11-03 10:54  strk

	* ChangeLog, capi/testrunner.sh: hopefully fixed proper quoting

2006-11-03 10:30  strk

	* ChangeLog, capi/testrunner.sh: Report non-zero return from
	  ./geostest run

2006-11-02 10:08  strk

	* ChangeLog, source/headers/geos/geom/BinaryOp.h: *
	  source/headers/geos/geom/BinaryOp.h: disable debugging output by
	  default.

2006-11-02 10:02  strk

	* ChangeLog, capi/geostest.c: * capi/geostest.c: updated to use the
	  new GEOSGeometry typedef, so to build w/out warnings and fully
	  respecting current const specification.

2006-11-02 09:48  strk

	* ChangeLog, capi/geos_c.cpp, capi/geos_c.h.in: * capi/geos_c.cpp,
	  capi/geos_c.h.in: const-corrected and documented GEOSPolygonize
	  function.

2006-11-02 09:38  strk

	* ChangeLog, capi/test.expected, capi/testrunner.sh: *
	  capi/test.expected: updated expected version
	  * capi/testrunner.sh: be happy with geostest running w/out
	  segfaulting, still run diff for reference.

2006-11-02 09:33  strk

	* ChangeLog, configure.in: * configure.in: updated versions to
	  3.0.0rc2 / CAPI-1.3.0

2006-11-02 08:32  strk

	* ChangeLog, capi/geos_c.cpp, capi/geos_c.h.in: Patch by Markus
	  Schaber <schabi@logix-tt.com>:
	  
	  * capi/geos_c.h.in: add GEOSGeometry and GEOSCoordSequence
	  typedef, to unhide the pointer type and allow fine-grained
	  const specification, use the new typedefs in function signatures
	  (fix some const-specifications accordingly)
	  * capi/geos_c.cpp: define GEOSGeometry and GEOSCoordSequence
	  for cross-checking of types in header.

2006-10-30 15:14  strk

	* ChangeLog, capi/geos_c.cpp, capi/geos_c.h.in: Patch by Markus
	  Schaber <schabi@logix-tt.com>
	  
	  * capi/geos_c.cpp: more focused 'using' directives.
	  * capi/geos_c.h.in: let the enum visible by geos_c.cpp
	  now that there are no more name clashes.

2006-10-30 13:20  strk

	* capi/geos_c.cpp: removed useless GEOSGeomTypes define

2006-10-30 13:00  strk

	* ChangeLog, source/operation/overlay/OverlayOp.cpp: reduce default
	  verbosity

2006-10-30 12:49  strk

	* ChangeLog, capi/geos_c.cpp, capi/geos_c.h.in: * capi/geos_c.cpp:
	  Remove a typedef which is also included via Header;
	  Use dynamic_cast instead of C cast in 2 cases to allow the RTTI
	  type check;
	  Replace "geoms" temp vector in polygonizer function with a loop,
	  this saves us at least one of the two vector copies;
	  Drop 2 unneded const_cast occurences;
	  Allow calling getNumGeometries against non-collections;
	  2 comment / whitespace cleanups.
	  * capi/geos_c.h.in:
	  Added a comment explaining ou #ifndef magic;
	  Unified the two #ifndef into a single one.

2006-10-30 10:29  strk

	* ChangeLog, capi/Makefile.am, capi/test.expected,
	  capi/testrunner.sh: * capi/: test.expected, testrunner.sh,
	  Makefile.am: Added a run of ./geostest as part of 'make check'

2006-10-30 10:15  strk

	* ChangeLog, capi/geos_c.cpp, capi/geos_c.h.in: Patch submitted by
	  Markus Schaber <schabi@logix-tt.com> ( reviewed and fixed )
	  
	  * capi/: geos_c.cpp, geos_c.h.in:
	  Changed the C-API implementation to actually include the header
	  that's included by the clients, this allows the compiler to check
	  declarations and implementation for consistency, fixed geos_c.cpp
	  accordingly (const-correctness, mainly).

2006-10-30 09:49  strk

	* ChangeLog, capi/geostest.c: * capi/geostest.c: added some checks
	  of return from CAPI functions returning GEOSGeom (not all, just a
	  few)

2006-10-27 11:54  strk

	* ChangeLog, source/algorithm/InteriorPointLine.cpp,
	  source/geom/Geometry.cpp,
	  source/headers/geos/algorithm/InteriorPointLine.h,
	  source/headers/geos/geom/Geometry.h,
	  source/headers/geos/operation/polygonize/Polygonizer.h,
	  source/operation/polygonize/Polygonizer.cpp: Patch by Markus
	  Schaber <schabi@logix-tt.com>
	  
	  * algorithm::InteriorPointLine (ctor): take Geometry by
	  const-pointer.
	  * geom::Geometry (getInteriorPoint): made a const-method
	  * operation::polygonize::Polygonizer: implement filter_ro rather
	  then filter_rw, as it doesn't change the Geometry, propagated
	  change to internal interfaces (add methods)

2006-10-26 09:22  strk

	* ChangeLog, capi/geos_c.h.in: * capi/geos_c.h.in: reverted all
	  changes of 'int' types
	  to 'size_t' types (the lib never changed, and still expects
	  ints)

2006-10-24 16:54  strk

	* ChangeLog, source/headers/geos/geom/BinaryOp.h: *
	  source/headers/geos/geom/BinaryOp.h: try original geoms first by
	  default.

2006-10-24 16:53  strk

	* ChangeLog,
	  source/headers/geos/operation/overlay/OverlayResultValidator.h,
	  source/operation/overlay/OverlayResultValidator.cpp: *
	  operation::overlay::OverlayResultValidator.cpp (isValid): run the
	  test even if inputs and output are not areal.

2006-10-24 16:49  strk

	* ChangeLog,
	  source/headers/geos/operation/overlay/FuzzyPointLocator.h,
	  source/operation/overlay/FuzzyPointLocator.cpp: *
	  operation::overlay::FuzzyPointLocator: eliminate non-polygonal
	  components from consideration when testing the location of
	  points.

2006-10-24 10:16  strk

	* ChangeLog, source/headers/geos/precision/GeometrySnapper.h,
	  source/precision/GeometrySnapper.cpp: *
	  precision::GeometrySnapper: snapPrecisionFactor augmented from
	  10e-12 to 10e-10.

2006-10-24 09:49  strk

	* ChangeLog, source/headers/geos/precision/LineStringSnapper.h,
	  source/precision/LineStringSnapper.cpp: *
	  precision::LineStringSnapper (findSegmentToSnap):
	  return the *closest* segment, don't snap if the closest
	  segment *intersects* the snap points, consider a distance
	  of exactly snapTolerance as non-tolerated (got in sync with JTS)

2006-10-23 10:23  strk

	* ChangeLog, source/headers/geos/geom/BinaryOp.h: *
	  source/headers/geos/geom/BinaryOp.h (SnapOp): document and add
	  optional CBR step (snap after applying common bits removal - this
	  is the default); (check_valid): add validity checker function.

2006-10-20 11:18  strk

	* ChangeLog, source/headers/geos/noding/SegmentString.h,
	  source/noding/ScaledNoder.cpp, source/noding/SegmentString.cpp: *
	  noding::SegmentString: added notifyCoordinatesChange method.
	  * noding::ScaledNoder: notify possible coordinates change to
	  SegmentString after removing repeated points.

2006-10-19 18:26  strk

	* ChangeLog, configure.in: * configure.in: use 'expr' for
	  arithmetics (more portable)

2006-10-18 19:21  mloskot

	* ChangeLog, makefile.vc, source/Makefile.vc: Refactored Visual C++
	  makefiles.

2006-10-18 17:53  mloskot

	* source/Makefile.vc, source/dirlist.mk: Updated source\makefile.vc
	  and source\dirlist.mk files.

2006-10-18 17:53  mloskot

	* makefile.vc: Added top-level makefile.vc.

2006-10-18 14:28  strk

	* .: fixed svn:ignore property

2006-10-18 12:08  strk

	* ChangeLog, source/operation/overlay/OverlayOp.cpp: disable
	  non-JTS overlay result validators (to more closely track JTS at
	  this stage)

2006-10-17 14:26  strk

	* ChangeLog, source/headers/geos/geom/BinaryOp.h: *
	  source/headers/geos/geom/BinaryOp.h (SnapOp): fixed horrible
	  bug applying overlay of first geom to itself :(

2006-10-17 10:15  strk

	* capi/geos_c.h.in: really fixed 'extra tokens at end of #endif
	  directive' warning

2006-10-17 10:10  strk

	* capi/geos_c.h.in: fixed 'extra tokens at end of #endif directive'
	  warning

2006-10-17 08:44  strk

	* ChangeLog, capi/Makefile.am: * capi/Makefile.am: don't directly
	  link geostest against
	  both libgeos.so and libstdc++ (should be derived by
	  libgeos_c.so).

2006-10-12 15:33  strk

	* ChangeLog, tests/bigtest/GeometryTestFactory.cpp,
	  tests/bigtest/TestSweepLineSpeed.cpp, tests/bigtest/bigtest.h: *
	  tests/bigtest/GeometryTestFactory.cpp, tests/bigtest/bigtest.h,
	  tests/bigtest/TestSweepLineSpeed.cpp: fixed header inclusion, to
	  reduce compiler noise.

2006-10-09 16:39  strk

	* ChangeLog, source/headers/geos/geom/BinaryOp.h: *
	  source/headers/geos/geom/BinaryOp.h: always snap geoms to
	  each-other before applying an overlay (temp hack).

2006-10-09 16:35  strk

	* ChangeLog, source/operation/overlay/OverlayOp.cpp: *
	  source/operation/overlay/OverlayOp.cpp: enable all overlay result
	  validators, make it disablable at compile time.

2006-10-05 10:58  mloskot

	* ChangeLog, capi/geos_c.h.in, capi/geos_c.h.vc: Added inclusion
	  guards to geos_c.h files.

2006-10-05 09:46  strk

	* ChangeLog, tests/xmltester/XMLTester.cpp: increment areatest
	  verbosity (needs -v -v)

2006-10-02 18:53  hobu

	* ChangeLog, capi/geos_c.cpp: GEOSEnvelope wasn't in the PROTOTYPES
	  section in geos_c.cpp

2006-09-27 07:48  strk

	* HOWTO_RELEASE: updated tag item

2006-09-27 07:43  strk

	* HOWTO_RELEASE: added info about svn tags

2006-09-19 06:54  strk

	* source/operation/overlay/OffsetPointGenerator.cpp: Added
	  <algorithm> include

2006-09-08 23:13  pramsey

	* AUTHORS: Added information about funders of the 3.0.0 series:
	  Safe Software, Autodesk,
	  Bavarian State Ministry of Agriculture and Forestry and the State
	  Survey of Bavaria.

2006-09-08 09:38  strk

	* TODO: updated

2006-09-08 09:31  strk

	* source/operation/overlay/OverlayResultValidator.cpp: more
	  debugging output

2006-09-08 09:21  strk

	* tests/unit/operation/overlay/FuzzyPointLocatorTest.cpp,
	  tests/unit/operation/overlay/OverlayResultValidatorTest.cpp: More
	  testcases

2006-09-07 18:07  strk

	* tests/unit/Makefile.am,
	  tests/unit/operation/overlay/OverlayResultValidatorTest.cpp: New
	  unit test for OverlayResultValidator class

2006-09-07 18:07  strk

	* source/operation/overlay/OverlayResultValidator.cpp: more
	  debugging output

2006-09-07 17:52  strk

	* source/headers/geos/operation/overlay/OverlayResultValidator.h,
	  source/operation/overlay/OverlayResultValidator.cpp: Added
	  addVertices private method (unused, as in JTS, but possibly
	  useful in the future)

2006-09-07 17:41  strk

	* source/operation/overlay/OverlayResultValidator.cpp: Added
	  debugging code

2006-09-07 17:35  strk

	* tests/unit/operation/overlay/OffsetPointGeneratorTest.cpp: more
	  testcases (added test for max distance of offset points)

2006-09-07 15:28  strk

	* tests/unit/algorithm/PointLocatorTest.cpp,
	  tests/unit/geom/CoordinateArraySequenceFactoryTest.cpp,
	  tests/unit/geom/CoordinateArraySequenceTest.cpp,
	  tests/unit/geom/CoordinateListTest.cpp,
	  tests/unit/geom/CoordinateTest.cpp,
	  tests/unit/geom/DimensionTest.cpp,
	  tests/unit/geom/EnvelopeTest.cpp,
	  tests/unit/geom/GeometryFactoryTest.cpp,
	  tests/unit/geom/LineSegmentTest.cpp,
	  tests/unit/geom/LineStringTest.cpp,
	  tests/unit/geom/LinearRingTest.cpp,
	  tests/unit/geom/LocationTest.cpp,
	  tests/unit/geom/MultiLineStringTest.cpp,
	  tests/unit/geom/MultiPointTest.cpp,
	  tests/unit/geom/MultiPolygonTest.cpp,
	  tests/unit/geom/PointTest.cpp, tests/unit/geom/PolygonTest.cpp,
	  tests/unit/geom/TriangleTest.cpp,
	  tests/unit/io/WKBReaderTest.cpp,
	  tests/unit/noding/SegmentStringTest.cpp,
	  tests/unit/operation/distance/DistanceOpTest.cpp,
	  tests/unit/precision/LineStringSnapperTest.cpp: removed
	  svn:executable prop from all .cpp files

2006-09-07 15:22  strk

	* tests/unit/operation/overlay/FuzzyPointLocatorTest.cpp,
	  tests/unit/operation/overlay/OffsetPointGeneratorTest.cpp:
	  removed svn:executable property

2006-09-07 15:21  strk

	* tests/unit/operation/overlay/FuzzyPointLocatorTest.cpp: testing
	  execute bit state

2006-09-07 12:17  mloskot

	* tests/unit/operation/distance/DistanceOpTest.cpp: Set svn:keyword
	  for $ expansion.

2006-09-07 11:34  strk

	* source/operation/overlay/OverlayOp.cpp: Cleaned up
	  OverlayResultValidator call (still disabled due to bugs)

2006-09-07 11:27  strk

	* source/operation/overlay/OverlayResultValidator.cpp: blindly
	  return positive result if any input or output is not an area

2006-09-07 11:08  strk

	* tests/unit/operation/overlay/FuzzyPointLocatorTest.cpp: new test
	  for FuzzyPointLocator

2006-09-07 10:30  strk

	* source/headers/geos/geom/Location.h: Explicit values to
	  LocationValue enum items. Removed CVS Log

2006-09-07 09:33  strk

	* doc/example.cpp: Removed catch-all headers inclusion and use of
	  obsoleted Unload class

2006-09-07 09:24  strk

	* README: updated

2006-09-07 09:23  strk

	* source/headers/geos/operation/overlay/OverlayResultValidator.h:
	  comment cleanup

2006-09-07 09:01  strk

	* source/headers/geos/operation/distance/DistanceOp.h: Comments
	  about ownership (and lifetime) of returned objects

2006-09-07 08:59  strk

	* tests/unit/Makefile.am, tests/unit/operation/distance,
	  tests/unit/operation/distance/DistanceOpTest.cpp: New DistanceOp
	  unit test

2006-09-07 08:57  strk

	* ChangeLog, source/operation/distance/DistanceOp.cpp:
	  (computeMinDistancePoints): fixed invalid reference.

2006-09-07 08:23  strk

	* ChangeLog, autogen.sh: don't giveup on automake failures
	  (testing)

2006-09-06 18:44  strk

	* source/operation/overlay/OverlayOp.cpp: Ops, overlay result
	  validation erroenously committed

2006-09-06 18:41  strk

	* ChangeLog, tests/unit/Makefile.am,
	  tests/unit/operation/overlay/OffsetPointGeneratorTest.cpp: new
	  test for OffsetPointGenerator class

2006-09-06 18:37  strk

	* source/operation/overlay/OffsetPointGenerator.cpp: Fixed
	  uninitialized memory bug

2006-09-06 17:59  strk

	* ChangeLog, source/operation/overlay/OverlayOp.cpp,
	  tests/unit/Makefile.am, tests/unit/operation,
	  tests/unit/operation/overlay,
	  tests/unit/operation/overlay/FuzzyPointLocatorTest.cpp: new test
	  for FuzzyPointLocator class

2006-09-06 17:48  strk

	* tests/unit/precision/GeometrySnapperTest.cpp: updated after
	  GeometrySnapper interface change.

2006-09-06 17:26  mloskot

	* ChangeLog,
	  source/headers/geos/operation/overlay/OffsetPointGenerator.h,
	  source/headers/geos/operation/overlay/OverlayResultValidator.h,
	  source/operation/overlay/OffsetPointGenerator.cpp,
	  source/operation/overlay/OverlayResultValidator.cpp: Set $
	  expansion for new files in 'overlay' module.

2006-09-06 17:22  strk

	* ChangeLog,
	  source/headers/geos/operation/overlay/FuzzyPointLocator.h,
	  source/headers/geos/operation/overlay/Makefile.am,
	  source/headers/geos/operation/overlay/OffsetPointGenerator.h,
	  source/headers/geos/operation/overlay/OverlayResultValidator.h,
	  source/operation/overlay/FuzzyPointLocator.cpp,
	  source/operation/overlay/Makefile.am,
	  source/operation/overlay/OffsetPointGenerator.cpp,
	  source/operation/overlay/OverlayResultValidator.cpp: Rest of
	  Overlay validation classes.

2006-09-06 16:54  mloskot

	* ChangeLog, capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_c.h.vc,
	  capi/geostest.c, configure.in, debian/watch, doc/Doxyfile.in,
	  doc/example.cpp, source/Makefile.vc,
	  source/algorithm/CGAlgorithms.cpp,
	  source/algorithm/CentroidArea.cpp,
	  source/algorithm/CentroidLine.cpp,
	  source/algorithm/CentroidPoint.cpp,
	  source/algorithm/ConvexHull.cpp,
	  source/algorithm/HCoordinate.cpp,
	  source/algorithm/InteriorPointArea.cpp,
	  source/algorithm/InteriorPointLine.cpp,
	  source/algorithm/InteriorPointPoint.cpp,
	  source/algorithm/LineIntersector.cpp,
	  source/algorithm/MCPointInRing.cpp,
	  source/algorithm/MinimumDiameter.cpp,
	  source/algorithm/NonRobustLineIntersector.cpp,
	  source/algorithm/NotRepresentableException.cpp,
	  source/algorithm/PointLocator.cpp,
	  source/algorithm/RobustDeterminant.cpp,
	  source/algorithm/RobustLineIntersector.cpp,
	  source/algorithm/SIRtreePointInRing.cpp,
	  source/algorithm/SimplePointInAreaLocator.cpp,
	  source/algorithm/SimplePointInRing.cpp, source/dirlist.mk,
	  source/examples/CPCLException.cpp,
	  source/examples/CoordinateSequencesExample.cpp,
	  source/examples/CustomCoordinateSequenceExample.cpp,
	  source/examples/CustomCoordinateSequenceExample.h,
	  source/examples/CustomPointCoordinateSequence.cpp,
	  source/geom/Coordinate.cpp,
	  source/geom/CoordinateArraySequence.cpp,
	  source/geom/CoordinateArraySequenceFactory.cpp,
	  source/geom/CoordinateSequence.cpp,
	  source/geom/CoordinateSequenceFactory.cpp,
	  source/geom/Dimension.cpp, source/geom/Envelope.cpp,
	  source/geom/Geometry.cpp, source/geom/GeometryCollection.cpp,
	  source/geom/GeometryComponentFilter.cpp,
	  source/geom/GeometryFactory.cpp, source/geom/GeometryList.cpp,
	  source/geom/IntersectionMatrix.cpp, source/geom/LineSegment.cpp,
	  source/geom/LineString.cpp, source/geom/LinearRing.cpp,
	  source/geom/Location.cpp, source/geom/MultiLineString.cpp,
	  source/geom/MultiPoint.cpp, source/geom/MultiPolygon.cpp,
	  source/geom/Point.cpp, source/geom/Polygon.cpp,
	  source/geom/PrecisionModel.cpp, source/geom/Triangle.cpp,
	  source/geom/util/CoordinateOperation.cpp,
	  source/geom/util/GeometryEditor.cpp,
	  source/geom/util/GeometryTransformer.cpp,
	  source/geom/util/LinearComponentExtracter.cpp,
	  source/geom/util/PointExtracter.cpp,
	  source/geom/util/PolygonExtracter.cpp,
	  source/geom/util/ShortCircuitedGeometryVisitor.cpp,
	  source/geomgraph/Depth.cpp, source/geomgraph/DirectedEdge.cpp,
	  source/geomgraph/DirectedEdgeStar.cpp, source/geomgraph/Edge.cpp,
	  source/geomgraph/EdgeEnd.cpp, source/geomgraph/EdgeEndStar.cpp,
	  source/geomgraph/EdgeIntersection.cpp,
	  source/geomgraph/EdgeIntersectionList.cpp,
	  source/geomgraph/EdgeList.cpp,
	  source/geomgraph/EdgeNodingValidator.cpp,
	  source/geomgraph/EdgeRing.cpp,
	  source/geomgraph/GeometryGraph.cpp,
	  source/geomgraph/GraphComponent.cpp, source/geomgraph/Label.cpp,
	  source/geomgraph/Node.cpp, source/geomgraph/NodeFactory.cpp,
	  source/geomgraph/NodeMap.cpp, source/geomgraph/PlanarGraph.cpp,
	  source/geomgraph/Position.cpp, source/geomgraph/Quadrant.cpp,
	  source/geomgraph/TopologyLocation.cpp,
	  source/geomgraph/index/MonotoneChainEdge.cpp,
	  source/geomgraph/index/MonotoneChainIndexer.cpp,
	  source/geomgraph/index/SegmentIntersector.cpp,
	  source/geomgraph/index/SimpleEdgeSetIntersector.cpp,
	  source/geomgraph/index/SimpleMCSweepLineIntersector.cpp,
	  source/geomgraph/index/SimpleSweepLineIntersector.cpp,
	  source/geomgraph/index/SweepLineEvent.cpp,
	  source/geomgraph/index/SweepLineSegment.cpp,
	  source/headers/acconfig.h, source/headers/geos.h,
	  source/headers/geos/algorithm/CGAlgorithms.h,
	  source/headers/geos/algorithm/CentroidArea.h,
	  source/headers/geos/algorithm/CentroidLine.h,
	  source/headers/geos/algorithm/CentroidPoint.h,
	  source/headers/geos/algorithm/ConvexHull.h,
	  source/headers/geos/algorithm/ConvexHull.inl,
	  source/headers/geos/algorithm/HCoordinate.h,
	  source/headers/geos/algorithm/InteriorPointArea.h,
	  source/headers/geos/algorithm/InteriorPointLine.h,
	  source/headers/geos/algorithm/InteriorPointPoint.h,
	  source/headers/geos/algorithm/LineIntersector.h,
	  source/headers/geos/algorithm/MCPointInRing.h,
	  source/headers/geos/algorithm/MinimumDiameter.h,
	  source/headers/geos/algorithm/NotRepresentableException.h,
	  source/headers/geos/algorithm/PointInRing.h,
	  source/headers/geos/algorithm/PointLocator.h,
	  source/headers/geos/algorithm/RobustDeterminant.h,
	  source/headers/geos/algorithm/SIRtreePointInRing.h,
	  source/headers/geos/algorithm/SimplePointInAreaLocator.h,
	  source/headers/geos/algorithm/SimplePointInRing.h,
	  source/headers/geos/geom.h, source/headers/geos/geom/BinaryOp.h,
	  source/headers/geos/geom/Coordinate.h,
	  source/headers/geos/geom/Coordinate.inl,
	  source/headers/geos/geom/CoordinateArraySequence.h,
	  source/headers/geos/geom/CoordinateArraySequenceFactory.h,
	  source/headers/geos/geom/CoordinateArraySequenceFactory.inl,
	  source/headers/geos/geom/CoordinateFilter.h,
	  source/headers/geos/geom/CoordinateList.h,
	  source/headers/geos/geom/CoordinateSequence.h,
	  source/headers/geos/geom/CoordinateSequenceFactory.h,
	  source/headers/geos/geom/Dimension.h,
	  source/headers/geos/geom/Envelope.h,
	  source/headers/geos/geom/Envelope.inl,
	  source/headers/geos/geom/Geometry.h,
	  source/headers/geos/geom/Geometry.inl,
	  source/headers/geos/geom/GeometryCollection.h,
	  source/headers/geos/geom/GeometryCollection.inl,
	  source/headers/geos/geom/GeometryComponentFilter.h,
	  source/headers/geos/geom/GeometryFactory.h,
	  source/headers/geos/geom/GeometryFactory.inl,
	  source/headers/geos/geom/GeometryFilter.h,
	  source/headers/geos/geom/GeometryList.h,
	  source/headers/geos/geom/IntersectionMatrix.h,
	  source/headers/geos/geom/LineSegment.h,
	  source/headers/geos/geom/LineSegment.inl,
	  source/headers/geos/geom/LineString.h,
	  source/headers/geos/geom/LinearRing.h,
	  source/headers/geos/geom/Location.h,
	  source/headers/geos/geom/MultiLineString.h,
	  source/headers/geos/geom/MultiLineString.inl,
	  source/headers/geos/geom/MultiPoint.h,
	  source/headers/geos/geom/MultiPolygon.h,
	  source/headers/geos/geom/MultiPolygon.inl,
	  source/headers/geos/geom/Point.h,
	  source/headers/geos/geom/Polygon.h,
	  source/headers/geos/geom/PrecisionModel.h,
	  source/headers/geos/geom/PrecisionModel.inl,
	  source/headers/geos/geom/Triangle.h,
	  source/headers/geos/geom/util/CoordinateOperation.h,
	  source/headers/geos/geom/util/GeometryEditor.h,
	  source/headers/geos/geom/util/GeometryEditorOperation.h,
	  source/headers/geos/geom/util/GeometryTransformer.h,
	  source/headers/geos/geom/util/LinearComponentExtracter.h,
	  source/headers/geos/geom/util/PointExtracter.h,
	  source/headers/geos/geom/util/PolygonExtracter.h,
	  source/headers/geos/geom/util/ShortCircuitedGeometryVisitor.h,
	  source/headers/geos/geomUtil.h, source/headers/geos/geomgraph.h,
	  source/headers/geos/geomgraph/Depth.h,
	  source/headers/geos/geomgraph/DirectedEdge.h,
	  source/headers/geos/geomgraph/DirectedEdge.inl,
	  source/headers/geos/geomgraph/DirectedEdgeStar.h,
	  source/headers/geos/geomgraph/Edge.h,
	  source/headers/geos/geomgraph/EdgeEnd.h,
	  source/headers/geos/geomgraph/EdgeEndStar.h,
	  source/headers/geos/geomgraph/EdgeIntersection.h,
	  source/headers/geos/geomgraph/EdgeIntersectionList.h,
	  source/headers/geos/geomgraph/EdgeList.h,
	  source/headers/geos/geomgraph/EdgeNodingValidator.h,
	  source/headers/geos/geomgraph/EdgeRing.h,
	  source/headers/geos/geomgraph/GeometryGraph.h,
	  source/headers/geos/geomgraph/GeometryGraph.inl,
	  source/headers/geos/geomgraph/GraphComponent.h,
	  source/headers/geos/geomgraph/Label.h,
	  source/headers/geos/geomgraph/Node.h,
	  source/headers/geos/geomgraph/NodeFactory.h,
	  source/headers/geos/geomgraph/NodeMap.h,
	  source/headers/geos/geomgraph/PlanarGraph.h,
	  source/headers/geos/geomgraph/Position.h,
	  source/headers/geos/geomgraph/Quadrant.h,
	  source/headers/geos/geomgraph/TopologyLocation.h,
	  source/headers/geos/geomgraph/index/EdgeSetIntersector.h,
	  source/headers/geos/geomgraph/index/MonotoneChain.h,
	  source/headers/geos/geomgraph/index/MonotoneChainEdge.h,
	  source/headers/geos/geomgraph/index/MonotoneChainIndexer.h,
	  source/headers/geos/geomgraph/index/SegmentIntersector.h,
	  source/headers/geos/geomgraph/index/SimpleEdgeSetIntersector.h,
	  source/headers/geos/geomgraph/index/SimpleMCSweepLineIntersector.h,
	  source/headers/geos/geomgraph/index/SimpleSweepLineIntersector.h,
	  source/headers/geos/geomgraph/index/SweepLineEvent.h,
	  source/headers/geos/geomgraph/index/SweepLineEventObj.h,
	  source/headers/geos/geomgraph/index/SweepLineSegment.h,
	  source/headers/geos/geomgraphindex.h,
	  source/headers/geos/geosAlgorithm.h,
	  source/headers/geos/index/ItemVisitor.h,
	  source/headers/geos/index/SpatialIndex.h,
	  source/headers/geos/index/bintree/Bintree.h,
	  source/headers/geos/index/bintree/Interval.h,
	  source/headers/geos/index/bintree/Key.h,
	  source/headers/geos/index/bintree/Node.h,
	  source/headers/geos/index/bintree/NodeBase.h,
	  source/headers/geos/index/bintree/Root.h,
	  source/headers/geos/index/chain/MonotoneChain.h,
	  source/headers/geos/index/chain/MonotoneChainBuilder.h,
	  source/headers/geos/index/chain/MonotoneChainOverlapAction.h,
	  source/headers/geos/index/chain/MonotoneChainSelectAction.h,
	  source/headers/geos/index/quadtree/DoubleBits.h,
	  source/headers/geos/index/quadtree/IntervalSize.h,
	  source/headers/geos/index/quadtree/Key.h,
	  source/headers/geos/index/quadtree/Node.h,
	  source/headers/geos/index/quadtree/NodeBase.h,
	  source/headers/geos/index/quadtree/Quadtree.h,
	  source/headers/geos/index/quadtree/Root.h,
	  source/headers/geos/index/strtree/AbstractNode.h,
	  source/headers/geos/index/strtree/AbstractSTRtree.h,
	  source/headers/geos/index/strtree/Boundable.h,
	  source/headers/geos/index/strtree/Interval.h,
	  source/headers/geos/index/strtree/ItemBoundable.h,
	  source/headers/geos/index/strtree/SIRtree.h,
	  source/headers/geos/index/strtree/STRtree.h,
	  source/headers/geos/index/sweepline/SweepLineEvent.h,
	  source/headers/geos/index/sweepline/SweepLineIndex.h,
	  source/headers/geos/index/sweepline/SweepLineInterval.h,
	  source/headers/geos/index/sweepline/SweepLineOverlapAction.h,
	  source/headers/geos/indexBintree.h,
	  source/headers/geos/indexChain.h,
	  source/headers/geos/indexQuadtree.h,
	  source/headers/geos/indexStrtree.h,
	  source/headers/geos/indexSweepline.h,
	  source/headers/geos/inline.h, source/headers/geos/io.h,
	  source/headers/geos/io/ByteOrderDataInStream.h,
	  source/headers/geos/io/ByteOrderDataInStream.inl,
	  source/headers/geos/io/ByteOrderValues.h,
	  source/headers/geos/io/ParseException.h,
	  source/headers/geos/io/StringTokenizer.h,
	  source/headers/geos/io/WKBConstants.h,
	  source/headers/geos/io/WKBReader.h,
	  source/headers/geos/io/WKBWriter.h,
	  source/headers/geos/io/WKTReader.h,
	  source/headers/geos/io/WKTReader.inl,
	  source/headers/geos/io/WKTWriter.h,
	  source/headers/geos/io/Writer.h, source/headers/geos/noding.h,
	  source/headers/geos/noding/IntersectionAdder.h,
	  source/headers/geos/noding/IntersectionFinderAdder.h,
	  source/headers/geos/noding/IteratedNoder.h,
	  source/headers/geos/noding/MCIndexNoder.h,
	  source/headers/geos/noding/MCIndexNoder.inl,
	  source/headers/geos/noding/Noder.h,
	  source/headers/geos/noding/NodingValidator.h,
	  source/headers/geos/noding/Octant.h,
	  source/headers/geos/noding/ScaledNoder.h,
	  source/headers/geos/noding/SegmentIntersector.h,
	  source/headers/geos/noding/SegmentNode.h,
	  source/headers/geos/noding/SegmentNodeList.h,
	  source/headers/geos/noding/SegmentString.h,
	  source/headers/geos/noding/SegmentString.inl,
	  source/headers/geos/noding/SimpleNoder.h,
	  source/headers/geos/noding/SinglePassNoder.h,
	  source/headers/geos/noding/snapround/HotPixel.h,
	  source/headers/geos/noding/snapround/HotPixel.inl,
	  source/headers/geos/noding/snapround/MCIndexPointSnapper.h,
	  source/headers/geos/noding/snapround/MCIndexSnapRounder.h,
	  source/headers/geos/noding/snapround/MCIndexSnapRounder.inl,
	  source/headers/geos/noding/snapround/SimpleSnapRounder.h,
	  source/headers/geos/nodingSnapround.h,
	  source/headers/geos/opBuffer.h, source/headers/geos/opDistance.h,
	  source/headers/geos/opLinemerge.h,
	  source/headers/geos/opOverlay.h,
	  source/headers/geos/opPolygonize.h,
	  source/headers/geos/opPredicate.h,
	  source/headers/geos/opRelate.h, source/headers/geos/opValid.h,
	  source/headers/geos/operation.h,
	  source/headers/geos/operation/EndpointInfo.h,
	  source/headers/geos/operation/GeometryGraphOperation.h,
	  source/headers/geos/operation/IsSimpleOp.h,
	  source/headers/geos/operation/buffer/BufferBuilder.h,
	  source/headers/geos/operation/buffer/BufferOp.h,
	  source/headers/geos/operation/buffer/BufferSubgraph.h,
	  source/headers/geos/operation/buffer/OffsetCurveBuilder.h,
	  source/headers/geos/operation/buffer/OffsetCurveSetBuilder.h,
	  source/headers/geos/operation/buffer/RightmostEdgeFinder.h,
	  source/headers/geos/operation/buffer/SubgraphDepthLocater.h,
	  source/headers/geos/operation/distance/ConnectedElementLocationFilter.h,
	  source/headers/geos/operation/distance/ConnectedElementPointFilter.h,
	  source/headers/geos/operation/distance/DistanceOp.h,
	  source/headers/geos/operation/distance/GeometryLocation.h,
	  source/headers/geos/operation/linemerge/EdgeString.h,
	  source/headers/geos/operation/linemerge/LineMergeDirectedEdge.h,
	  source/headers/geos/operation/linemerge/LineMergeEdge.h,
	  source/headers/geos/operation/linemerge/LineMergeGraph.h,
	  source/headers/geos/operation/linemerge/LineMerger.h,
	  source/headers/geos/operation/linemerge/LineSequencer.h,
	  source/headers/geos/operation/overlay/EdgeSetNoder.h,
	  source/headers/geos/operation/overlay/ElevationMatrix.h,
	  source/headers/geos/operation/overlay/ElevationMatrixCell.h,
	  source/headers/geos/operation/overlay/FuzzyPointLocator.h,
	  source/headers/geos/operation/overlay/LineBuilder.h,
	  source/headers/geos/operation/overlay/MaximalEdgeRing.h,
	  source/headers/geos/operation/overlay/MinimalEdgeRing.h,
	  source/headers/geos/operation/overlay/MinimalEdgeRing.inl,
	  source/headers/geos/operation/overlay/OverlayNodeFactory.h,
	  source/headers/geos/operation/overlay/OverlayOp.h,
	  source/headers/geos/operation/overlay/PointBuilder.h,
	  source/headers/geos/operation/overlay/PolygonBuilder.h,
	  source/headers/geos/operation/polygonize/EdgeRing.h,
	  source/headers/geos/operation/polygonize/PolygonizeDirectedEdge.h,
	  source/headers/geos/operation/polygonize/PolygonizeEdge.h,
	  source/headers/geos/operation/polygonize/PolygonizeGraph.h,
	  source/headers/geos/operation/polygonize/Polygonizer.h,
	  source/headers/geos/operation/predicate/RectangleContains.h,
	  source/headers/geos/operation/predicate/RectangleIntersects.h,
	  source/headers/geos/operation/predicate/SegmentIntersectionTester.h,
	  source/headers/geos/operation/relate/EdgeEndBuilder.h,
	  source/headers/geos/operation/relate/EdgeEndBundle.h,
	  source/headers/geos/operation/relate/EdgeEndBundleStar.h,
	  source/headers/geos/operation/relate/RelateComputer.h,
	  source/headers/geos/operation/relate/RelateNode.h,
	  source/headers/geos/operation/relate/RelateNodeFactory.h,
	  source/headers/geos/operation/relate/RelateNodeGraph.h,
	  source/headers/geos/operation/relate/RelateOp.h,
	  source/headers/geos/operation/valid/ConnectedInteriorTester.h,
	  source/headers/geos/operation/valid/ConsistentAreaTester.h,
	  source/headers/geos/operation/valid/IsValidOp.h,
	  source/headers/geos/operation/valid/QuadtreeNestedRingTester.h,
	  source/headers/geos/operation/valid/RepeatedPointTester.h,
	  source/headers/geos/operation/valid/SimpleNestedRingTester.h,
	  source/headers/geos/operation/valid/SweeplineNestedRingTester.h,
	  source/headers/geos/operation/valid/TopologyValidationError.h,
	  source/headers/geos/planargraph.h,
	  source/headers/geos/planargraph/DirectedEdge.h,
	  source/headers/geos/planargraph/DirectedEdgeStar.h,
	  source/headers/geos/planargraph/Edge.h,
	  source/headers/geos/planargraph/GraphComponent.h,
	  source/headers/geos/planargraph/Node.h,
	  source/headers/geos/planargraph/NodeMap.h,
	  source/headers/geos/planargraph/PlanarGraph.h,
	  source/headers/geos/planargraph/Subgraph.h,
	  source/headers/geos/planargraph/algorithm/ConnectedSubgraphFinder.h,
	  source/headers/geos/platform.h.in,
	  source/headers/geos/platform.h.vc,
	  source/headers/geos/precision.h,
	  source/headers/geos/precision/CommonBits.h,
	  source/headers/geos/precision/CommonBitsOp.h,
	  source/headers/geos/precision/CommonBitsRemover.h,
	  source/headers/geos/precision/EnhancedPrecisionOp.h,
	  source/headers/geos/precision/GeometrySnapper.h,
	  source/headers/geos/precision/LineStringSnapper.h,
	  source/headers/geos/precision/SimpleGeometryPrecisionReducer.h,
	  source/headers/geos/profiler.h,
	  source/headers/geos/simplify/DouglasPeuckerLineSimplifier.h,
	  source/headers/geos/simplify/DouglasPeuckerSimplifier.h,
	  source/headers/geos/simplify/LineSegmentIndex.h,
	  source/headers/geos/simplify/TaggedLineSegment.h,
	  source/headers/geos/simplify/TaggedLineString.h,
	  source/headers/geos/simplify/TaggedLineStringSimplifier.h,
	  source/headers/geos/simplify/TaggedLinesSimplifier.h,
	  source/headers/geos/simplify/TopologyPreservingSimplifier.h,
	  source/headers/geos/spatialIndex.h,
	  source/headers/geos/timeval.h, source/headers/geos/unload.h,
	  source/headers/geos/util.h, source/headers/geos/util/Assert.h,
	  source/headers/geos/util/AssertionFailedException.h,
	  source/headers/geos/util/CoordinateArrayFilter.h,
	  source/headers/geos/util/GEOSException.h,
	  source/headers/geos/util/GeometricShapeFactory.h,
	  source/headers/geos/util/IllegalArgumentException.h,
	  source/headers/geos/util/TopologyException.h,
	  source/headers/geos/util/UniqueCoordinateArrayFilter.h,
	  source/headers/geos/util/UnsupportedOperationException.h,
	  source/headers/geos/util/math.h,
	  source/headers/geos/version.h.in,
	  source/headers/geos/version.h.vc,
	  source/index/bintree/Bintree.cpp,
	  source/index/bintree/Interval.cpp, source/index/bintree/Key.cpp,
	  source/index/bintree/Node.cpp, source/index/bintree/NodeBase.cpp,
	  source/index/bintree/Root.cpp,
	  source/index/chain/MonotoneChain.cpp,
	  source/index/chain/MonotoneChainBuilder.cpp,
	  source/index/chain/MonotoneChainOverlapAction.cpp,
	  source/index/chain/MonotoneChainSelectAction.cpp,
	  source/index/quadtree/DoubleBits.cpp,
	  source/index/quadtree/IntervalSize.cpp,
	  source/index/quadtree/Key.cpp, source/index/quadtree/Node.cpp,
	  source/index/quadtree/NodeBase.cpp,
	  source/index/quadtree/Quadtree.cpp,
	  source/index/quadtree/Root.cpp,
	  source/index/strtree/AbstractNode.cpp,
	  source/index/strtree/AbstractSTRtree.cpp,
	  source/index/strtree/Interval.cpp,
	  source/index/strtree/ItemBoundable.cpp,
	  source/index/strtree/SIRtree.cpp,
	  source/index/strtree/STRtree.cpp,
	  source/index/sweepline/SweepLineEvent.cpp,
	  source/index/sweepline/SweepLineIndex.cpp,
	  source/index/sweepline/SweepLineInterval.cpp, source/inlines.cpp,
	  source/io/ByteOrderDataInStream.cpp,
	  source/io/ByteOrderValues.cpp, source/io/ParseException.cpp,
	  source/io/StringTokenizer.cpp, source/io/Unload.cpp,
	  source/io/WKBReader.cpp, source/io/WKBWriter.cpp,
	  source/io/WKTReader.cpp, source/io/WKTWriter.cpp,
	  source/io/Writer.cpp, source/noding/IntersectionAdder.cpp,
	  source/noding/IntersectionFinderAdder.cpp,
	  source/noding/IteratedNoder.cpp, source/noding/MCIndexNoder.cpp,
	  source/noding/NodingValidator.cpp, source/noding/Octant.cpp,
	  source/noding/ScaledNoder.cpp, source/noding/SegmentNode.cpp,
	  source/noding/SegmentNodeList.cpp,
	  source/noding/SegmentString.cpp, source/noding/SimpleNoder.cpp,
	  source/noding/snapround/HotPixel.cpp,
	  source/noding/snapround/MCIndexPointSnapper.cpp,
	  source/noding/snapround/MCIndexSnapRounder.cpp,
	  source/noding/snapround/SimpleSnapRounder.cpp,
	  source/operation/GeometryGraphOperation.cpp,
	  source/operation/IsSimpleOp.cpp,
	  source/operation/buffer/BufferBuilder.cpp,
	  source/operation/buffer/BufferOp.cpp,
	  source/operation/buffer/BufferSubgraph.cpp,
	  source/operation/buffer/OffsetCurveBuilder.cpp,
	  source/operation/buffer/OffsetCurveSetBuilder.cpp,
	  source/operation/buffer/RightmostEdgeFinder.cpp,
	  source/operation/buffer/SubgraphDepthLocater.cpp,
	  source/operation/distance/ConnectedElementLocationFilter.cpp,
	  source/operation/distance/ConnectedElementPointFilter.cpp,
	  source/operation/distance/DistanceOp.cpp,
	  source/operation/distance/GeometryLocation.cpp,
	  source/operation/linemerge/EdgeString.cpp,
	  source/operation/linemerge/LineMergeDirectedEdge.cpp,
	  source/operation/linemerge/LineMergeEdge.cpp,
	  source/operation/linemerge/LineMergeGraph.cpp,
	  source/operation/linemerge/LineMerger.cpp,
	  source/operation/linemerge/LineSequencer.cpp,
	  source/operation/overlay/EdgeSetNoder.cpp,
	  source/operation/overlay/ElevationMatrix.cpp,
	  source/operation/overlay/ElevationMatrixCell.cpp,
	  source/operation/overlay/FuzzyPointLocator.cpp,
	  source/operation/overlay/LineBuilder.cpp,
	  source/operation/overlay/MaximalEdgeRing.cpp,
	  source/operation/overlay/MinimalEdgeRing.cpp,
	  source/operation/overlay/OverlayNodeFactory.cpp,
	  source/operation/overlay/OverlayOp.cpp,
	  source/operation/overlay/PointBuilder.cpp,
	  source/operation/overlay/PolygonBuilder.cpp,
	  source/operation/polygonize/EdgeRing.cpp,
	  source/operation/polygonize/PolygonizeDirectedEdge.cpp,
	  source/operation/polygonize/PolygonizeEdge.cpp,
	  source/operation/polygonize/PolygonizeGraph.cpp,
	  source/operation/polygonize/Polygonizer.cpp,
	  source/operation/predicate/RectangleContains.cpp,
	  source/operation/predicate/RectangleIntersects.cpp,
	  source/operation/predicate/SegmentIntersectionTester.cpp,
	  source/operation/relate/EdgeEndBuilder.cpp,
	  source/operation/relate/EdgeEndBundle.cpp,
	  source/operation/relate/EdgeEndBundleStar.cpp,
	  source/operation/relate/RelateComputer.cpp,
	  source/operation/relate/RelateNode.cpp,
	  source/operation/relate/RelateNodeFactory.cpp,
	  source/operation/relate/RelateNodeGraph.cpp,
	  source/operation/relate/RelateOp.cpp,
	  source/operation/valid/ConnectedInteriorTester.cpp,
	  source/operation/valid/ConsistentAreaTester.cpp,
	  source/operation/valid/IsValidOp.cpp,
	  source/operation/valid/QuadtreeNestedRingTester.cpp,
	  source/operation/valid/RepeatedPointTester.cpp,
	  source/operation/valid/SimpleNestedRingTester.cpp,
	  source/operation/valid/SweeplineNestedRingTester.cpp,
	  source/operation/valid/TopologyValidationError.cpp,
	  source/planargraph/DirectedEdge.cpp,
	  source/planargraph/DirectedEdgeStar.cpp,
	  source/planargraph/Edge.cpp, source/planargraph/Node.cpp,
	  source/planargraph/NodeMap.cpp,
	  source/planargraph/PlanarGraph.cpp,
	  source/planargraph/Subgraph.cpp,
	  source/planargraph/algorithm/ConnectedSubgraphFinder.cpp,
	  source/precision/CommonBits.cpp,
	  source/precision/CommonBitsOp.cpp,
	  source/precision/CommonBitsRemover.cpp,
	  source/precision/EnhancedPrecisionOp.cpp,
	  source/precision/GeometrySnapper.cpp,
	  source/precision/LineStringSnapper.cpp,
	  source/precision/SimpleGeometryPrecisionReducer.cpp,
	  source/simplify/DouglasPeuckerLineSimplifier.cpp,
	  source/simplify/DouglasPeuckerSimplifier.cpp,
	  source/simplify/LineSegmentIndex.cpp,
	  source/simplify/TaggedLineSegment.cpp,
	  source/simplify/TaggedLineString.cpp,
	  source/simplify/TaggedLineStringSimplifier.cpp,
	  source/simplify/TaggedLinesSimplifier.cpp,
	  source/simplify/TopologyPreservingSimplifier.cpp,
	  source/util/Assert.cpp, source/util/AssertionFailedException.cpp,
	  source/util/GeometricShapeFactory.cpp,
	  source/util/IllegalArgumentException.cpp,
	  source/util/Profiler.cpp,
	  source/util/UnsupportedOperationException.cpp,
	  source/util/math.cpp, swig/geos.i, swig/python/geos.py,
	  swig/python/python.i, swig/python/tests/example.py,
	  swig/python/tests/runtests.py,
	  swig/python/tests/test_geometry.py, swig/ruby/ruby.i,
	  tests/bigtest/GeometryTestFactory.cpp,
	  tests/bigtest/TestSweepLineSpeed.cpp, tests/bigtest/bigtest.h,
	  tests/tut/tut.h, tests/tut/tut_reporter.h,
	  tests/tut/tut_restartable.h,
	  tests/unit/algorithm/CGAlgorithms/isPointInRingTest.cpp,
	  tests/unit/algorithm/PointLocatorTest.cpp,
	  tests/unit/geom/CoordinateArraySequenceFactoryTest.cpp,
	  tests/unit/geom/CoordinateArraySequenceTest.cpp,
	  tests/unit/geom/CoordinateListTest.cpp,
	  tests/unit/geom/CoordinateTest.cpp,
	  tests/unit/geom/DimensionTest.cpp,
	  tests/unit/geom/EnvelopeTest.cpp,
	  tests/unit/geom/Geometry/coversTest.cpp,
	  tests/unit/geom/Geometry/isRectangleTest.cpp,
	  tests/unit/geom/GeometryFactoryTest.cpp,
	  tests/unit/geom/IntersectionMatrixTest.cpp,
	  tests/unit/geom/LineSegmentTest.cpp,
	  tests/unit/geom/LineStringTest.cpp,
	  tests/unit/geom/LinearRingTest.cpp,
	  tests/unit/geom/LocationTest.cpp,
	  tests/unit/geom/MultiLineStringTest.cpp,
	  tests/unit/geom/MultiPointTest.cpp,
	  tests/unit/geom/MultiPolygonTest.cpp,
	  tests/unit/geom/PointTest.cpp, tests/unit/geom/PolygonTest.cpp,
	  tests/unit/geom/TriangleTest.cpp, tests/unit/geos_unit.cpp,
	  tests/unit/index/quadtree/DoubleBitsTest.cpp,
	  tests/unit/io/ByteOrderValuesTest.cpp,
	  tests/unit/io/WKBReaderTest.cpp,
	  tests/unit/noding/SegmentNodeTest.cpp,
	  tests/unit/noding/SegmentPointComparatorTest.cpp,
	  tests/unit/noding/SegmentStringTest.cpp,
	  tests/unit/precision/GeometrySnapperTest.cpp,
	  tests/unit/precision/LineStringSnapperTest.cpp,
	  tests/unit/simplify/DouglasPeuckerSimplifierTest.cpp,
	  tests/unit/simplify/TopologyPreservingSimplifierTest.cpp,
	  tests/unit/util/UniqueCoordinateArrayFilterTest.cpp,
	  tests/unit/utility.h, tests/xmltester/CTS.cpp,
	  tests/xmltester/SimpleWKTTester.cpp,
	  tests/xmltester/Stackwalker.cpp, tests/xmltester/Stackwalker.h,
	  tests/xmltester/XMLTester.cpp, tests/xmltester/XMLTester.h,
	  tests/xmltester/markup/MarkupSTL.cpp,
	  tests/xmltester/markup/MarkupSTL.h, tools/geos-config.in: Set
	  svn:keyword property for Id keyword expansion.

2006-09-06 15:50  strk

	* source/headers/geos/operation/overlay/FuzzyPointLocator.h,
	  source/operation/overlay/FuzzyPointLocator.cpp: Fixed comments
	  and includes

2006-09-06 15:33  strk

	* ChangeLog,
	  source/headers/geos/operation/overlay/FuzzyPointLocator.h,
	  source/operation/overlay/FuzzyPointLocator.cpp: new helper class
	  for Overlay op validation.

2006-09-06 15:21  strk

	* source/headers/geos/geom/Geometry.h: (getBoundary) memory
	  allocations documented

2006-09-05 16:18  strk

	* ChangeLog: updated (last commit log was bogus, refer to ChangeLog
	  entry)

2006-09-05 16:07  strk

	* source/headers/geos/geom/BinaryOp.h,
	  source/headers/geos/precision/GeometrySnapper.h,
	  source/operation/overlay/OverlayOp.cpp,
	  source/precision/GeometrySnapper.cpp:
	  (OverlayOp::checkObviouslyWrongResult): exceptions messages
	  rewording

2006-08-31 23:13  strk

	* ChangeLog, source/index/quadtree/Root.cpp: (insertContained):
	  fixed bug reported in geos-devel/2006-August/002541.html

2006-08-31 23:07  strk

	* ChangeLog, configure.in: Reverted last two commits. Darwin host
	  on buildbot seems to have its own problems...

2006-08-31 22:28  strk

	* configure.in: Ops, it was AM_CONFIG_HEADER the old version -
	  still testing

2006-08-31 22:21  strk

	* ChangeLog, configure.in: AC_CONFIG_HEADERS => AM_CONFIG_HEADER
	  (to support older automake versions)

2006-08-04 20:30  hobu

	* capi/geos_c.h.vc: version should be 3.0.0 instead of 3.3.0

2006-08-04 20:29  hobu

	* source/headers/geos/version.h.vc: bump patch to rc1

2006-08-04 20:23  hobu

	* source/Makefile.vc: give makefile.vc some love

2006-08-04 16:40  csavage

	* swig/geos.i, swig/python/geos.py, swig/python/geos_wrap.cxx,
	  swig/ruby/geos_wrap.cxx: Updated SWIG bindings to expose the
	  equalsExact and normalize methods.

2006-08-03 23:43  csavage

	* source/headers/geos/platform.h.in, source/headers/geos/timeval.h:
	  Two changes needed to include the correct definitions for
	  compiling geos using MingW/msys on Windows.

2006-08-03 22:46  strk

	* ChangeLog: try to keep text within 80 cols

2006-08-03 22:24  csavage

	* configure.in: Changed configure.in to use *nix line feeds.

2006-08-03 22:17  csavage

	* capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_c.h.vc: Mistakenly
	  used Geometry* in C api headers instead of GEOSGeom.

2006-08-03 22:13  csavage

	* configure.in: Removed native line endings for configure.in since
	  CR/LF does not work on Windows under msys.

2006-08-03 22:02  csavage

	* ChangeLog, capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_c.h.vc:
	  Added equalsExact and normalize to the c api as discussed on the
	  mailing list
	  (http://geos.refractions.net/pipermail/geos-devel/2006-July/002452.html).

2006-08-03 21:34  csavage

	* ChangeLog, swig/python/Makefile.am, swig/ruby/Makefile.am:
	  Updated build scripts so that ruby/geos_wrap.cxx,
	  python/geos_wrap.cxx and python/geos.py are removed by make
	  maintainer-clean but not make clean.

2006-08-03 16:28  mloskot

	* ChangeLog, tests/unit/geos_unit.cpp: Fixed Bug #90

2006-08-03 16:18  csavage

	* swig/python/geos.py, swig/python/geos_wrap.cxx,
	  swig/ruby/geos_wrap.cxx: Added SWIG generated wrapper files for
	  Ruby and Python

2006-07-27 06:18  mloskot

	* .: Added svn:ignore property to ignore 'geos-3.0.0rc1' dir
	  (testing commit access to SVN).

2006-07-26 19:06  strk

	* .cvsignore, capi/.cvsignore, doc/.cvsignore, macros/.cvsignore,
	  source/.cvsignore, source/algorithm/.cvsignore,
	  source/examples/.cvsignore, source/geom/.cvsignore,
	  source/geom/util/.cvsignore, source/geomgraph/.cvsignore,
	  source/geomgraph/index/.cvsignore, source/headers/.cvsignore,
	  source/headers/geos/.cvsignore,
	  source/headers/geos/algorithm/.cvsignore,
	  source/headers/geos/geom/.cvsignore,
	  source/headers/geos/geom/util/.cvsignore,
	  source/headers/geos/geomgraph/.cvsignore,
	  source/headers/geos/geomgraph/index/.cvsignore,
	  source/headers/geos/index/.cvsignore,
	  source/headers/geos/index/bintree/.cvsignore,
	  source/headers/geos/index/chain/.cvsignore,
	  source/headers/geos/index/quadtree/.cvsignore,
	  source/headers/geos/index/strtree/.cvsignore,
	  source/headers/geos/index/sweepline/.cvsignore,
	  source/headers/geos/io/.cvsignore,
	  source/headers/geos/noding/.cvsignore,
	  source/headers/geos/noding/snapround/.cvsignore,
	  source/headers/geos/operation/.cvsignore,
	  source/headers/geos/operation/buffer/.cvsignore,
	  source/headers/geos/operation/distance/.cvsignore,
	  source/headers/geos/operation/linemerge/.cvsignore,
	  source/headers/geos/operation/overlay/.cvsignore,
	  source/headers/geos/operation/polygonize/.cvsignore,
	  source/headers/geos/operation/predicate/.cvsignore,
	  source/headers/geos/operation/relate/.cvsignore,
	  source/headers/geos/operation/valid/.cvsignore,
	  source/headers/geos/planargraph/.cvsignore,
	  source/headers/geos/planargraph/algorithm/.cvsignore,
	  source/headers/geos/precision/.cvsignore,
	  source/headers/geos/simplify/.cvsignore,
	  source/headers/geos/util/.cvsignore, source/index/.cvsignore,
	  source/index/bintree/.cvsignore, source/index/chain/.cvsignore,
	  source/index/quadtree/.cvsignore,
	  source/index/strtree/.cvsignore,
	  source/index/sweepline/.cvsignore, source/io/.cvsignore,
	  source/noding/.cvsignore, source/noding/snapround/.cvsignore,
	  source/operation/.cvsignore, source/operation/buffer/.cvsignore,
	  source/operation/distance/.cvsignore,
	  source/operation/linemerge/.cvsignore,
	  source/operation/overlay/.cvsignore,
	  source/operation/polygonize/.cvsignore,
	  source/operation/predicate/.cvsignore,
	  source/operation/relate/.cvsignore,
	  source/operation/valid/.cvsignore, source/planargraph/.cvsignore,
	  source/precision/.cvsignore, source/simplify/.cvsignore,
	  source/util/.cvsignore, swig/.cvsignore, swig/python/.cvsignore,
	  swig/python/tests/.cvsignore, swig/ruby/.cvsignore,
	  swig/ruby/test/.cvsignore, tests/.cvsignore,
	  tests/bigtest/.cvsignore, tests/tut/.cvsignore,
	  tests/unit/.cvsignore, tests/xmltester/.cvsignore,
	  tools/.cvsignore: Removed .cvsignore files from repository

2006-07-26 17:51  strk

	* ChangeLog, capi/Makefile.am, tests/xmltester/XMLTester.cpp: *
	  capi/Makefile.am: forced link of geostest against stdc++ lib
	  * tests/xmltester/XMLTester.cpp: added <cmath> include (for fabs
	  use)

2006-07-26 15:28  strk

	* ChangeLog, source/headers/geos/geom/BinaryOp.h: Added geometry
	  snapping heuristic

2006-07-25 20:45  strk

	* ChangeLog, autogen.sh: Made autogen.sh errors more visible

2006-07-21 19:37  csavage

	* NEWS: Added note about inclusion of version.in.vc. See
	  http://geos.refractions.net/pipermail/geos-devel/2006-July/002463.html
	  for more info.

2006-07-21 17:59  strk

	* ChangeLog, tests/unit/Makefile.am,
	  tests/unit/precision/GeometrySnapperTest.cpp: Added test for
	  GeometrySnapper

2006-07-21 17:59  strk

	* source/precision/LineStringSnapper.cpp: Fixed preprocessor
	  directive use

2006-07-21 17:09  strk

	* ChangeLog, source/headers/geos/precision/GeometrySnapper.h,
	  source/headers/geos/precision/LineStringSnapper.h,
	  source/headers/geos/precision/Makefile.am,
	  source/precision/GeometrySnapper.cpp,
	  source/precision/LineStringSnapper.cpp,
	  source/precision/Makefile.am, tests/unit/Makefile.am,
	  tests/unit/precision,
	  tests/unit/precision/LineStringSnapperTest.cpp: Added new
	  precision::LineStringSnapper class + test
	  and precision::GeometrySnapper (w/out test)

2006-07-21 17:05  strk

	* ChangeLog, source/headers/geos/geom/CoordinateList.h: added
	  operator<< for CoordinateList class

2006-07-21 17:00  strk

	* ChangeLog, tests/unit/geom/LineSegmentTest.cpp: Added another
	  distance() test

2006-07-21 16:45  mloskot

	* ChangeLog, source/headers/geos/geom.h, source/headers/geos/io.h:
	  Wrapped FIXME message with #warning directive to shout about
	  potential headers removal in future.

2006-07-21 14:53  strk

	* ChangeLog, source/headers/geos/geom/CoordinateList.h,
	  source/headers/geos/geom/Makefile.am, tests/unit/Makefile.am,
	  tests/unit/geom/CoordinateListTest.cpp: CoordinateList class
	  re-introduced, for list-based ops
	  (not strictly mapped to JTS version, not yet at least)

2006-07-21 14:49  strk

	* source/headers/geos/geom/LineSegment.h: Fixed typo in comment

2006-07-21 08:33  strk

	* swig/ruby/test/Makefile.am: Removed blank space after backslash
	  (automake complained)

2006-07-19 02:43  csavage

	* source/headers/geos/Makefile.am: Added veresion.h.vc as
	  EXTRA_DIST to ensure it is packaged when doing make dist.

2006-07-15 19:36  csavage

	* configure.in: Removed python test/cases directory (tests are now
	  just in tests directory).

2006-07-13 08:02  csavage

	* ChangeLog: Updated ChangeLog to note additional SWIG tests and
	  integration with the GEOS build system.

2006-07-13 07:49  csavage

	* capi/geos_c.h.vc: Updated version number to 3.0.0rc1-CAPI-1.1.1
	  to match the autoconf generated files.

2006-07-13 07:38  csavage

	* swig/ruby/test/Makefile.am: Fixed spelling mistake in test task.

2006-07-13 07:36  csavage

	* swig/Makefile.am: Removed dependency on README.txt since it has
	  been removed.

2006-07-13 07:35  csavage

	* swig/ruby/test/test_buffer.rb: New tests for the buffer
	  operation.

2006-07-13 07:29  csavage

	* configure.in: Added SWIG Python and Ruby bindings back into the
	  main GEOS build system.

2006-07-13 07:27  csavage

	* swig/python/tests/Makefile.am, swig/ruby/test/Makefile.am:
	  Updated extra_dist for test directories.

2006-07-13 07:20  csavage

	* swig/python/tests/Makefile.am: Remove the dependency on the cases
	  subdirectory which is no longer needed.

2006-07-13 07:19  csavage

	* swig/python/tests/runtests.py: Updated test suite to use the
	  correct tests.

2006-07-13 07:16  csavage

	* swig/python/tests/cases: Removed old tests cases which are no
	  longer valid (worked using the C++ api).

2006-07-13 07:14  csavage

	* swig/python/tests/test_geometry.py: New Python test case to
	  ensure creating coordinate sequences and geometries works
	  correctly.

2006-07-13 07:14  csavage

	* swig/README.txt, swig/python/Makefile.am, swig/python/README.txt,
	  swig/ruby/Makefile.am, swig/ruby/README.txt: Removed README.txt
	  files which are no longer applicable now that the SWIG bindings
	  have been intergrated into the GEOS build system.

2006-07-13 07:13  csavage

	* swig/ruby/test/test_geometry.rb: Renamed test class.

2006-07-13 07:09  csavage

	* swig/python/Makefile.am: Removed old, unused code.

2006-07-13 07:09  csavage

	* swig/python/python.i: Added tyepmap to support creating polygons
	  with holes.

2006-07-13 07:08  csavage

	* swig/geos.i: Added default value for quadsegs parmeter in buffer
	  operation.

2006-07-13 04:47  csavage

	* swig/python/tests/example.py: Manually moved from parent
	  directory.

2006-07-13 04:46  csavage

	* swig/python/Makefile.am: Updated EXTRA_DIST to include python.i
	  and geos.pth

2006-07-13 04:46  csavage

	* swig/python/example.py: Moved file to tests subdirectory.

2006-07-13 04:45  csavage

	* swig/python/setup.py: Installation is now done by autoconf macros
	  instead of setup.py

2006-07-13 04:39  csavage

	* swig/geos.i, swig/python/python.i, swig/ruby/ruby.i: Cleaned up
	  ruby.i, added licenxe to python.i, commented back in python.i
	  into geos.i.

2006-07-13 04:09  csavage

	* swig/ruby/test/test_helper.rb: Added code to read xml test cases.

2006-07-13 04:08  csavage

	* swig/geos.i: Added exception handling for results that return
	  geometries. Added normalize and equalsExact, but for the moment
	  they are commented out.

2006-07-13 03:59  csavage

	* tests/xmltester/XMLTester.cpp: Changes to compile on VC++ - fully
	  qualified polygon name. Should also work on MingW, will test
	  next.

2006-07-12 23:17  csavage

	* swig/ruby/test/geos_tests.rb: Disabled test_combinations.rb for
	  the moment since it fails.

2006-07-12 23:16  csavage

	* swig/geos.i: Fixed serious bug in geom_to_hex and geom_to_wkb
	  type maps. Was using temporary variable instead of passed in
	  variable.

2006-07-12 22:55  csavage

	* capi/geos_c.h.vc: Switched GeosBytesOrder to int in api
	  signatures.

2006-07-12 22:11  csavage

	* swig/geos.i: A number of changes to fix warning generated by gcc
	  and to make sure the bindings compile for Python.

2006-07-12 22:11  csavage

	* swig/python/Makefile.am: Updated Python SWIG makefile to build
	  with the c api.

2006-07-12 22:10  csavage

	* swig/ruby/ruby.i: Minor change to fix gcc warning.

2006-07-12 22:10  csavage

	* swig/ruby/Makefile.am: Updated Ruby SWIG makefile to build with
	  the c api.

2006-07-12 21:03  csavage

	* capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_c.h.vc: Fixed an
	  error in the way GEOSByteOrder was declared. It is now an enum in
	  geos_c.h

2006-07-12 19:10  csavage

	* swig/geos.i: Added %rename directive so that GeomUnion is exposed
	  as union is SWIG languages.

2006-07-12 19:08  csavage

	* swig/ruby/test/geos_tests.rb,
	  swig/ruby/test/test_combinations.rb,
	  swig/ruby/test/test_operations.rb: Updated tests for combinatins
	  (union, intersection, etc.) and operaptions (buffer, centroid,
	  etc.).

2006-07-12 19:07  csavage

	* swig/ruby/test/test_simple.rb: These tests are no longer needed.

2006-07-12 17:51  csavage

	* swig/ruby/test/geos_tests.rb, swig/ruby/test/test_helper.rb,
	  swig/ruby/test/test_relations.rb: Ported old tests for relations,
	  such as intersects, touches, etc., to new swig bindings.

2006-07-12 08:30  csavage

	* swig/ruby/ruby.i: Added type map needed to create polygons with
	  holes. Unfortunately, this is Ruby specific. It needs to be
	  ported to Python next.

2006-07-12 08:29  csavage

	* swig/geos.i: Removed wrapper classes and replace them with SWIG
	  "fake" classes. This makes the interface cleaner, and makes
	  memory management much easier. Also added area, dimension,
	  length, getExteriorRing, getInteriorRingN methods.

2006-07-12 08:27  csavage

	* swig/ruby/test/test_srid.rb: Added test to read from wkb geometry
	  - currently fails, needs more investigation.

2006-07-12 08:27  csavage

	* swig/ruby/test/test_io.rb: Added tests for invalid geometries.

2006-07-12 08:27  csavage

	* swig/ruby/test/geos_tests.rb: Updated ruby test suite.

2006-07-12 08:24  csavage

	* swig/ruby/test/test_geometry.rb: New tests for area, length,
	  distance.

2006-07-12 05:21  csavage

	* swig/ruby/test/test_coordinate_sequence.rb,
	  swig/ruby/test/test_version.rb: Converted line feeds to Unix
	  style.

2006-07-12 05:21  csavage

	* swig/ruby/test/test_geometry.rb: New tests for creating
	  geometries and calling various functions such as numGeometries,
	  isValid, etc.

2006-07-12 05:20  csavage

	* swig/ruby/test/test_srid.rb: Tests for srid handling.

2006-07-12 05:20  csavage

	* swig/ruby/test/test_io.rb: Merged tests from test_wkb_reader.rb

2006-07-12 05:18  csavage

	* swig/ruby/test/test_wkb_reader.rb: Merging into test_io.rb

2006-07-12 04:46  csavage

	* swig/ruby/test/test_version.rb: Tests to verify returned version
	  numbers from C api.

2006-07-11 18:48  csavage

	* swig/geos.i: Fixes for coordinate sequences. Fixed bug in range
	  checking, chaned clone to be a method instead of copy
	  constructor, marked clone as creating a new object.

2006-07-11 18:44  csavage

	* swig/ruby/test/test_coordinate_sequence.rb: Tests for SWIG
	  coordinate sequence class.

2006-07-11 09:07  csavage

	* capi/geos_c.h.in, capi/geos_c.h.vc: Added reference to new enum
	  called GEOSByteOrders. The enum has two values, GEOS_WKB_NDR and
	  GEOS_WKB_XDR which signify big endian and little endian byte
	  orders.

2006-07-11 09:05  csavage

	* capi/geos_c.h.in, capi/geos_c.h.vc: Added 5 methods to the C API
	  as documented in the changelong. The new methods are read/write
	  WKB Hex values, read/write WKB byte order and read wkb output
	  dimensions.

2006-07-11 08:55  csavage

	* swig/ruby/test/test_wkb_reader.rb: Test cases for reading and
	  writing geometries to WKT, WKB and hex encoded WKB formats via
	  the SWIG bindings.

2006-07-11 08:54  csavage

	* capi/geos_c.h.vc: Updated visual studio header file to match
	  geos_c.h.in

2006-07-11 08:53  csavage

	* capi/geos_c.cpp: Added 5 methods to the C API as documented in
	  the changelong. The new methods are read/write WKB Hex values,
	  read/write WKB byte order and read wkb output dimensions.

2006-07-11 08:52  csavage

	* ChangeLog: Noted additions to the C API and porting of SWIG to
	  use the C api.

2006-07-11 08:44  csavage

	* swig/geos.i, swig/ruby/ruby.i: Ported SWIG bindings to use c-api.

2006-07-10 22:29  strk

	* tests/tut, tests/tut/.cvsignore: Added .cvsignore file

2006-07-10 21:51  strk

	* ChangeLog, capi/geos_c.cpp: don't use dynamic strings as format
	  arg the formatted message callbacks.

2006-07-10 10:16  strk

	* ChangeLog,
	  source/headers/geos/simplify/DouglasPeuckerLineSimplifier.h:
	  changed vector<bool> to vector<short int> (see bug#101)

2006-07-09 03:37  mloskot

	* tests/xmltester, tests/xmltester/.cvsignore: Added 'testrunner'
	  pattern to tests/xmltester/.cvsignore.

2006-07-09 03:21  mloskot

	* ., .cvsignore: Added 'testrunner' to .cvsignore patterns.

2006-07-09 03:21  mloskot

	* ChangeLog: Updated ChangeLog with details about new unit tests.

2006-07-09 03:16  mloskot

	* tests/unit/Makefile.am: Added new tests to
	  tests/unit/Makefile.am.

2006-07-09 03:15  mloskot

	* tests/unit/noding/SegmentNodeTest.cpp,
	  tests/unit/noding/SegmentPointComparatorTest.cpp,
	  tests/unit/noding/SegmentStringTest.cpp: Added new tests cases to
	  tests/unit/noding. Removed zero-to-pointer casts.

2006-07-09 00:24  strk

	* tests/xmltester/Makefile.am: Added testrunner to CLEANFILES. make
	  distcheck now succeeds.

2006-07-08 00:33  strk

	* ChangeLog, configure.in, source/geom/Geometry.cpp,
	  source/geom/GeometryFactory.cpp, source/geomgraph/EdgeRing.cpp,
	  source/headers/geos/geom/Geometry.h,
	  source/headers/geos/geom/GeometryFactory.h,
	  source/headers/geos/geom/GeometryFactory.inl,
	  source/headers/geos/geomgraph/EdgeRing.h,
	  source/headers/geos/platform.h.in: * configure.in: incremented
	  CAPI minor version, to avoid falling behind any future version
	  from the 2.2. branch.
	  * source/geom/Geometry.cpp, source/geom/GeometryFactory.cpp,
	  source/geomgraph/EdgeRing.cpp,
	  source/headers/geos/geom/Geometry.h,
	  source/headers/geos/geom/GeometryFactory.h,
	  source/headers/geos/geom/GeometryFactory.inl,
	  source/headers/geos/geomgraph/EdgeRing.h:
	  updated doxygen comments (sync with JTS head).
	  * source/headers/geos/platform.h.in: include <inttypes.h>
	  rather then <stdint.h>

2006-07-07 20:02  mloskot

	* ChangeLog: Updated ChangeLog with version comparison fix in
	  GEOS_UNIT.

2006-07-07 20:00  mloskot

	* macros/geos.m4: Fixed versions comparison in the GEOS_UNIT macro.

2006-07-07 19:33  strk

	* ChangeLog, acsite.m4, configure.in: * acsite.m4: include
	  <inttypes.h> rather then <stdint.h>
	  (the latter is not available on Solaris 9)
	  * configure.in: make sure CFLAGS is set before compiling
	  using the 64bit integer detection macro.

2006-07-06 16:39  mloskot

	* ChangeLog, macros/geos.m4: Fixed version query regexp with
	  escaped dots. Removed -lpq from GEOS_LIBS flags.

2006-07-05 23:27  mloskot

	* ChangeLog, macros/geos.m4: Removed redundant -L and -I from
	  GEOS_LIBS and GEOS_CFLAGS.

2006-07-05 23:10  mloskot

	* ChangeLog, macros/geos.m4: Fixed GEOS_INIT to support full paths
	  to geos-config passed to --with-geos. Fixed version decoding.

2006-07-05 22:54  strk

	* ChangeLog, tests/unit/Makefile.am: distribute utility.h

2006-07-05 22:19  strk

	* ChangeLog, configure.in, tests/Makefile.am,
	  tests/tut/Makefile.am: distribute the TUT framework.

2006-07-05 21:47  strk

	* ChangeLog, tests/xmltester/Makefile.am: Distribute XML tests and
	  tester.

2006-07-05 21:18  strk

	* ChangeLog, source/operation/valid/Makefile.am: Fixed missing
	  SweeplineNestedRingTester.cpp file.

2006-07-05 20:52  strk

	* ChangeLog, source/headers/geos/operation/linemerge/Makefile.am:
	  Fixed missing backslash, dropping headers from distribution.

2006-07-05 20:20  strk

	* TODO: updated

2006-07-05 20:19  strk

	* ChangeLog, source/headers/geos/operation/overlay/OverlayOp.h,
	  source/operation/overlay/OverlayOp.cpp: added checks for
	  obviously wrong result of difference and intersection ops

2006-06-27 15:59  strk

	* ChangeLog, source/algorithm/HCoordinate.cpp: *
	  source/algorithm/HCoordinate.cpp: added support for MingW -ansi
	  builds.

2006-06-27 15:26  strk

	* ChangeLog, capi/geos_c.cpp, capi/geos_c.h.in: * capi/geos_c.cpp:
	  fixed forward declaration of GEOSCoordSeq_getOrdinate.
	  * capi/geos_c.h.in: renamed GEOSGeomTypeId enum to GEOSGeomTypes,
	  to make VC++ 2005 happy.

2006-06-19 23:33  strk

	* ChangeLog, source/headers/geos/geom/CoordinateFilter.h,
	  source/headers/geos/noding/ScaledNoder.h,
	  source/headers/geos/util/CoordinateArrayFilter.h,
	  source/headers/geos/util/UniqueCoordinateArrayFilter.h,
	  source/noding/ScaledNoder.cpp: Don't *require* CoordinateFilters
	  to define both read-only and read-write methods.

2006-06-19 22:52  strk

	* ChangeLog, source/geom/Polygon.cpp: optimized loops

2006-06-19 21:20  strk

	* ChangeLog, source/geom/util/GeometryTransformer.cpp,
	  source/headers/geos/geom/util/GeometryTransformer.h: updated port
	  info

2006-06-19 21:17  strk

	* ChangeLog, source/geom/GeometryFactory.cpp,
	  source/headers/geos/geom/GeometryFactory.h,
	  source/headers/geos/geom/GeometryFactory.inl: port info and
	  doxygen dox.

2006-06-19 20:48  strk

	* ChangeLog, tests/xmltester/XMLTester.cpp: parseCase(): make sure
	  to exit the <case> tag before returning

2006-06-14 19:27  strk

	* ChangeLog, source/geom/Coordinate.cpp,
	  source/headers/geos/geom/Coordinate.h,
	  source/headers/geos/geom/Coordinate.inl: Let the compiler
	  synthetize copy ctor and assignment op for Coordinate class to
	  obtain better numerical stability.

2006-06-14 19:19  strk

	* ChangeLog, tests/xmltester/XMLTester.cpp: Added support for
	  "AreaTest" operations.

2006-06-14 19:17  strk

	* ChangeLog, source/operation/overlay/PolygonBuilder.cpp: Fixed bug
	  in findShell() needlessly erasing vector elements

2006-06-14 15:38  strk

	* source/operation/overlay/OverlayOp.cpp: Fixed just-introduced bug

2006-06-14 15:03  strk

	* ChangeLog, source/operation/overlay/OverlayOp.cpp: *
	  source/operation/overlay/OverlayOp.cpp: use NodeMap::container
	  and related typedefs, removed (int) casts, optimized loops.

2006-06-14 14:32  strk

	* ChangeLog, source/geomgraph/EdgeEnd.cpp,
	  source/headers/geos/geomgraph/DirectedEdge.h,
	  source/headers/geos/geomgraph/DirectedEdge.inl,
	  source/headers/geos/geomgraph/EdgeEnd.h: EdgeEnd::getEdge() made
	  non-virtual and inlined.

2006-06-14 13:59  strk

	* ChangeLog, source/operation/overlay/PolygonBuilder.cpp: Fixed bug
	  in PolygonBuilder::placePolygonHoles, performance improved as a
	  side effect.

2006-06-13 23:26  strk

	* ChangeLog,
	  source/headers/geos/operation/overlay/PolygonBuilder.h,
	  source/operation/overlay/PolygonBuilder.cpp: cleanups

2006-06-13 22:50  strk

	* ChangeLog, source/headers/geos/io/WKTReader.inl: *
	  source/headers/geos/io/WKTReader.inl: added missing include for
	  GEOS_DEBUG set case, use stderr for debugging output.

2006-06-13 22:19  strk

	* ChangeLog, source/operation/overlay/LineBuilder.cpp: fixed unused
	  parameter warning

2006-06-13 22:00  strk

	* ChangeLog, source/headers/geos/geomgraph/GeometryGraph.h: Changed
	  GeometryGraph::lineEdgeMap set comparison function to be
	  pointer-based. Should be safe and much faster. Available tests
	  all succeed.

2006-06-13 21:42  strk

	* source/operation/overlay/OverlayOp.cpp: trimmed cvs log, cleanups

2006-06-13 21:40  strk

	* source/geomgraph/GeometryGraph.cpp: Cleanups and some more
	  debugging lines

2006-06-13 21:38  strk

	* ChangeLog, source/geom/Geometry.cpp: Added self comparison check
	  in Geometry::compareTo().

2006-06-13 19:16  strk

	* ChangeLog: fixed mis-assigned commit

2006-06-12 17:18  strk

	* ChangeLog, source/simplify/LineSegmentIndex.cpp:
	  LineSegmentIndex: explicitly initialized parent class in
	  constructors.

2006-06-12 17:15  strk

	* ChangeLog, source/headers/geos/index/quadtree/Root.h,
	  source/headers/geos/operation/distance/ConnectedElementPointFilter.h,
	  source/headers/geos/operation/polygonize/Polygonizer.h: Removed
	  unused parameters warning

2006-06-12 17:14  strk

	* ChangeLog, source/headers/geos/geom/GeometryFilter.h: added
	  assert(0) version of filter_ro() and filter_rw() to allow
	  implementations to only defined the required one.

2006-06-12 16:59  strk

	* tests/bigtest/TestSweepLineSpeed.cpp,
	  tests/xmltester/SimpleWKTTester.cpp: Removed unused parameter
	  warnings

2006-06-12 16:57  strk

	* source/headers/geos/planargraph/Node.h: Added note about
	  ownership of return from getEdgesBetween()

2006-06-12 16:55  strk

	* ChangeLog, source/headers/geos/io/WKTWriter.h,
	  source/io/WKTWriter.cpp: fixed compiler warnings, fixed some
	  methods to omit unused parameters.

2006-06-12 16:51  strk

	* ChangeLog, source/geom/CoordinateSequence.cpp,
	  source/headers/geos/geom/CoordinateSequence.h,
	  tests/unit/geom/CoordinateArraySequenceTest.cpp: Added equality
	  and inequality operators and tests

2006-06-12 16:36  strk

	* ChangeLog, source/geom/CoordinateSequence.cpp,
	  source/headers/geos/geom/CoordinateSequence.h: indentation, notes
	  about things to be fixed.

2006-06-12 15:47  strk

	* ChangeLog, source/planargraph/Node.cpp: implemented missing
	  getEdgesBetween() method (untested).

2006-06-12 15:46  strk

	* source/headers/geos/planargraph/DirectedEdge.h,
	  source/planargraph/DirectedEdge.cpp: provided a memory friendly
	  version of toEdges() method.

2006-06-12 15:07  strk

	* ChangeLog, source/geom/CoordinateArraySequence.cpp: explicitly
	  invoked CoordinateSequence (copy) ctor - suggested by GCC
	  warning.

2006-06-12 15:06  strk

	* source/headers/geos/geom/CoordinateSequence.h: Added default ctor
	  and copy ctor (protected)

2006-06-12 13:57  strk

	* ChangeLog, acsite.m4, configure.in,
	  source/headers/geos/platform.h.in: Check for int64_t type for
	  int64 typedef.

2006-06-12 11:29  strk

	* ChangeLog, source/algorithm/SimplePointInAreaLocator.cpp,
	  source/geomgraph/EdgeNodingValidator.cpp,
	  source/geomgraph/EdgeRing.cpp,
	  source/geomgraph/GeometryGraph.cpp,
	  source/geomgraph/PlanarGraph.cpp,
	  source/geomgraph/TopologyLocation.cpp,
	  source/geomgraph/index/MonotoneChainEdge.cpp,
	  source/geomgraph/index/SimpleEdgeSetIntersector.cpp,
	  source/geomgraph/index/SimpleMCSweepLineIntersector.cpp,
	  source/headers/geos/geom/CoordinateArraySequenceFactory.h,
	  source/headers/geos/geom/CoordinateArraySequenceFactory.inl,
	  source/headers/geos/geom/LineSegment.inl,
	  source/headers/geos/geom/Location.h,
	  source/headers/geos/geomgraph/TopologyLocation.h,
	  source/headers/geos/noding/SegmentNodeList.h,
	  source/headers/geos/profiler.h,
	  source/headers/geos/simplify/DouglasPeuckerLineSimplifier.h,
	  source/headers/geos/simplify/TaggedLineString.h,
	  source/index/chain/MonotoneChainBuilder.cpp,
	  source/index/sweepline/SweepLineIndex.cpp,
	  source/noding/SegmentNodeList.cpp,
	  source/operation/buffer/BufferBuilder.cpp,
	  source/operation/buffer/BufferSubgraph.cpp,
	  source/operation/buffer/OffsetCurveSetBuilder.cpp,
	  source/operation/buffer/RightmostEdgeFinder.cpp,
	  source/operation/buffer/SubgraphDepthLocater.cpp,
	  source/operation/distance/DistanceOp.cpp,
	  source/operation/linemerge/LineMerger.cpp,
	  source/operation/overlay/LineBuilder.cpp,
	  source/operation/overlay/OverlayOp.cpp,
	  source/operation/overlay/PolygonBuilder.cpp,
	  source/operation/predicate/SegmentIntersectionTester.cpp,
	  source/operation/relate/EdgeEndBundle.cpp,
	  source/operation/valid/ConnectedInteriorTester.cpp,
	  source/operation/valid/QuadtreeNestedRingTester.cpp,
	  source/operation/valid/SimpleNestedRingTester.cpp,
	  source/operation/valid/SweeplineNestedRingTester.cpp,
	  source/simplify/DouglasPeuckerLineSimplifier.cpp,
	  source/simplify/LineSegmentIndex.cpp,
	  source/simplify/TaggedLineString.cpp, source/util/Profiler.cpp:
	  unsigned int => size_t

2006-06-12 10:49  strk

	* ChangeLog, source/algorithm/ConvexHull.cpp,
	  source/algorithm/PointLocator.cpp, source/geom/Envelope.cpp,
	  source/geom/LineString.cpp,
	  source/headers/geos/geom/LineString.h,
	  source/headers/geos/geomgraph/EdgeEndStar.h,
	  source/headers/geos/index/strtree/AbstractSTRtree.h,
	  source/headers/geos/index/strtree/SIRtree.h,
	  source/headers/geos/index/strtree/STRtree.h,
	  source/headers/geos/planargraph/DirectedEdgeStar.h,
	  source/headers/geos/planargraph/Node.h,
	  source/headers/geos/planargraph/PlanarGraph.h,
	  source/index/strtree/AbstractSTRtree.cpp,
	  source/index/strtree/SIRtree.cpp,
	  source/index/strtree/STRtree.cpp,
	  source/operation/linemerge/LineSequencer.cpp,
	  source/planargraph/PlanarGraph.cpp: unsigned int => size_t

2006-06-12 10:39  strk

	* ChangeLog, tests/xmltester/XMLTester.cpp: don't print test file
	  precision model if verbosity level < 2.

2006-06-12 10:10  strk

	* ChangeLog, NEWS, capi/geos_c.h.in,
	  source/algorithm/CGAlgorithms.cpp,
	  source/geom/CoordinateArraySequence.cpp,
	  source/geom/CoordinateSequence.cpp, source/geom/Geometry.cpp,
	  source/geom/GeometryCollection.cpp,
	  source/geom/GeometryFactory.cpp,
	  source/geom/IntersectionMatrix.cpp, source/geom/LineString.cpp,
	  source/geom/LinearRing.cpp, source/geom/MultiLineString.cpp,
	  source/geom/MultiPolygon.cpp, source/geom/Polygon.cpp,
	  source/headers/geos/geom/CoordinateArraySequence.h,
	  source/headers/geos/geom/CoordinateArraySequenceFactory.h,
	  source/headers/geos/geom/CoordinateSequence.h,
	  source/headers/geos/geom/CoordinateSequenceFactory.h,
	  source/headers/geos/geom/Geometry.h,
	  source/headers/geos/geom/GeometryCollection.h,
	  source/headers/geos/geom/LineSegment.h,
	  source/headers/geos/util/UniqueCoordinateArrayFilter.h: Fixed
	  getGeometryN() to take size_t rather then int, changed unsigned
	  int parameters to size_t.

2006-06-09 08:28  strk

	* tests/xmltester/SimpleWKTTester.cpp: Removed compiler warning

2006-06-09 08:17  strk

	* ChangeLog, tests/unit/noding/SegmentStringTest.cpp: removed
	  signed/unsigned comparison warnings.

2006-06-09 08:09  strk

	* ChangeLog, tests/unit/geom/LinearRingTest.cpp,
	  tests/unit/geom/MultiPointTest.cpp,
	  tests/unit/geom/PolygonTest.cpp: removed signed/unsigned
	  comparison warnings.

2006-06-09 08:02  strk

	* ChangeLog, tests/unit/geom/LineStringTest.cpp: Fixed
	  signed/unsigned comparison tests

2006-06-09 07:42  strk

	* ChangeLog, source/geomgraph/GeometryGraph.cpp,
	  source/operation/buffer/OffsetCurveSetBuilder.cpp,
	  source/operation/overlay/OverlayOp.cpp,
	  source/operation/valid/RepeatedPointTester.cpp: *
	  source/geomgraph/GeometryGraph.cpp,
	  source/operation/buffer/OffsetCurveSetBuilder.cpp,
	  source/operation/overlay/OverlayOp.cpp,
	  source/operation/valid/RepeatedPointTester.cpp: Fixed warning
	  after Polygon ring accessor methods changed to work with size_t.
	  Small optimizations in loops.

2006-06-09 06:41  strk

	* ChangeLog: Added missing log for mloskot change

2006-06-08 18:50  mloskot

	* tests/unit/geom/DimensionTest.cpp: Fixed no-effect warning in
	  test<1> from DimensionTest.cpp.

2006-06-08 18:18  strk

	* ChangeLog, tests/unit/geom/GeometryFactoryTest.cpp: *
	  tests/unit/geom/GeometryFactoryTest.cpp: fixed compiler warnings
	  about signed/unsigned comparisons.

2006-06-08 17:58  strk

	* ChangeLog, NEWS, source/algorithm/CentroidArea.cpp,
	  source/geom/Polygon.cpp, source/geom/util/GeometryEditor.cpp,
	  source/headers/geos/geom/Polygon.h, source/io/WKTWriter.cpp:
	  Polygon::getNumInteriorRing() return size_t,
	  Polygon::interiorRingN() takes size_t.

2006-06-08 17:46  strk

	* ChangeLog, tests/unit/geom/CoordinateArraySequenceTest.cpp: *
	  tests/unit/geom/CoordinateArraySequenceTest.cpp: fix
	  signed/unsigned comparison warning.

2006-06-08 15:55  strk

	* ChangeLog, tests/xmltester/markup/MarkupSTL.cpp: *
	  tests/xmltester/markup/MarkupSTL.cpp: removed use of
	  allocator<char>, which brings in some incompatibilities with
	  libstdc++ 6.0.7 (gcc 4.0.2).

2006-06-08 13:19  strk

	* configure.in: Commented out ruby and python detection

2006-06-08 12:58  strk

	* tests/xmltester/Makefile.am, tests/xmltester/testrunner.sh: Fixed
	  xml testrunner rule

2006-06-08 12:16  strk

	* ChangeLog, tests/xmltester/Makefile.am,
	  tests/xmltester/testrunner.sh: added XML tests run to the 'make
	  check' rule.

2006-06-08 11:20  strk

	* ChangeLog, source/headers/geos/geom/CoordinateSequenceFactory.h,
	  source/headers/geos/geom/GeometryComponentFilter.h,
	  source/headers/geos/geom/GeometryFilter.h,
	  source/headers/geos/geom/util/CoordinateOperation.h,
	  source/headers/geos/geom/util/GeometryEditorOperation.h,
	  source/headers/geos/geom/util/ShortCircuitedGeometryVisitor.h,
	  source/headers/geos/geomgraph/NodeFactory.h,
	  source/headers/geos/index/ItemVisitor.h,
	  source/headers/geos/index/strtree/AbstractSTRtree.h,
	  source/headers/geos/index/sweepline/SweepLineOverlapAction.h:
	  Added missing virtual destructor to abstract classes.

2006-06-07 20:04  strk

	* ChangeLog, configure.in: * configure.in: enforce -Wall -ansi
	  -pedantic -Wno-long-long to C and CXX flags.

2006-06-07 19:45  strk

	* swig/ruby/test/Makefile.am: Renamed (reserved) TESTS variable to
	  RUBY_TESTS

2006-06-07 19:26  strk

	* Makefile.am: Fixed SUBDIRS order, and added a NOTE about
	  maintaining it.

2006-06-07 17:03  strk

	* ChangeLog, Makefile.am, configure.in, swig/python/Makefile.am,
	  swig/ruby/Makefile.am, swig/ruby/test/Makefile.am: * Makefile.am,
	  configure.in, swig/python/Makefile.am, swig/ruby/Makefile.am,
	  swig/ruby/test/Makefile.am: swig removed from automatic build
	  process.
	  * configure.in: removed check for boost availability.

2006-06-07 16:07  strk

	* configure.in: Set release version to 3.0.0rc1

2006-06-07 14:10  mloskot

	* ChangeLog, tests/unit/Makefile.am: Update ChangeLog with info
	  about new test case isPointInRingTest.cpp.

2006-06-07 14:06  mloskot

	* tests/unit/algorithm/CGAlgorithms/isPointInRing.cpp,
	  tests/unit/algorithm/CGAlgorithms/isPointInRingTest.cpp: Renamed
	  file isPointInRing.cpp to isPointInRingTest.cpp to follow GEOS
	  Unit Test convention.

2006-06-07 13:52  mloskot

	* tests/unit/Makefile.am, tests/unit/algorithm/CGAlgorithms,
	  tests/unit/algorithm/CGAlgorithms/isPointInRing.cpp: Added new
	  test: CGAlgorithms/isPointInRing.cpp.

2006-06-07 13:10  strk

	* ChangeLog, source/headers/geos/geom.h: Removed Triangle.h include
	  from geom.h

2006-06-07 13:08  strk

	* ChangeLog, source/headers/geos/geom/Makefile.am: *
	  source/headers/geos/geom/Makefile.am: removed Triangle.h from
	  installed header set.

2006-06-05 19:42  strk

	* ChangeLog, source/headers/geos/Makefile.am,
	  source/headers/geos/algorithm/Makefile.am,
	  source/headers/geos/geom/Makefile.am,
	  source/headers/geos/geom/util/Makefile.am,
	  source/headers/geos/geomgraph/Makefile.am,
	  source/headers/geos/geomgraph/index/Makefile.am,
	  source/headers/geos/geosAlgorithm.h,
	  source/headers/geos/index/Makefile.am,
	  source/headers/geos/index/bintree/Makefile.am,
	  source/headers/geos/index/chain/Makefile.am,
	  source/headers/geos/index/quadtree/Makefile.am,
	  source/headers/geos/index/strtree/Makefile.am,
	  source/headers/geos/index/sweepline/Makefile.am,
	  source/headers/geos/indexSweepline.h,
	  source/headers/geos/io/Makefile.am,
	  source/headers/geos/noding/Makefile.am,
	  source/headers/geos/noding/snapround/Makefile.am,
	  source/headers/geos/nodingSnapround.h,
	  source/headers/geos/opDistance.h,
	  source/headers/geos/opOverlay.h,
	  source/headers/geos/opPolygonize.h,
	  source/headers/geos/opPredicate.h,
	  source/headers/geos/opRelate.h,
	  source/headers/geos/operation/Makefile.am,
	  source/headers/geos/operation/buffer/Makefile.am,
	  source/headers/geos/operation/distance/Makefile.am,
	  source/headers/geos/operation/linemerge/Makefile.am,
	  source/headers/geos/operation/overlay/Makefile.am,
	  source/headers/geos/operation/polygonize/Makefile.am,
	  source/headers/geos/operation/predicate/Makefile.am,
	  source/headers/geos/operation/relate/Makefile.am,
	  source/headers/geos/operation/valid/Makefile.am,
	  source/headers/geos/planargraph.h,
	  source/headers/geos/planargraph/Makefile.am,
	  source/headers/geos/planargraph/algorithm/Makefile.am,
	  source/headers/geos/precision/Makefile.am,
	  source/headers/geos/util.h, source/headers/geos/util/Makefile.am:
	  Fixed noinst_geos_HEADERS => noinst_HEADERS.

2006-06-05 15:36  strk

	* ChangeLog, NEWS, capi/geos_c.cpp, source/geom/Geometry.cpp,
	  source/headers/geos/noding.h,
	  source/headers/geos/noding/Makefile.am,
	  source/headers/geos/operation/overlay/LineBuilder.h,
	  source/headers/geos/operation/overlay/OverlayOp.h,
	  source/headers/geos/operation/overlay/PointBuilder.h,
	  source/operation/overlay/LineBuilder.cpp,
	  source/operation/overlay/OverlayOp.cpp,
	  source/operation/overlay/PointBuilder.cpp,
	  tests/xmltester/XMLTester.cpp: Given OverlayOp funx code enum a
	  name and renamed values to have a lowercase prefix. Drop all of
	  noding headers from installed header set.

2006-06-03 22:31  hobu

	* source/Makefile.vc: update to track latest removals

2006-06-03 22:29  hobu

	* source/simplify/DouglasPeuckerLineSimplifier.cpp: Use a fully
	  qualified namespace for LineSegment because we're inside of
	  geos::simplify at the time

2006-06-01 11:49  strk

	* ChangeLog, source/headers/geos/geomgraph.h,
	  source/headers/geos/geomgraph/Makefile.am,
	  source/headers/geos/geomgraph/Node.h,
	  source/headers/geos/geomgraph/PlanarGraph.h,
	  source/headers/geos/io.h, source/headers/geos/io/Makefile.am,
	  source/headers/geos/io/WKBReader.h,
	  source/headers/geos/opValid.h,
	  source/headers/geos/operation/buffer/Makefile.am,
	  source/headers/geos/operation/distance/Makefile.am,
	  source/headers/geos/operation/predicate/Makefile.am,
	  source/headers/geos/operation/valid/Makefile.am,
	  source/headers/geos/precision.h,
	  source/headers/geos/precision/Makefile.am,
	  source/io/WKTWriter.cpp, source/io/Writer.cpp: Reduced installed
	  headers form geomgraph namespace

2006-06-01 10:28  strk

	* ChangeLog, source/headers/geos/index/bintree/Makefile.am,
	  source/headers/geos/index/chain/Makefile.am,
	  source/headers/geos/index/quadtree/Makefile.am,
	  source/headers/geos/index/strtree/Makefile.am,
	  source/headers/geos/index/sweepline/Makefile.am,
	  source/headers/geos/indexBintree.h,
	  source/headers/geos/indexChain.h,
	  source/headers/geos/indexQuadtree.h,
	  source/headers/geos/indexStrtree.h,
	  source/headers/geos/indexSweepline.h,
	  source/headers/geos/operation/valid/SweeplineNestedRingTester.h,
	  source/operation/valid/Makefile.am: Reduced number of installed
	  headers for the geos::index namespace

2006-05-25 18:44  strk

	* ChangeLog, tests/unit/geom/TriangleTest.cpp: *
	  tests/unit/geom/TriangleTest.cpp: take floating-point rounding
	  error into account.

2006-05-25 16:11  mloskot

	* tests/tut/tut.h: Changed precision constant with epsilon() from
	  std::numeric_limits.

2006-05-25 15:54  mloskot

	* tests/tut/tut.h: Added specialization of ensure_equals for double
	  type.

2006-05-24 16:29  strk

	* ChangeLog, source/index/quadtree/DoubleBits.cpp: *
	  source/index/quadtree/DoubleBits.cpp: handled negative or zero
	  values in getExponent().

2006-05-24 16:01  strk

	* ChangeLog, tests/unit/utility.h: * tests/unit/utility.h: fixed
	  missing return from isSameStructure's specialization on
	  GeometryCollection, also fixed a signed/unsigned mismatch warning
	  there.

2006-05-24 15:42  strk

	* ChangeLog, source/util/CoordinateArrayFiter.cpp,
	  source/util/GEOSException.cpp, source/util/Makefile.am,
	  source/util/UniqueCoordinateArrayFilter.cpp: *
	  source/util/Makefile.am, source/util/CoordinateArrayFiter.cpp,
	  source/util/GEOSException.cpp,
	  source/util/UniqueCoordinateArrayFilter.cpp: removed empty
	  implementation files.

2006-05-24 15:32  strk

	* ChangeLog, source/headers/geos/simplify/TaggedLinesSimplifier.h:
	  * source/headers/geos/simplify/TaggedLinesSimplifier.h: added
	  LineSegmentIndex.h include so that every use of the templated
	  simplify() function get all the required definitions.

2006-05-24 15:17  strk

	* ChangeLog, source/headers/geos/algorithm/Makefile.am,
	  source/headers/geos/geom/Makefile.am,
	  source/headers/geos/geomgraph/Makefile.am,
	  source/headers/geos/opLinemerge.h,
	  source/headers/geos/operation/Makefile.am,
	  source/headers/geos/operation/distance/Makefile.am,
	  source/headers/geos/operation/linemerge/Makefile.am,
	  source/headers/geos/operation/overlay/Makefile.am,
	  source/headers/geos/operation/overlay/OverlayOp.h,
	  source/headers/geos/operation/polygonize/Makefile.am,
	  source/headers/geos/operation/relate/Makefile.am,
	  source/headers/geos/planargraph/Makefile.am: Reduced number of
	  installed headers in geos/operation/ subdir

2006-05-24 13:44  strk

	* NEWS: Added a note about unit tests being introduced

2006-05-24 11:44  mloskot

	* ChangeLog: Added missing entries to ChangeLog.

2006-05-24 11:41  strk

	* ChangeLog, source/headers/geos/simplify/TaggedLinesSimplifier.h,
	  source/simplify/TaggedLinesSimplifier.cpp,
	  source/simplify/TopologyPreservingSimplifier.cpp: *
	  source/headers/geos/simplify/TaggedLinesSimplifier.h,
	  source/simplify/TaggedLinesSimplifier.cpp,
	  source/simplify/TopologyPreservingSimplifier.cpp:
	  fixed bug in TopologyPreservingSimplifier failing to
	  detect intersections, refactored TaggedLinesSimplifier
	  class to more closely match JTS and use templated
	  functions.

2006-05-24 08:32  strk

	* ChangeLog, capi/geos_c.h.in: * capi/geos_c.h.in: #include
	  <stddef.h> to get size_t definition (only #ifndef __cplusplus)

2006-05-24 05:53  mloskot

	* tests/unit/Makefile.am,
	  tests/unit/simplify/TopologyPreservingSimplifierTest.cpp,
	  tests/unit/utility.h: Added new test:
	  TopologyPreservingSimplifierTest.cpp. Added new utility.cpp
	  helper for Unit Tests (implementes utils from JTS Unit Tests).

2006-05-23 15:06  strk

	* ChangeLog, source/headers/geos/geom/Coordinate.h: *
	  source/headers/geos/geom/Coordinate.h: added missing <string>
	  include.

2006-05-23 14:44  strk

	* ChangeLog, source/headers/geos/config.h: *
	  source/headers/geos/config.h: removed file which is not supposed
	  to be in the repository.

2006-05-23 14:29  strk

	* ChangeLog, source/headers/geos/index/quadtree/DoubleBits.h,
	  source/index/quadtree/DoubleBits.cpp: *
	  source/headers/geos/index/quadtree/DoubleBits.h,
	  source/index/quadtree/DoubleBits.cpp: const correctness and
	  documentation.

2006-05-23 13:21  strk

	* tests/unit/io/ByteOrderValuesTest.cpp: Added test for put/get
	  Long values

2006-05-23 13:16  strk

	* ChangeLog, source/io/WKBWriter.cpp: Fixed a bug in
	  WKBWriter::writeByteOrder() failing to consider machine's byte
	  order

2006-05-23 12:57  strk

	* tests/unit/geom/CoordinateTest.cpp: Fixed small typo in label

2006-05-23 12:33  strk

	* ChangeLog, source/io/ByteOrderValues.cpp: *
	  source/io/ByteOrderValues.cpp: fixed bug in putLong() also
	  affecting putDouble()

2006-05-23 12:23  strk

	* ChangeLog, tests/unit/Makefile.am,
	  tests/unit/io/ByteOrderValuesTest.cpp: * tests/unit/Makefile.am,
	  tests/unit/io/ByteOrderValuesTest.cpp: unit test for
	  ByteOrderValues class.

2006-05-23 11:07  strk

	* ChangeLog, source/io/WKBWriter.cpp: * source/io/WKBWriter.cpp:
	  fixed bug in ::writeInt missing to honour the requested byte
	  order.

2006-05-23 10:56  strk

	* tests/unit/io/WKBReaderTest.cpp: Fixed top comment

2006-05-23 10:48  strk

	* ChangeLog, tests/unit/io/WKBReaderTest.cpp: *
	  tests/unit/io/WKBReaderTest.cpp: cleaned up and added both XDR
	  and NDR tests.

2006-05-23 09:24  strk

	* ChangeLog, source/headers/geos/io/WKBConstants.h,
	  source/io/ByteOrderValues.cpp: * source/io/ByteOrderValues.cpp:
	  changed ENDIAN_BIG and ENDIAN_LITTLE values to match
	  WKBConstants::XDR and WKBConstants::NDR respectively.
	  * source/headers/geos/io/WKBConstants.h: added comments about
	  meaning of XDR/NDR.

2006-05-22 15:08  strk

	* source/headers/geos/util/GEOSException.h: Print colon after
	  exception name (as it has always been)

2006-05-19 17:44  strk

	* ChangeLog, source/simplify/TopologyPreservingSimplifier.cpp: *
	  source/simplify/TopologyPreservingSimplifier.cpp:
	  removed friend specification in
	  TopologyPreservingSimplifier helper class
	  (no more needed)

2006-05-19 17:39  strk

	* ChangeLog, tests/unit/geom/Geometry/coversTest.cpp: *
	  tests/unit/geom/Geometry/coversTest.cpp:
	  keep tests in 'tut' namespace.

2006-05-19 16:38  strk

	* ChangeLog, tests/xmltester/XMLTester.cpp: *
	  tests/xmltester/XMLTester.cpp: report
	  error on load of requested tests.

2006-05-18 10:19  strk

	* ChangeLog, source/headers/geos/geom.h: *
	  source/headers/geos/geom.h: fixed doxygen header for mainpage.

2006-05-18 10:16  strk

	* NEWS: Added note about the new BinaryOp class and its uses.

2006-05-18 10:13  strk

	* ChangeLog, source/headers/geos/geom/BinaryOp.h: *
	  source/headers/geos/geom/BinaryOp.h: added compile-time defines
	  to avoid precision-reduction and simplify based policies (default
	  to enabled).

2006-05-18 09:32  strk

	* NEWS: added note about new Geometry predicates

2006-05-18 09:00  strk

	* ChangeLog, tests/unit/geom/Geometry/coversTest.cpp: Added tests
	  for coveredBy(), fixed ChangeLog entry

2006-05-18 08:56  strk

	* ChangeLog, source/geom/Geometry.cpp,
	  source/headers/geos/geom/Geometry.h, tests/unit/Makefile.am,
	  tests/unit/geom/Geometry/coversTest.cpp: *
	  source/geom/Geometry.cpp,
	  source/headers/geos/geom/Geometry.h: added
	  covers() and isCoveredBy() predicates.
	  * tests/unit/Makefile.am,
	  tests/unit/geom/Geometry/coversTest.cpp:
	  added test for covers() predicates.

2006-05-17 17:41  strk

	* source/geom/IntersectionMatrix.cpp,
	  source/headers/geos/geom/IntersectionMatrix.h,
	  tests/unit/geom/IntersectionMatrixTest.cpp: Added output operator
	  + test

2006-05-17 17:24  strk

	* ChangeLog, source/geom/IntersectionMatrix.cpp,
	  source/headers/geos/geom/IntersectionMatrix.h: Added port info,
	  fixed isCoveredBy() comment.

2006-05-17 17:20  strk

	* ChangeLog, source/geom/IntersectionMatrix.cpp,
	  source/headers/geos/geom/IntersectionMatrix.h,
	  tests/unit/geom/IntersectionMatrixTest.cpp: added isCovers() and
	  isCoveredBy() public methods to IntersectionMatrix and associated
	  tests.

2006-05-17 08:40  strk

	* source/headers/geos/geom/BinaryOp.h: typo fixed to make
	  description more clear

2006-05-13 10:42  mloskot

	* tests/unit/algorithm/PointLocatorTest.cpp: Fixed line-ends in
	  PointLocatorTest.cpp file.

2006-05-13 08:26  mloskot

	* ., .cvsignore, tests/unit, tests/unit/.cvsignore,
	  tests/unit/geom/Geometry/isRectangleTest.cpp: Fixed line-ends in
	  isRectangleTest.cpp. Added new patterns to .cvsignore.

2006-05-05 15:40  strk

	* ChangeLog, source/noding/snapround/MCIndexSnapRounder.cpp,
	  source/noding/snapround/SimpleSnapRounder.cpp: Had nodind
	  validation error throw an exception for SimpleSnapRounder
	  and MCIndexSnapRounder

2006-05-05 14:34  strk

	* ChangeLog, tests/unit/Makefile.am, tests/unit/noding,
	  tests/unit/noding/SegmentStringTest.cpp: New SegmentString unit
	  test

2006-05-05 14:25  strk

	* source/headers/geos/noding/SegmentString.h,
	  source/headers/geos/noding/SegmentString.inl,
	  source/noding/SegmentString.cpp: moved getSegmentOctant out of
	  .inl into .cpp, renamed private eiList to nodeList as in JTS,
	  added more assertion checking and fixed doxygen comments

2006-05-05 10:19  strk

	* ChangeLog, source/headers/geos/noding/SegmentString.h,
	  source/headers/geos/noding/SegmentString.inl,
	  source/noding/SegmentNodeList.cpp: droppped
	  SegmentString::getContext(), new name is getData() to reflect
	  change in JTS

2006-05-05 09:37  strk

	* ChangeLog, source/headers/geos/geom.h: *
	  source/headers/geos/geom.h: fixed namespace qualification in
	  doxygen page about C++ interface.

2006-05-04 15:49  strk

	* ChangeLog, source/geom/GeometryCollection.cpp,
	  source/geom/LineString.cpp, source/geom/MultiLineString.cpp,
	  source/geom/MultiPoint.cpp, source/geom/MultiPolygon.cpp,
	  source/geom/Point.cpp, source/geom/Polygon.cpp,
	  source/headers/geos/geom/Dimension.h,
	  source/headers/geos/geom/Geometry.h,
	  source/headers/geos/geom/GeometryCollection.h,
	  source/headers/geos/geom/LineString.h,
	  source/headers/geos/geom/MultiLineString.h,
	  source/headers/geos/geom/MultiPoint.h,
	  source/headers/geos/geom/MultiPolygon.h,
	  source/headers/geos/geom/Point.h,
	  source/headers/geos/geom/Polygon.h,
	  source/operation/buffer/BufferOp.cpp: updated all
	  Geometry::getDimension() methods to return
	  Dimension::DimensionType (closes bug#93)

2006-05-04 14:05  strk

	* ChangeLog, source/geom/PrecisionModel.cpp,
	  source/headers/geos/noding/snapround/HotPixel.inl,
	  source/headers/geos/util/math.h, source/noding/ScaledNoder.cpp: *
	  source/headers/geos/util/math.h: provided an util::round() method
	  being an inline proxy to call appropriate default rounding
	  function for the whole GEOS codebase. Currently pointing at
	  util::java_math_round() being the last being used.

2006-05-04 13:38  strk

	* source/headers/geos/geomgraph/DirectedEdge.h: doxygen comments
	  cleanup

2006-05-04 12:54  strk

	* ChangeLog, source/headers/geos/geomgraph/NodeMap.h: Added
	  invariant tester for NodeMap class, fixed comment about ownership
	  of NodeFactory

2006-05-04 12:33  strk

	* source/operation/buffer/BufferSubgraph.cpp: Added some comments
	  about RightmostEdgeFinder only considering forward DirectedEdge

2006-05-04 12:19  strk

	* source/headers/geos/operation/buffer/RightmostEdgeFinder.h: Added
	  note about findEdge() only scanning for forward DirectedEdges

2006-05-04 12:17  strk

	* source/geomgraph/PlanarGraph.cpp: Added comment about management
	  of newly created DirectedEdges

2006-05-04 10:15  strk

	* ChangeLog,
	  source/headers/geos/operation/buffer/OffsetCurveSetBuilder.h:
	  Doxygen comments

2006-05-04 09:16  strk

	* source/operation/buffer/BufferBuilder.cpp: Added JTS debugging,
	  for comparison with JTS

2006-05-04 08:42  strk

	* ChangeLog, source/headers/geos/geom/CoordinateSequence.h: Added
	  note about the CoordinateSequence::toVector() method.

2006-05-04 08:35  strk

	* ChangeLog, source/noding/SegmentNodeList.cpp:
	  noding/SegmentNodeList.cpp: cleanups, changed output operator to
	  be more similar to JTS

2006-05-04 08:30  strk

	* source/noding/ScaledNoder.cpp: removed use of
	  SegmentString::setCoordinates() [dropped]

2006-05-04 08:29  strk

	* ChangeLog, source/headers/geos/noding/SegmentString.h,
	  source/headers/geos/noding/SegmentString.inl: *
	  source/noding/ScaledNoder.cpp: removed use of
	  SegmentString::setCoordinates().
	  * source/headers/geos/noding/SegmentStrign.{h,inl}: removed new
	  setCoordinates() interface.

2006-05-04 07:43  strk

	* ChangeLog, source/headers/geos/noding/SegmentString.h,
	  source/noding/SegmentString.cpp: output operator for
	  SegmentString class

2006-05-04 07:41  strk

	* ChangeLog, source/headers/geos/noding/SegmentNodeList.h:
	  const-correct size() method for SegmentNodeList

2006-05-04 06:36  strk

	* source/headers/geos/noding/ScaledNoder.h: Extended definition to
	  take new CoordinateSequence tracking into account

2006-05-03 20:05  strk

	* ChangeLog, source/noding/ScaledNoder.cpp: Added SQL debugging
	  output

2006-05-03 19:47  strk

	* ChangeLog, source/geom/CoordinateSequence.cpp,
	  source/headers/geos/geom/CoordinateSequence.h: added operator<<
	  for CoordinateSequence

2006-05-03 18:04  strk

	* ChangeLog, source/headers/geos/noding/SegmentString.h,
	  source/headers/geos/noding/SegmentString.inl: added
	  SegmentString::setCoordinates() interface

2006-05-03 17:54  strk

	* source/noding/snapround/SimpleSnapRounder.cpp: Uncommented
	  correctness checker

2006-05-03 17:51  strk

	* source/noding/snapround/HotPixel.cpp: system headers included
	  after package headers

2006-05-03 17:50  strk

	* ChangeLog, source/headers/geos/noding/snapround/HotPixel.h:
	  Doxygen comments

2006-05-03 17:48  strk

	* source/headers/geos/nodingSnapround.h: Forgot a slash

2006-05-03 17:48  strk

	* ChangeLog, source/headers/geos/nodingSnapround.h: Doxygen brief

2006-05-03 16:22  hobu

	* source/Makefile.vc: tweak clean target

2006-05-03 16:21  hobu

	* source/Makefile.vc: Build the C API and shared lib separate from
	  the normal lib
	  Add missing files

2006-05-03 16:19  strk

	* source/headers/geos/noding/SegmentString.h: fit in 80 columns

2006-05-03 16:09  hobu

	* capi/geos_c.h.vc: Maintain a geos_c.h.vc until we come up with a
	  better solution

2006-05-03 15:50  hobu

	* ChangeLog: *** empty log message ***

2006-05-03 15:49  strk

	* ChangeLog, source/noding/snapround/SimpleSnapRounder.cpp: fixed
	  bug in SimpleSnapRounder::computeSnaps, trying to access
	  out-of-bound vector element.

2006-05-03 15:49  hobu

	* source/Makefile.vc: add additional files and change names where
	  necessary

2006-05-03 15:40  strk

	* source/noding/ScaledNoder.cpp: test SegmentString invariant
	  before and after scaling

2006-05-03 15:37  strk

	* ChangeLog: Tabs for indent

2006-05-03 15:32  hobu

	* ChangeLog: *** empty log message ***

2006-05-03 15:30  hobu

	* source/headers/geos/version.h.vc: Maintain a version.h.vc until
	  we come up with a better solution

2006-05-03 15:28  strk

	* ChangeLog, configure.in: updated JTS_PORT to 1.7.1

2006-05-03 15:26  strk

	* ChangeLog, source/headers/geos/noding/SegmentString.h,
	  source/headers/geos/noding/SegmentString.inl: testInvariant made
	  public and always inlined

2006-05-03 15:19  strk

	* ChangeLog, source/headers/geos/noding/snapround/HotPixel.inl:
	  Changed sym_round() to java_math_round()

2006-05-03 15:12  strk

	* source/noding/ScaledNoder.cpp: Oops, uninitialized value fix

2006-05-03 15:06  strk

	* ChangeLog: Updated

2006-05-03 15:06  strk

	* source/headers/geos/noding/IntersectionFinderAdder.h: Better
	  doxygen comment

2006-05-03 15:05  strk

	* source/operation/buffer/RightmostEdgeFinder.cpp: Assertions
	  checking

2006-05-03 15:04  strk

	* source/headers/geos/noding/ScaledNoder.h: removed reduntant port
	  info

2006-05-03 15:02  strk

	* source/headers/geos/noding/snapround/SimpleSnapRounder.h,
	  source/noding/snapround/SimpleSnapRounder.cpp: moved some
	  implementations from header to .cpp file (taken out of inline)

2006-05-03 15:00  strk

	* source/headers/geos/noding/ScaledNoder.h,
	  source/noding/ScaledNoder.cpp: Fixed scale() function to remove
	  repeated points *after* rounding. Added brief doxygen class
	  description.

2006-05-03 10:26  strk

	* ChangeLog, source/operation/buffer/BufferOp.cpp: Fixed misuse of
	  precision model in noder (bufferFixedPrecision)

2006-05-03 09:46  strk

	* ChangeLog: buffer headers reduction item

2006-05-03 09:45  strk

	* source/headers/geos/opBuffer.h,
	  source/headers/geos/operation/buffer/Makefile.am: Do not install
	  following buffer headers: BufferBuilder.h,
	  OffsetCurveSetBuilder.h, BufferSubgraph.h,
	  SubgraphDepthLocater.h,
	  RightmostEdgeFinder.h

2006-05-03 09:14  strk

	* ChangeLog, source/headers/geos/noding/ScaledNoder.h,
	  source/noding/ScaledNoder.cpp,
	  source/operation/buffer/OffsetCurveSetBuilder.cpp: *
	  source/operation/buffer/OffsetCurveSetBuilder.cpp: used auto_ptr
	  to protect leaks of CoordinateSequence
	  * source/noding/ScaledNoder.cpp,
	  source/headers/geos/noding/ScaledNoder.h: ported JTS bugfix in
	  scale method.

2006-05-03 08:58  strk

	* ChangeLog, source/geom/CoordinateArraySequence.cpp,
	  source/headers/geos/geom/CoordinateArraySequence.h,
	  source/headers/geos/geom/CoordinateSequence.h,
	  tests/unit/geom/CoordinateArraySequenceTest.cpp: added new
	  non-static CoordinateSequence::removeRepeatedPoints() mutator.

2006-05-02 16:22  strk

	* ChangeLog, source/noding/ScaledNoder.cpp: *
	  source/noding/ScaledNoder.cpp: use java_math_round instead of
	  sym_round.

2006-05-02 14:51  strk

	* source/algorithm/CGAlgorithms.cpp,
	  source/headers/geos/algorithm/CGAlgorithms.h: Added port info and
	  fixed doxygen comments for CGAlgorithms class

2006-05-02 14:32  strk

	* ChangeLog, source/headers/geos/opPolygonize.h,
	  source/headers/geos/operation/polygonize/EdgeRing.h,
	  source/headers/geos/operation/polygonize/Makefile.am,
	  source/operation/polygonize/EdgeRing.cpp: Added port info for
	  polygonize/EdgeRing class, polygonize/EdgeRing.h header
	  not installed.

2006-05-02 14:22  strk

	* ChangeLog, source/operation/polygonize/EdgeRing.cpp,
	  source/operation/polygonize/Makefile.am,
	  source/operation/polygonize/polygonizeEdgeRing.cpp: *
	  source/operation/polygonize/: polygonizeEdgeRing.cpp renamed to
	  EdgeRing.cpp, to follow JTS naming.

2006-05-02 14:01  strk

	* ChangeLog, source/io/WKBReader.cpp: * source/io/WKBReader.cpp:
	  fixed reads of XDR WKB.

2006-04-28 12:09  strk

	* tests/xmltester/Makefile.am: Added 'verbose-test' rule

2006-04-28 12:08  strk

	* NEWS: Added note about Geometry constructors

2006-04-28 11:56  strk

	* ChangeLog, source/geom/GeometryFactory.cpp,
	  source/geom/Polygon.cpp,
	  source/headers/geos/geom/GeometryFactory.h: *
	  source/geom/GeometryFactory.cpp,
	  source/headers/geos/geom/GeometryFactory.h: added LineString copy
	  constructor.
	  * source/geom/Polygon.cpp: fixed getBoundary method to always
	  return a geometry composed by LineStrings (not LinearRings)

2006-04-28 11:12  strk

	* ChangeLog,
	  source/headers/geos/operation/predicate/RectangleIntersects.h,
	  source/io/WKTWriter.cpp,
	  source/operation/predicate/RectangleIntersects.cpp: removed
	  warnings related to change in getNumPoints() return type.

2006-04-28 10:55  strk

	* ChangeLog, source/geom/GeometryCollection.cpp,
	  source/geom/LineString.cpp, source/geom/MultiLineString.cpp,
	  source/geom/MultiPoint.cpp, source/geom/MultiPolygon.cpp,
	  source/geom/Point.cpp, source/geom/Polygon.cpp,
	  source/headers/geos/geom/Geometry.h,
	  source/headers/geos/geom/GeometryCollection.h,
	  source/headers/geos/geom/LineString.h,
	  source/headers/geos/geom/MultiLineString.h,
	  source/headers/geos/geom/MultiPoint.h,
	  source/headers/geos/geom/MultiPolygon.h,
	  source/headers/geos/geom/Point.h,
	  source/headers/geos/geom/Polygon.h: Geometry constructors made
	  protected, to ensure all constructions use GeometryFactory,
	  which has been made friend of all Geometry derivates.
	  getNumPoints() changed to return
	  size_t.

2006-04-28 10:51  strk

	* ChangeLog, tests/unit/geom/LineStringTest.cpp,
	  tests/unit/geom/MultiPointTest.cpp,
	  tests/unit/geom/PointTest.cpp, tests/unit/geom/PolygonTest.cpp:
	  Unit tests: only construct Geoms using GeometryFactory.

2006-04-27 15:15  strk

	* ChangeLog, source/headers/geos/geomgraph/Node.h: Z check removed
	  from invariant tester to avoid aborts due to differences in FP
	  computations.

2006-04-27 15:07  strk

	* source/geomgraph/PlanarGraph.cpp: use output operators in
	  debugging lines

2006-04-27 15:06  strk

	* ChangeLog, source/geomgraph/NodeMap.cpp: (addNode): always use
	  the Node Coordinate as a key in the map to reduce likeliness of a
	  premature deletion.

2006-04-27 15:03  strk

	* source/geomgraph/Node.cpp: standard algorithm used in addZ() for
	  vector seek

2006-04-26 16:35  strk

	* ChangeLog, source/io/StringTokenizer.cpp,
	  source/io/WKTReader.cpp, tests/xmltester/testLeaksBig.xml: Had
	  WKTReader accept correct form for MultiPoint

2006-04-26 10:39  strk

	* ChangeLog: Added mloskot item (bug#100)

2006-04-26 10:26  strk

	* ChangeLog, tools/geos-config.in: tools/geos-config.in: fixed
	  library path to use layout detected by autoconf

2006-04-24 15:47  strk

	* source/simplify/TopologyPreservingSimplifier.cpp: Public
	  constructors change made permanent

2006-04-23 11:58  mloskot

	* ., .cvsignore,
	  tests/unit/simplify/DouglasPeuckerSimplifierTest.cpp: Small
	  refactoring of DouglasPeuckerSimplifierTest (prefer to use ctor
	  instead of operator= to create objects). Added new patterns to
	  .cvsignore.

2006-04-23 11:29  mloskot

	* ., .cvsignore: Added new patterns to .cvsignore file.

2006-04-22 17:16  mloskot

	* source/simplify/TopologyPreservingSimplifier.cpp: Temporar fix of
	  Bug #100. This report requires deeper analysis!.

2006-04-21 17:04  strk

	* ChangeLog, source/geom/PrecisionModel.cpp: Fixed constructor by
	  type to always initialize scale factor

2006-04-20 16:21  strk

	* ChangeLog, source/headers/geos/geom/BinaryOp.h: Added missing
	  debugging output

2006-04-20 14:27  strk

	* ChangeLog, source/algorithm/HCoordinate.cpp,
	  source/headers/geos/algorithm/HCoordinate.h: HCoordinate class
	  changed to use long double types internally, in order to improve
	  computation precision

2006-04-20 14:16  strk

	* source/headers/geos/algorithm/LineIntersector.h: Added some more
	  doxygen comments

2006-04-20 11:11  strk

	* ChangeLog, source/algorithm/HCoordinate.cpp:
	  source/algorithm/HCoordinate.cpp: added compile time define to
	  force storage of intermediate computation values to variables (in
	  order to make the -ffloat-store gcc switch effective). Disabled
	  by default.

2006-04-19 09:21  strk

	* TODO: Added snapround and simplify tests items

2006-04-19 09:20  strk

	* NEWS: updated

2006-04-14 15:34  strk

	* ChangeLog, capi/geos_c.cpp: Had CAPI use new BinaryOp class in an
	  aim to reduce robustness problems

2006-04-14 15:25  strk

	* TODO: updated, somehow

2006-04-14 15:19  strk

	* ChangeLog, source/operation/overlay/OverlayOp.cpp: removed
	  precision reduction code (use BinaryOp for that)

2006-04-14 15:06  strk

	* source/headers/geos/geom/Makefile.am: Added BinaryOp.h header

2006-04-14 15:04  strk

	* source/headers/geos/operation/overlay/OverlayOp.h: fixed missing
	  namespace qualification in overlay::overlayOp

2006-04-14 14:57  strk

	* ChangeLog, tests/xmltester/XMLTester.cpp: XMLTester binary ops
	  invoked using the new BinaryOp template function.

2006-04-14 14:38  strk

	* ChangeLog, source/headers/geos/geom/BinaryOp.h: new
	  geos::Geom::BinaryOp template function implementing various
	  heuristics aimed at making binary geometry ops work around
	  robustness issues.

2006-04-14 14:35  strk

	* ChangeLog, source/headers/geos/operation/overlay/OverlayOp.h:
	  Added overlayOp() adapter for use in templates expecting binary
	  ops

2006-04-14 09:02  strk

	* ChangeLog, source/algorithm/HCoordinate.cpp,
	  source/headers/geos/algorithm/HCoordinate.h: Hadded output
	  operator and debugging prints for HCoordinate.

2006-04-13 23:57  strk

	* source/operation/overlay/OverlayOp.cpp: Disables reduced
	  precision overlayOp (is broken)

2006-04-13 23:42  strk

	* source/operation/overlay/OverlayOp.cpp: Plugged CommonBitsOp
	  attempts in overlay op, before brute force precision
	  reduction (this is likely going to change)

2006-04-13 23:28  strk

	* source/precision/CommonBitsOp.cpp: "always build before commit"
	  (forgot a closing paren)

2006-04-13 23:23  strk

	* ChangeLog, source/headers/geos/precision/CommonBitsOp.h,
	  source/precision/CommonBitsOp.cpp: fixed bug in binary ops
	  failing to consistently reduce operands.

2006-04-13 21:53  strk

	* capi/geostest.c: fixed bug introduced by previous commit

2006-04-13 21:52  strk

	* source/headers/geos/simplify/TaggedLineString.h,
	  source/headers/geos/simplify/TaggedLineStringSimplifier.h,
	  source/simplify/TaggedLineString.cpp,
	  source/simplify/TaggedLineStringSimplifier.cpp,
	  source/simplify/TopologyPreservingSimplifier.cpp: Many debugging
	  lines and assertions added. Fixed bug in TaggedLineString class.

2006-04-13 17:09  strk

	* ChangeLog, capi/geos_c.cpp: Use default GeometryFactory instance
	  (finishGEOS() is a no-op now)

2006-04-13 16:48  strk

	* ChangeLog, capi/geos_c.cpp, capi/geos_c.h.in, capi/geostest.c:
	  Added GEOSSimplify and GEOSTopologyPreserveSimplify interfaces.
	  Removed compiler warnings in geostest

2006-04-13 16:44  strk

	* source/simplify/DouglasPeuckerSimplifier.cpp: Fixed a bug in
	  DPTransformer handling of MultiPolygons

2006-04-13 16:04  strk

	* source/headers/geos/simplify/TaggedLineString.h,
	  source/headers/geos/simplify/TopologyPreservingSimplifier.h,
	  source/simplify/Makefile.am,
	  source/simplify/TopologyPreservingSimplifier.cpp: Made
	  TopologyPreservingSimplifier implementation successfully build

2006-04-13 14:51  strk

	* ChangeLog, tests/unit/io/WKBReaderTest.cpp: Forced NDR output (to
	  not rely on architecture). Removed CRs endings.

2006-04-13 14:25  strk

	* ChangeLog, source/geom/GeometryComponentFilter.cpp,
	  source/headers/geos/geom/GeometryComponentFilter.h,
	  source/headers/geos/geom/util/GeometryTransformer.h,
	  source/headers/geos/simplify/TaggedLinesSimplifier.h,
	  source/headers/geos/simplify/TopologyPreservingSimplifier.h,
	  source/simplify/Makefile.am,
	  source/simplify/TaggedLinesSimplifier.cpp,
	  source/simplify/TopologyPreservingSimplifier.cpp:
	  TopologyPreservingSimplifier initial port

2006-04-13 10:39  strk

	* ChangeLog,
	  source/headers/geos/simplify/DouglasPeuckerLineSimplifier.h,
	  source/headers/geos/simplify/DouglasPeuckerSimplifier.h,
	  source/headers/geos/simplify/Makefile.am,
	  source/headers/geos/simplify/TaggedLineStringSimplifier.h,
	  source/headers/geos/simplify/TaggedLinesSimplifier.h,
	  source/headers/geos/simplify/TopologyPreservingSimplifier.h,
	  source/simplify/Makefile.am,
	  source/simplify/TaggedLinesSimplifier.cpp,
	  source/simplify/TopologyPreservingSimplifier.cpp: Initial
	  implementation of TaggedLinesSimplifier class

2006-04-13 09:28  mloskot

	* source/headers/geos/simplify/LineSegmentIndex.h,
	  source/simplify/LineSegmentIndex.cpp: Removed definition of copy
	  ctor and assignment operator for LineSegmentString class.

2006-04-13 09:21  mloskot

	* source/headers/geos/simplify/TaggedLineString.h,
	  source/simplify/TaggedLineString.cpp: Removed definition of copy
	  ctor and assignment operator for TaggedLineString class.
	  According to following rule: Declaring, but not defining, private
	  copy operations has
	  the effect of "turning off" copying for the class.

2006-04-12 17:24  strk

	* ChangeLog: Added note about reduction of installed headers in
	  simplify namespace

2006-04-12 17:19  strk

	* ChangeLog, source/headers/geos/geom/LineSegment.h,
	  source/headers/geos/simplify/Makefile.am,
	  source/headers/geos/simplify/TaggedLineSegment.h,
	  source/headers/geos/simplify/TaggedLineString.h,
	  source/headers/geos/simplify/TaggedLineStringSimplifier.h,
	  source/simplify/Makefile.am,
	  source/simplify/TaggedLineSegment.cpp,
	  source/simplify/TaggedLineStringSimplifier.cpp: Ported
	  TaggedLineStringSimplifier class, made LineSegment class
	  polymorphic to fix derivation of TaggedLineSegment

2006-04-12 15:20  strk

	* ChangeLog, source/headers/geos/simplify/LineSegmentIndex.h,
	  source/headers/geos/simplify/Makefile.am,
	  source/headers/geos/simplify/TaggedLineString.h,
	  source/simplify/LineSegmentIndex.cpp,
	  source/simplify/Makefile.am,
	  source/simplify/TaggedLineString.cpp: LineSegmentIndex class

2006-04-12 14:22  strk

	* ChangeLog, source/headers/geos/simplify/Makefile.am,
	  source/headers/geos/simplify/TaggedLineSegment.h,
	  source/headers/geos/simplify/TaggedLineString.h,
	  source/simplify/Makefile.am,
	  source/simplify/TaggedLineSegment.cpp,
	  source/simplify/TaggedLineString.cpp: Initial implementation of
	  TaggedLineSegment and TaggedLineString classes

2006-04-12 12:20  strk

	* source/operation/overlay/OverlayOp.cpp: Added support for use of
	  CommonBitsOp in reduced precision attempts
	  (compile-time option)

2006-04-12 11:57  strk

	* source/algorithm/LineIntersector.cpp: Fixed debugging line

2006-04-12 11:39  strk

	* source/headers/geos/geom/GeometryFactory.h: Removed Geometry.h
	  and CoordinateSequence.h includes.
	  The former created a circular dependency.

2006-04-12 11:17  strk

	* ChangeLog, source/io/WKBReader.cpp: Fixed exceptions constructors
	  (were using operator+ with strings and const char*)

2006-04-12 10:57  strk

	* ChangeLog, source/headers/geos/io/WKBReader.h,
	  source/io/WKBReader.cpp: Added WKBReader default ctor using
	  default GeometryFactory instance

2006-04-11 16:04  strk

	* ChangeLog, source/geom/util/GeometryTransformer.cpp,
	  source/headers/geos/simplify/DouglasPeuckerSimplifier.h,
	  source/headers/geos/simplify/Makefile.am,
	  source/simplify/DouglasPeuckerSimplifier.cpp,
	  source/simplify/Makefile.am, tests/unit/Makefile.am,
	  tests/unit/simplify,
	  tests/unit/simplify/DouglasPeuckerSimplifierTest.cpp:
	  geos::simplify::DouglasPeukerSimplifier class + unit test

2006-04-11 12:56  strk

	* source/headers/geos/geom/util/GeometryTransformer.h: used typedef
	  for auto_ptr<CoordinateSequence>

2006-04-11 12:21  strk

	* ChangeLog, source/geom/util/GeometryTransformer.cpp,
	  source/geom/util/Makefile.am,
	  source/headers/geos/geom/util/GeometryTransformer.h,
	  source/headers/geos/geom/util/Makefile.am: GeometryTransformer
	  class ported

2006-04-11 11:55  strk

	* source/headers/geos/geom/CoordinateSequence.h: Added
	  CoordinateSequence::AutoPtr typedef

2006-04-11 11:16  strk

	* ChangeLog, source/geom/GeometryFactory.cpp,
	  source/geom/LineString.cpp, source/geom/LinearRing.cpp,
	  source/headers/geos/geom/GeometryFactory.h,
	  source/headers/geos/geom/LineString.h,
	  source/headers/geos/geom/LinearRing.h: Added LineString and
	  LinearRing constructors by auto_ptr

2006-04-11 09:53  strk

	* source/headers/geos/geom/GeometryList.h: Added missing duplicated
	  include sentinel

2006-04-11 09:41  strk

	* source/geom/GeometryList.cpp, source/geom/Makefile.am,
	  source/headers/geos/geom/GeometryList.h,
	  source/headers/geos/geom/Makefile.am: Initial implementation of a
	  GeometryList class, to be used to manage
	  lists of Geometry pointers.

2006-04-11 09:31  strk

	* source/headers/geos/geom/Geometry.h: Added Geometry::AutoPtr
	  typedef

2006-04-11 09:29  strk

	* source/geom/Geometry.cpp: Fixed initialization list (removed
	  compiler warning)

2006-04-10 18:15  strk

	* ChangeLog, source/geom/Geometry.cpp,
	  source/geom/GeometryCollection.cpp, source/geom/LineString.cpp,
	  source/geom/Point.cpp, source/geom/Polygon.cpp,
	  source/headers/geos/geom/Envelope.h,
	  source/headers/geos/geom/Geometry.h,
	  source/headers/geos/geom/GeometryCollection.h,
	  source/headers/geos/geom/LineString.h,
	  source/headers/geos/geom/Point.h,
	  source/headers/geos/geom/Polygon.h: Changed Geometry::envelope
	  member to be of type auto_ptr<Envelope>.
	  Changed computeEnvelopeInternal() signater to return
	  auto_ptr<Envelope>

2006-04-10 17:35  strk

	* ChangeLog, source/geom/LineString.cpp,
	  source/geom/LinearRing.cpp, source/geom/Point.cpp,
	  source/headers/geos/geom/LineString.h,
	  source/headers/geos/geom/LinearRing.h,
	  source/headers/geos/geom/Point.h,
	  tests/unit/geom/LineStringTest.cpp,
	  tests/unit/geom/PointTest.cpp: Changed LineString::points and
	  Point::coordinates to be wrapped
	  in an auto_ptr<>. This should close bugs #86 and #89

2006-04-10 15:11  strk

	* ChangeLog: First manual edit (will likely update later tonight...
	  with changes grouped
	  by date)

2006-04-10 15:05  strk

	* tests/xmltester/TestInteriorPoint.xml: Re-synced with JTS version
	  (so this actually *was* a bug :)

2006-04-10 15:05  strk

	* source/geom/Geometry.cpp: Fixed a bug introduced by previous
	  commit in getCentroid()

2006-04-10 14:18  strk

	* source/geom/Geometry.cpp: Fixed getCentroid(Coordinate&) to round
	  using PrecisionModel
	  all unit tests succeed.

2006-04-10 13:40  strk

	* source/headers/geos/io/WKTReader.h,
	  source/headers/geos/io/WKTReader.inl: Added default ctor for
	  WKTReader (using GeometryFactory's default instance)

2006-04-10 13:13  strk

	* tools/geos-config.in: Removed INLINE flags from geos-config
	  --libs

2006-04-10 13:09  strk

	* source/geom/Geometry.cpp, source/geom/GeometryFactory.cpp,
	  source/headers/geos/geom/GeometryFactory.h, source/io/Unload.cpp:
	  Added GeometryFactory::defaultInstance()
	  Made Geometry::INTERNAL_GEOMETRY_FACTORY an alias for it
	  removed last deletion from Unload::Release class

2006-04-10 12:05  strk

	* source/Makefile.am, source/geom/LineSegment.cpp,
	  source/headers/geos/geom/LineSegment.inl,
	  source/headers/geos/io/WKTReader.h,
	  source/headers/geos/io/WKTReader.inl,
	  source/headers/geos/noding/MCIndexNoder.inl,
	  source/headers/geos/noding/SegmentString.inl,
	  source/headers/geos/noding/snapround/HotPixel.inl,
	  source/headers/geos/noding/snapround/MCIndexSnapRounder.inl,
	  source/inlines.cpp, source/io/ByteOrderDataInStream.cpp,
	  source/io/WKTReader.cpp, source/operation/overlay/OverlayOp.cpp:
	  Added inline-replicator implementation files to make sure
	  functions in .inl files are still available out-of-line.
	  A side effect is this should fix MingW build.

2006-04-10 11:34  strk

	* tests/unit/algorithm/PointLocatorTest.cpp: Uncommented required
	  Geometry.h include (for use in auto_ptr)

2006-04-10 09:21  mloskot

	* source/headers/geos/util/UniqueCoordinateArrayFilter.h,
	  tests/unit/Makefile.am,
	  tests/unit/geom/CoordinateArraySequenceFactoryTest.cpp,
	  tests/unit/geom/CoordinateArraySequenceTest.cpp,
	  tests/unit/geom/GeometryFactoryTest.cpp,
	  tests/unit/geom/LineStringTest.cpp,
	  tests/unit/geom/LinearRingTest.cpp,
	  tests/unit/geom/MultiPointTest.cpp, tests/unit/util,
	  tests/unit/util/UniqueCoordinateArrayFilterTest.cpp: Added new
	  test for UniqueCoordinateArrayFilter class. Small fixes related
	  to signed/unsigned comparison.

2006-04-09 11:07  mloskot

	* doc/example.cpp: Small fixes in doc/example.cpp.

2006-04-09 04:56  mloskot

	* tests/xmltester/markup/MarkupSTL.cpp: Removed redundant
	  semicolons from xmltester sources.

2006-04-09 04:26  mloskot

	* tests/xmltester/markup/MarkupSTL.cpp: Removed redundant semicolon
	  reported by g++ -pedantic.

2006-04-09 04:09  mloskot

	* source/operation/valid/SweeplineNestedRingTester.cpp: Removed
	  redundant semicolon reported by g++ -pedantic.

2006-04-09 01:48  mloskot

	* tests/unit/Makefile.am,
	  tests/unit/geom/IntersectionMatrixTest.cpp: Added Unit Test for
	  IntersectionMatrix class.

2006-04-09 01:46  mloskot

	* source/headers/geos/geom/IntersectionMatrix.h: [SORRY] Added
	  comments for doxygen based on JTS docs. Added row/col dimension
	  consts. Added asserts in functions to check if given row/col is
	  in range.

2006-04-09 01:41  mloskot

	* source/geom/IntersectionMatrix.cpp: Added comments for doxygen
	  based on JTS docs. Added row/col dimension consts. Added asserts
	  in functions to check if given row/col is in range.

2006-04-08 15:57  mloskot

	* tests/tut/tut.h, tests/tut/tut_reporter.h,
	  tests/tut/tut_restartable.h: Added copyright notice to TUT files.
	  Small cleaning.

2006-04-08 13:05  strk

	* source/geomgraph/EdgeEnd.cpp: Added assertion

2006-04-08 13:00  strk

	* source/geomgraph/NodeMap.cpp: assertion checking, mergeLabel()
	  call fix (bug#91)

2006-04-07 16:52  strk

	* source/geomgraph/PlanarGraph.cpp,
	  source/headers/geos/geomgraph/PlanarGraph.h: Port info, doxygen
	  comments, assertion checking

2006-04-07 16:01  strk

	* source/geomgraph/Node.cpp, source/headers/geos/geomgraph/Node.h:
	  Port info, doxygen comments, testInvariant(), many assertionss,
	  handling of
	  the NULL EdgeEndStar member

2006-04-07 13:26  strk

	* tests/xmltester/XMLTester.cpp, tests/xmltester/XMLTester.h: Use
	  of auto_ptr<> to prevent confusing leaks in tester

2006-04-07 13:14  mloskot

	* tests/tut/tut_reporter.h: Fixed annoying warnings from TUT.

2006-04-07 13:01  mloskot

	* tests/unit/geos_unit.cpp: Fixed line-ends to LF.

2006-04-07 12:55  mloskot

	* tests/unit/geom/PolygonTest.cpp: Uncommented test nr 38 in
	  PolygonTest.cpp.

2006-04-07 12:37  mloskot

	* source/geom/PrecisionModel.cpp, source/headers/geos/util/math.h,
	  source/util/math.cpp, tests/tut/tut_reporter.h,
	  tests/unit/geom/MultiLineStringTest.cpp,
	  tests/unit/geom/MultiPolygonTest.cpp,
	  tests/unit/geom/PointTest.cpp, tests/unit/geom/PolygonTest.cpp,
	  tests/unit/geos_unit.cpp: Added java_math_round() function for
	  Asymmetric Arithmetic Rounding. Small fixes in Unit Tests.

2006-04-07 10:42  mloskot

	* tests/unit/geom/GeometryFactoryTest.cpp,
	  tests/unit/geom/PointTest.cpp: Added test nr 29 to PointTest (JTS
	  conformance). Removed inform() calls from GeometryFactoryTest.

2006-04-07 09:54  strk

	* source/algorithm/CentroidArea.cpp,
	  source/algorithm/CentroidPoint.cpp,
	  source/algorithm/InteriorPointArea.cpp,
	  source/algorithm/PointLocator.cpp, source/geom/Geometry.cpp,
	  source/geom/GeometryCollection.cpp, source/geom/MultiPolygon.cpp,
	  source/geom/util/GeometryEditor.cpp,
	  source/geomgraph/GeometryGraph.cpp,
	  source/headers/geos/geom/Geometry.h,
	  source/headers/geos/geom/GeometryCollection.h,
	  source/io/WKTWriter.cpp, source/operation/valid/IsValidOp.cpp,
	  source/operation/valid/RepeatedPointTester.cpp:
	  Geometry::getNumGeometries() changed to return 'unsigned int'
	  rather then 'int'

2006-04-07 09:12  strk

	* source/algorithm/LineIntersector.cpp: kept isInSegmentEnvelopes()
	  check even when not debugging

2006-04-07 08:31  strk

	* source/precision/EnhancedPrecisionOp.cpp: Debugging lines

2006-04-07 08:30  strk

	* source/headers/geos/precision/CommonBitsRemover.h: made
	  addCommonBits/removeCommonBits interface consistent, doxygen
	  comments

2006-04-07 08:28  strk

	* source/precision/CommonBitsRemover.cpp: debugging lines,
	  assertions

2006-04-07 08:27  strk

	* source/precision/CommonBitsOp.cpp: debugging blocks

2006-04-07 07:21  mloskot

	* tests/unit/Makefile.am, tests/unit/geom/CoordinateTest.cpp: Add
	  new-line at the EOF some files.

2006-04-07 05:55  mloskot

	* ., .cvsignore: Added new objects to .cvsignore.

2006-04-07 05:44  mloskot

	* source/headers/geos/geom/Dimension.h,
	  tests/unit/geom/CoordinateArraySequenceFactoryTest.cpp,
	  tests/unit/geom/CoordinateArraySequenceTest.cpp,
	  tests/unit/geom/CoordinateTest.cpp,
	  tests/unit/geom/DimensionTest.cpp,
	  tests/unit/geom/EnvelopeTest.cpp,
	  tests/unit/geom/GeometryFactoryTest.cpp,
	  tests/unit/geom/LineSegmentTest.cpp,
	  tests/unit/geom/LineStringTest.cpp,
	  tests/unit/geom/LinearRingTest.cpp,
	  tests/unit/geom/LocationTest.cpp,
	  tests/unit/geom/MultiLineStringTest.cpp,
	  tests/unit/geom/MultiPointTest.cpp,
	  tests/unit/geom/MultiPolygonTest.cpp,
	  tests/unit/geom/PointTest.cpp, tests/unit/geom/PolygonTest.cpp,
	  tests/unit/geom/TriangleTest.cpp: Added name for anonymous enum
	  in Dimension class (bug). Added missing new-line at the end of
	  source files. Removed CR from line ends.

2006-04-07 00:05  mloskot

	* tests/unit/geom/Geometry,
	  tests/unit/geom/Geometry/isRectangleTest.cpp: Adding missing
	  isRectangleTest.cpp

2006-04-06 23:50  mloskot

	* tests/unit/Makefile.am, tests/unit/geom,
	  tests/unit/geom/CoordinateArraySequenceFactoryTest.cpp,
	  tests/unit/geom/CoordinateArraySequenceTest.cpp,
	  tests/unit/geom/CoordinateTest.cpp,
	  tests/unit/geom/DimensionTest.cpp,
	  tests/unit/geom/EnvelopeTest.cpp,
	  tests/unit/geom/GeometryFactoryTest.cpp,
	  tests/unit/geom/LineSegmentTest.cpp,
	  tests/unit/geom/LineStringTest.cpp,
	  tests/unit/geom/LinearRingTest.cpp,
	  tests/unit/geom/LocationTest.cpp,
	  tests/unit/geom/MultiLineStringTest.cpp,
	  tests/unit/geom/MultiPointTest.cpp,
	  tests/unit/geom/MultiPolygonTest.cpp,
	  tests/unit/geom/PointTest.cpp, tests/unit/geom/PolygonTest.cpp,
	  tests/unit/geom/TriangleTest.cpp, tests/unit/io,
	  tests/unit/io/WKBReaderTest.cpp: Adding new Unit Tests.

2006-04-06 23:35  strk

	* AUTHORS: Added Mateusz Loskot

2006-04-06 23:31  mloskot

	* tests/unit/algorithm, tests/unit/algorithm/PointLocatorTest.cpp:
	  [UT Files Renaming] Add PointLocatorTest.cpp

2006-04-06 23:28  mloskot

	* tests/unit/io: [UT Files Renaming] Remove 'io' tests.

2006-04-06 23:26  mloskot

	* tests/unit/geom: [UT Files Renaming] Remove 'geom' tests.

2006-04-06 23:25  mloskot

	* tests/unit/algorithm: [UT Files Renaming] Remove file
	  PointLocator.cpp

2006-04-06 23:20  mloskot

	* tests/unit/geos_unit.cpp: New version of Unit Test runner. Now,
	  it's more GNU style compatible

2006-04-06 22:30  mloskot

	* tests/tut/tut.h, tests/tut/tut_reporter.h: Add inform() target in
	  tut.h and new callbacks in tut_reporter.h

2006-04-06 21:31  strk

	* source/algorithm/LineIntersector.cpp,
	  source/headers/geos/algorithm/LineIntersector.h: Const
	  correctness for debugging function

2006-04-06 21:30  strk

	* source/headers/geos/util/math.h: Added missing rint_vc() forward
	  declaration

2006-04-06 17:33  strk

	* tests/unit/Makefile.am, tests/unit/index,
	  tests/unit/index/quadtree,
	  tests/unit/index/quadtree/DoubleBitsTest.cpp: Added unit test for
	  DoubleBits

2006-04-06 14:36  strk

	* source/headers/geos/precision/CommonBitsOp.h,
	  source/headers/geos/precision/CommonBitsRemover.h,
	  source/headers/geos/precision/EnhancedPrecisionOp.h,
	  source/precision/CommonBitsOp.cpp,
	  source/precision/CommonBitsRemover.cpp,
	  source/precision/EnhancedPrecisionOp.cpp: Cleanup in
	  geos::precision namespace (leaks plugged, auto_ptr use, ...)

2006-04-06 12:58  strk

	* source/geomgraph/DirectedEdge.cpp: Added printing of EdgeRing if
	  available

2006-04-06 12:48  strk

	* source/headers/geos/operation/valid/ConnectedInteriorTester.h:
	  Added private vector to keep track of allocated MaximalEdgeRings
	  objects

2006-04-06 12:47  strk

	* source/geomgraph/EdgeEnd.cpp: Fixed output function

2006-04-06 12:45  strk

	* source/operation/valid/ConnectedInteriorTester.cpp: Delayed
	  deletion of newly allocated MaximalEdgeRings.
	  Existing 'valid' operation tests don't should instability with
	  this patch.

2006-04-06 12:36  strk

	* source/geom/PrecisionModel.cpp: removed spurious lines from
	  previous commi

2006-04-06 12:34  strk

	* source/geom/PrecisionModel.cpp,
	  source/headers/geos/geom/PrecisionModel.h,
	  source/headers/geos/geom/PrecisionModel.inl: Port info, more
	  debugging lines, doxygen comments

2006-04-06 12:33  strk

	* source/geom/GeometryFactory.cpp: More debugging lines

2006-04-06 12:29  strk

	* source/io/WKBReader.cpp: Fixed bogus static PrecisionModel
	  variable in ::readCoordinate().

2006-04-06 09:41  strk

	* source/geomgraph/EdgeRing.cpp,
	  source/headers/geos/geomgraph/EdgeRing.h: Added operator<<, added
	  pts!=NULL assertion in testInvariant() function

2006-04-06 09:39  strk

	* source/geomgraph/EdgeEnd.cpp,
	  source/headers/geos/geomgraph/EdgeEnd.h: Added operator<<

2006-04-06 09:01  strk

	* source/geomgraph/Label.cpp,
	  source/geomgraph/TopologyLocation.cpp,
	  source/headers/geos/geomgraph/Label.h,
	  source/headers/geos/geomgraph/TopologyLocation.h: Doxygen
	  comments, port info, operator<<, assertion checking

2006-04-06 07:52  strk

	* source/geomgraph/DirectedEdge.cpp: Fixed bug in ::print()
	  function

2006-04-05 18:28  strk

	* source/headers/geos/geomgraph/Edge.h,
	  source/headers/geos/geomgraph/EdgeRing.h: Moved testInvariant()
	  methods from private to public, added
	  some comments about them.

2006-04-05 15:59  strk

	* source/operation/overlay/OverlayOp.cpp: Removed dead code

2006-04-05 14:33  strk

	* tests/xmltester/markup/MarkupSTL.cpp,
	  tests/xmltester/markup/MarkupSTL.h: Removed annoying warnings
	  from external source

2006-04-05 14:04  strk

	* source/geom/Envelope.cpp, source/headers/geos/geom/Envelope.h,
	  source/headers/geos/geom/Envelope.inl: Fixed copy ctor to support
	  "Null" Envelope copies.
	  Drop init(Envelope&) method.
	  Port info and various cleanups.

2006-04-05 10:25  strk

	* source/geom/LineString.cpp,
	  source/headers/geos/geom/LineString.h: Fixed LineString
	  constructor to ensure deletion of CoordinateSequence
	  argument on exception throw

2006-04-05 09:34  strk

	* source/headers/geos/util/GEOSException.h: GEOSException derived
	  from std::exception again, hopefully the correct way now

2006-04-05 09:20  strk

	* source/headers/geos/operation/buffer/RightmostEdgeFinder.h,
	  source/operation/buffer/RightmostEdgeFinder.cpp: Added port
	  informations and many assertion checking.
	  Fixed bug in getRightmostSide() method ( a "testing-only" corner
	  case )

2006-04-04 16:07  strk

	* source/geomgraph/DirectedEdgeStar.cpp: More assertion checking,
	  less overhead when built with NDEBUG defined

2006-04-04 13:35  strk

	* source/geomgraph/EdgeEndStar.cpp,
	  source/headers/geos/geomgraph/EdgeEndStar.h: Port info, assertion
	  checking, indentation

2006-04-04 12:39  strk

	* source/algorithm/LineIntersector.cpp: Changed
	  NotRepresentableCoordinate exception handler to throw
	  a TopologyException. This allows further handling.

2006-04-04 11:37  strk

	* source/algorithm/HCoordinate.cpp,
	  source/headers/geos/algorithm/HCoordinate.h: Port information +
	  initialization lists in ctors

2006-04-04 11:28  strk

	* source/algorithm/HCoordinate.cpp: NotRepresentable condition
	  detected using finite() from <cmath>
	  rather then using FINITE() macro. Made ::intersection() body
	  more readable.

2006-04-04 09:53  strk

	* source/headers/geos/geom/CoordinateSequence.h: Fixed
	  applyCoordinateFilter() templated function body

2006-04-04 08:16  strk

	* NEWS, doc/example.cpp,
	  source/algorithm/NotRepresentableException.cpp,
	  source/examples/CPCLException.cpp,
	  source/examples/CustomCoordinateSequenceExample.cpp,
	  source/examples/CustomCoordinateSequenceExample.h,
	  source/headers/geos/io/ParseException.h,
	  source/headers/geos/util/GEOSException.h,
	  source/headers/geos/util/IllegalArgumentException.h,
	  source/io/ParseException.cpp,
	  source/operation/overlay/ElevationMatrix.cpp,
	  source/util/GEOSException.cpp: Changed GEOSException hierarchy to
	  be derived from std::runtime_exception.
	  Removed the GEOSException::toString redundant method (use
	  ::what() instead)

2006-04-04 01:54  hobu

	* source/Makefile.vc: Add in changes/missing from previous
	  rearranging.

2006-04-04 01:29  hobu

	* capi/geos_c.cpp: GEOS_JTS_PORT is in version.h not platform.h

2006-04-04 01:28  hobu

	* source/Makefile.vc: remove objects that no longer exist
	  default to MSVC_VER=1310

2006-04-03 17:05  strk

	* source/geomgraph/DirectedEdge.cpp, source/geomgraph/EdgeEnd.cpp,
	  source/geomgraph/Label.cpp,
	  source/headers/geos/geomgraph/EdgeEnd.h: Assertion checking, port
	  info, cleanups

2006-04-03 15:54  strk

	* source/headers/geos/operation/GeometryGraphOperation.h,
	  source/operation/GeometryGraphOperation.cpp: - getArgGeometry()
	  parameter type changed from 'int' to 'unsigned int'
	  - Added port informations
	  - minor assertions checking
	  - minor cleanups

2006-04-03 14:07  strk

	* source/headers/geos/geom/PrecisionModel.h: Commented out
	  obsoleted toInternal() method

2006-04-03 13:58  strk

	* macros/ac_pkg_swig.m4, macros/ac_python_devel.m4, swig/geos.i,
	  swig/python/Makefile.am, swig/python/python.i, swig/ruby/ruby.i,
	  swig/ruby/test/geos_tests.rb, swig/ruby/test/test_helper.rb:
	  Applied patch by Charlie Savage:
	  - Fixes up the SWIG bindings to use the new GEOS namespaces
	  - Fixes a bug in the Python m4 macro
	  - Adds the -modern flag for SWIG when compiling a Python
	  extension

2006-04-03 13:56  strk

	* source/headers/geos/precision/SimpleGeometryPrecisionReducer.h,
	  source/precision/SimpleGeometryPrecisionReducer.cpp: Made
	  externally-owned PrecisionModel const

2006-04-03 10:56  strk

	* source/geom/CoordinateSequenceFactory.cpp,
	  source/geom/Makefile.am,
	  source/geom/util/LinearComponentExtracter.cpp,
	  source/geom/util/Makefile.am,
	  source/geom/util/PointExtracter.cpp,
	  source/geom/util/PolygonExtracter.cpp,
	  source/util/AssertionFailedException.cpp,
	  source/util/IllegalArgumentException.cpp,
	  source/util/Makefile.am,
	  source/util/UnsupportedOperationException.cpp: Removed
	  implementation files build spec for fully-inlined classes

2006-04-03 10:44  strk

	* source/index/strtree/STRtree.cpp,
	  source/noding/snapround/MCIndexSnapRounder.cpp: Added missing
	  headers

2006-04-03 10:16  strk

	* configure.in, source/Makefile.am,
	  source/headers/geos/Makefile.am, source/headers/geos/simplify,
	  source/headers/geos/simplify/.cvsignore,
	  source/headers/geos/simplify/DouglasPeuckerLineSimplifier.h,
	  source/headers/geos/simplify/Makefile.am, source/simplify,
	  source/simplify/.cvsignore,
	  source/simplify/DouglasPeuckerLineSimplifier.cpp,
	  source/simplify/Makefile.am: DouglasPeuckerLineSimplifier class
	  port

2006-04-03 08:43  strk

	* source/headers/geos/index/strtree/STRtree.h,
	  source/index/strtree/STRtree.cpp: Added port info, minor cleanups

2006-04-03 08:29  strk

	* source/headers/geos/index/quadtree/Quadtree.h,
	  source/index/quadtree/Quadtree.cpp: Added port info, cleaned up
	  log message, minor assertion checking.

2006-03-31 17:51  strk

	* source/geom/GeometryFactory.cpp,
	  source/headers/geos/geom/GeometryFactory.h: A few assertion
	  checking, comments cleanup, use of initialization lists
	  in constructors, handled NULL parameters.

2006-03-31 16:55  strk

	* NEWS, source/geom/LineString.cpp,
	  source/headers/geos/geom/LineString.h: Added many assertions
	  checking in LineString implementation.
	  Changed ::getCoordinate() to return NULL on empty geom.
	  Changed ::get{Start,End}Point() to return NULL on empty geom.

2006-03-31 16:53  strk

	* source/headers/geos/geom/Geometry.h: Added comment about possible
	  NULL return from getCoordinate()

2006-03-31 11:03  strk

	* source/geom/Geometry.cpp: Fixed NULL-GeometryFactory constructor
	  to use INTERNAL_GEOMETRY_FACTORY
	  (should fix bug #81)

2006-03-30 09:26  strk

	* source/headers/geos/io/WKTReader.h: minor cleanup

2006-03-29 15:48  strk

	* capi/geos_c.cpp: Added missing 'const' in catch std::exception
	  statements

2006-03-29 15:23  strk

	* source/geomgraph/DirectedEdge.cpp,
	  source/geomgraph/GeometryGraph.cpp,
	  source/headers/geos/geomgraph/GeometryGraph.h,
	  source/headers/geos/geomgraph/GeometryGraph.inl,
	  source/headers/geos/geomgraph/Makefile.am: Moved GeometryGraph
	  inlines from .h to .inl file

2006-03-29 14:34  strk

	* tests/xmltester/TestValid.xml: Sync'ed testfile with JTS head

2006-03-29 14:31  strk

	* tests/unit/Makefile.am, tests/unit/algorithm,
	  tests/unit/algorithm/PointLocator.cpp,
	  tests/unit/io/WKBReader.cpp: Added PointLocator unit test

2006-03-29 13:53  strk

	* source/geomgraph/EdgeRing.cpp,
	  source/headers/geos/geomgraph/EdgeRing.h,
	  source/headers/geos/operation/valid/IsValidOp.h,
	  source/operation/valid/ConnectedInteriorTester.cpp,
	  source/operation/valid/IsValidOp.cpp: EdgeRing equipped with
	  Invariant testing function and lots of exceptional assertions.
	  Removed useless heap allocations, and pointers usages.

2006-03-29 11:52  strk

	* source/algorithm/MCPointInRing.cpp,
	  source/headers/geos/algorithm/MCPointInRing.h: const correctness,
	  useless heap allocations removal

2006-03-29 11:48  strk

	* source/headers/geos/operation/valid/QuadtreeNestedRingTester.h,
	  source/operation/valid/QuadtreeNestedRingTester.cpp: Removed
	  useless heap allocations in construction, enforced const
	  correctness

2006-03-28 16:49  strk

	* source/io/WKBReader.cpp: Reintroduced rewind of input parameter
	  in printHEX() [dropped by prev commit]

2006-03-28 16:33  strk

	* source/headers/geos/geom/GeometryFactory.h: Added note about args
	  responsibility in GeometryFactory constructor

2006-03-28 16:11  strk

	* tests/unit/io/WKBReader.cpp: swapped assert_equals() args to get
	  obtained/expected the right way.

2006-03-28 15:27  strk

	* source/io/WKBReader.cpp: Simplified printHEX() implementation

2006-03-28 15:19  strk

	* doc/example.cpp: Added macros for sections skip (useful in
	  debugging)

2006-03-28 14:45  strk

	* tests/unit/Makefile.am, tests/unit/io,
	  tests/unit/io/WKBReader.cpp: Added simple test for WKB reader.

2006-03-28 14:02  strk

	* source/io/WKBReader.cpp: added missing header for non-inlined
	  builds

2006-03-28 14:01  strk

	* source/io/ByteOrderDataInStream.cpp: forgot to add in previous
	  commit

2006-03-28 11:26  strk

	* source/headers/geos/io/ByteOrderDataInStream.h,
	  source/headers/geos/io/ByteOrderDataInStream.inl,
	  source/headers/geos/io/Makefile.am,
	  source/headers/geos/io/WKBWriter.h, source/io/Makefile.am:
	  ByteOrderDataInStream inlines moved to .inl file, updated
	  implementation files includes.

2006-03-28 11:25  strk

	* source/io/WKBWriter.cpp: Assertion checking

2006-03-28 09:14  strk

	* source/headers/geos/geom/LineSegment.h,
	  source/headers/geos/geom/LineSegment.inl: Headers inclusion fix.

2006-03-28 08:57  strk

	* source/headers/geos/geom/PrecisionModel.h,
	  source/headers/geos/geom/PrecisionModel.inl: Comments cleanup,
	  system headers included after project headers

2006-03-28 08:40  strk

	* configure.in: C-API lib version bumped to 1.1.1 (release 2.2.2
	  will ship 1.1.0)

2006-03-27 17:59  strk

	* source/operation/buffer/OffsetCurveBuilder.cpp: Fixed small leak.

2006-03-27 17:04  strk

	* source/headers/geos/operation/buffer/OffsetCurveBuilder.h,
	  source/operation/buffer/OffsetCurveBuilder.cpp,
	  source/operation/buffer/OffsetCurveSetBuilder.cpp: Cleanups and
	  explicit initializations

2006-03-27 16:02  strk

	* source/geomgraph/EdgeRing.cpp,
	  source/headers/geos/geomgraph/EdgeRing.h,
	  source/headers/geos/operation/overlay/Makefile.am,
	  source/headers/geos/operation/overlay/MaximalEdgeRing.h,
	  source/headers/geos/operation/overlay/MinimalEdgeRing.h,
	  source/headers/geos/operation/overlay/MinimalEdgeRing.inl,
	  source/operation/overlay/MaximalEdgeRing.cpp,
	  source/operation/overlay/MinimalEdgeRing.cpp,
	  source/operation/valid/ConnectedInteriorTester.cpp: Added INL
	  file for MinimalEdgeRing, added many debugging blocks,
	  fixed memory leak in ConnectedInteriorTester (bug #59)

2006-03-27 15:57  strk

	* source/headers/geos/geom/Coordinate.h,
	  source/headers/geos/geom/Coordinate.inl: Commented need for
	  platform.h include

2006-03-27 15:56  strk

	* source/geom/Coordinate.cpp: Added missing platform.h include (for
	  ISNAN macro)

2006-03-27 14:20  strk

	* source/headers/geos/operation/valid/ConnectedInteriorTester.h,
	  source/operation/valid/ConnectedInteriorTester.cpp: Added
	  paranoid assertion checking and a note in header about
	  responsibility of return from buildMaximalEdgeRings()

2006-03-27 10:37  strk

	* source/headers/geos/operation/valid/ConsistentAreaTester.h,
	  source/operation/valid/ConsistentAreaTester.cpp: Reduced heap
	  allocations and probability of error by making LineIntersector
	  and RelateNodeGraph part of ConsistentAreaTester class .

2006-03-27 10:36  strk

	* source/operation/valid/TopologyValidationError.cpp: added missing
	  space in exception message

2006-03-27 10:34  strk

	* source/headers/geos/geom/Coordinate.inl: moved external includes
	  after internal ones

2006-03-27 09:50  strk

	* tests/xmltester/Makefile.am, tests/xmltester/TestValid2-big.xml:
	  Added final isValid test from JTS (floating version)

2006-03-27 09:48  strk

	* tests/xmltester/Makefile.am, tests/xmltester/TestValid2.xml,
	  tests/xmltester/testLeaksBig.xml: Extracted TestValid2.xml from
	  testLeaksBig.xml (target file is taken from JTS source tree)

2006-03-27 09:45  strk

	* tests/xmltester/Makefile.am, tests/xmltester/TestValid.xml,
	  tests/xmltester/testLeaksBig.xml: Added TestValid.xml test, taken
	  from JTS source tree, already present in testLeaksBig (from which
	  tests were removed)

2006-03-27 09:28  strk

	* NEWS: added namespaces use and headers split

2006-03-27 09:05  strk

	* capi/geos_c.h.in: Added note about responsibility of return from
	  GEOSGeomType()

2006-03-27 09:00  strk

	* source/geom/CoordinateArraySequence.cpp: Bug #79 - Small fix in
	  CoordinateArraySequence::toString()

2006-03-24 11:42  strk

	* configure.in: reverted default of assertion checking

2006-03-24 11:11  strk

	* TODO, configure.in, tools/geos-config.in: Inlining enabled by
	  default, assertion checking disabled by default.
	  Added --enable-cassert and --disable-inline configure switches.
	  Had geos-config --cflags output appropriate inline flag if
	  required (-DGEOS_INLINE)

2006-03-24 11:04  strk

	* source/operation/linemerge/LineSequencer.cpp: Changed assert()
	  with Assert::isTrue in addReverseSubpath

2006-03-24 10:44  strk

	* source/operation/linemerge/LineSequencer.cpp: Fixed to build with
	  -DNDEBUG

2006-03-24 09:52  strk

	* TODO, capi/geos_c.cpp.bak, source/algorithm/ConvexHull.cpp,
	  source/geom/Coordinate.cpp,
	  source/geom/CoordinateArraySequenceFactory.cpp,
	  source/geom/Envelope.cpp, source/geom/Geometry.cpp,
	  source/geom/GeometryCollection.cpp,
	  source/geom/GeometryFactory.cpp, source/geom/LineSegment.cpp,
	  source/geom/MultiLineString.cpp, source/geom/MultiPolygon.cpp,
	  source/geom/PrecisionModel.cpp,
	  source/geomgraph/DirectedEdge.cpp,
	  source/headers/geos/algorithm/ConvexHull.h,
	  source/headers/geos/geom/Coordinate.h,
	  source/headers/geos/geom/CoordinateArraySequence.h,
	  source/headers/geos/geom/CoordinateArraySequenceFactory.h,
	  source/headers/geos/geom/CoordinateFilter.h,
	  source/headers/geos/geom/CoordinateSequence.h,
	  source/headers/geos/geom/CoordinateSequenceFactory.h,
	  source/headers/geos/geom/Dimension.h,
	  source/headers/geos/geom/Envelope.h,
	  source/headers/geos/geom/Geometry.h,
	  source/headers/geos/geom/GeometryCollection.h,
	  source/headers/geos/geom/GeometryComponentFilter.h,
	  source/headers/geos/geom/GeometryFactory.h,
	  source/headers/geos/geom/GeometryFilter.h,
	  source/headers/geos/geom/IntersectionMatrix.h,
	  source/headers/geos/geom/LineSegment.h,
	  source/headers/geos/geom/LineString.h,
	  source/headers/geos/geom/LinearRing.h,
	  source/headers/geos/geom/Location.h,
	  source/headers/geos/geom/MultiLineString.h,
	  source/headers/geos/geom/MultiPoint.h,
	  source/headers/geos/geom/MultiPolygon.h,
	  source/headers/geos/geom/Point.h,
	  source/headers/geos/geom/Polygon.h,
	  source/headers/geos/geom/PrecisionModel.h,
	  source/headers/geos/geom/Triangle.h,
	  source/headers/geos/geom/util/CoordinateOperation.h,
	  source/headers/geos/geom/util/GeometryEditor.h,
	  source/headers/geos/geom/util/GeometryEditorOperation.h,
	  source/headers/geos/geom/util/ShortCircuitedGeometryVisitor.h,
	  source/headers/geos/geomgraph/Depth.h,
	  source/headers/geos/geomgraph/DirectedEdge.h,
	  source/headers/geos/geomgraph/DirectedEdgeStar.h,
	  source/headers/geos/geomgraph/Edge.h,
	  source/headers/geos/geomgraph/EdgeEnd.h,
	  source/headers/geos/geomgraph/EdgeEndStar.h,
	  source/headers/geos/geomgraph/EdgeIntersection.h,
	  source/headers/geos/geomgraph/EdgeIntersectionList.h,
	  source/headers/geos/geomgraph/EdgeList.h,
	  source/headers/geos/geomgraph/EdgeNodingValidator.h,
	  source/headers/geos/geomgraph/EdgeRing.h,
	  source/headers/geos/geomgraph/GeometryGraph.h,
	  source/headers/geos/geomgraph/GraphComponent.h,
	  source/headers/geos/geomgraph/Label.h,
	  source/headers/geos/geomgraph/Node.h,
	  source/headers/geos/geomgraph/NodeFactory.h,
	  source/headers/geos/geomgraph/NodeMap.h,
	  source/headers/geos/geomgraph/PlanarGraph.h,
	  source/headers/geos/geomgraph/Position.h,
	  source/headers/geos/geomgraph/Quadrant.h,
	  source/headers/geos/geomgraph/TopologyLocation.h,
	  source/headers/geos/inline.h, source/headers/geos/io/WKTReader.h,
	  source/headers/geos/noding/IntersectionAdder.h,
	  source/headers/geos/noding/IntersectionFinderAdder.h,
	  source/headers/geos/noding/IteratedNoder.h,
	  source/headers/geos/noding/MCIndexNoder.h,
	  source/headers/geos/noding/Noder.h,
	  source/headers/geos/noding/NodingValidator.h,
	  source/headers/geos/noding/Octant.h,
	  source/headers/geos/noding/ScaledNoder.h,
	  source/headers/geos/noding/SegmentIntersector.h,
	  source/headers/geos/noding/SegmentNode.h,
	  source/headers/geos/noding/SegmentNodeList.h,
	  source/headers/geos/noding/SegmentString.h,
	  source/headers/geos/noding/SimpleNoder.h,
	  source/headers/geos/noding/SinglePassNoder.h,
	  source/headers/geos/noding/snapround/HotPixel.h,
	  source/headers/geos/noding/snapround/MCIndexPointSnapper.h,
	  source/headers/geos/noding/snapround/MCIndexSnapRounder.h,
	  source/headers/geos/noding/snapround/SimpleSnapRounder.h,
	  source/io/WKTReader.cpp, source/noding/MCIndexNoder.cpp,
	  source/noding/SegmentString.cpp,
	  source/noding/snapround/HotPixel.cpp,
	  source/noding/snapround/MCIndexSnapRounder.cpp,
	  source/operation/distance/DistanceOp.cpp: USE_INLINE =>
	  GEOS_INLINE

2006-03-24 09:26  strk

	* capi/geos_c.cpp: Bug #77 - Missing platform.h

2006-03-24 09:25  strk

	* source/noding/snapround/MCIndexPointSnapper.cpp,
	  source/operation/buffer/BufferBuilder.cpp: Bugs #77 and #76:
	  missing <algorithm>

2006-03-24 09:23  strk

	* tests/unit/geos_unit.cpp: Bug #78 - Small fixes and cleaning

2006-03-23 15:10  strk

	* source/geom/Coordinate.cpp, source/geomgraph/DirectedEdge.cpp,
	  source/geomgraph/DirectedEdgeStar.cpp,
	  source/geomgraph/EdgeEndStar.cpp, source/geomgraph/EdgeRing.cpp,
	  source/headers/geos/geom/Geometry.h,
	  source/headers/geos/geomgraph/DirectedEdge.inl,
	  source/headers/geos/geomgraph/DirectedEdgeStar.h,
	  source/headers/geos/util/TopologyException.h,
	  source/operation/overlay/OverlayOp.cpp: Dropped by-pointer
	  TopologyException constructor, various small cleanups

2006-03-23 13:31  strk

	* source/geomgraph/Edge.cpp,
	  source/geomgraph/EdgeIntersectionList.cpp,
	  source/geomgraph/index/SegmentIntersector.cpp,
	  source/index/chain/MonotoneChainBuilder.cpp,
	  source/index/quadtree/Node.cpp,
	  source/index/quadtree/NodeBase.cpp,
	  source/index/quadtree/Quadtree.cpp: Fixed to allow build with
	  GEOS_DEBUG

2006-03-23 12:12  strk

	* source/geom/Geometry.cpp, source/geom/MultiLineString.cpp,
	  source/geom/MultiPolygon.cpp,
	  source/headers/geos/geom/Geometry.h,
	  source/headers/geos/geom/Geometry.inl,
	  source/headers/geos/geom/GeometryCollection.h,
	  source/headers/geos/geom/GeometryCollection.inl,
	  source/headers/geos/geom/LineSegment.inl,
	  source/headers/geos/geom/MultiLineString.h,
	  source/headers/geos/geom/MultiLineString.inl,
	  source/headers/geos/geom/MultiPolygon.inl,
	  source/operation/distance/DistanceOp.cpp: Fixes to allow build
	  with -DUSE_INLINE

2006-03-23 10:55  strk

	* Makefile.am, configure.in: Temporarly excluded 'swig' extension
	  from distribution, to allow for
	  successufull 'dist' rule and distributed testing.

2006-03-23 10:41  strk

	* source/headers/geos/Makefile.am,
	  source/headers/geos/operation/relate/Makefile.am: Fixed automake
	  files

2006-03-23 10:09  strk

	* source/headers/geos/operation/predicate/Makefile.am: Fixed
	  missing backslash

2006-03-23 09:17  strk

	* configure.in, source/headers/geos/Makefile.am,
	  source/headers/geos/precision, source/headers/geos/precision.h,
	  source/headers/geos/precision/.cvsignore,
	  source/headers/geos/precision/CommonBits.h,
	  source/headers/geos/precision/CommonBitsOp.h,
	  source/headers/geos/precision/CommonBitsRemover.h,
	  source/headers/geos/precision/EnhancedPrecisionOp.h,
	  source/headers/geos/precision/Makefile.am,
	  source/headers/geos/precision/SimpleGeometryPrecisionReducer.h,
	  source/operation/buffer/BufferOp.cpp,
	  source/operation/overlay/OverlayOp.cpp,
	  source/precision/CommonBits.cpp,
	  source/precision/CommonBitsOp.cpp,
	  source/precision/CommonBitsRemover.cpp,
	  source/precision/EnhancedPrecisionOp.cpp,
	  source/precision/SimpleGeometryPrecisionReducer.cpp: precision.h
	  header split, minor optimizations

2006-03-22 18:12  strk

	* configure.in, source/algorithm/MCPointInRing.cpp,
	  source/geom/LineSegment.cpp,
	  source/headers/geos/algorithm/MCPointInRing.h,
	  source/headers/geos/index/Makefile.am,
	  source/headers/geos/index/chain,
	  source/headers/geos/index/chain/.cvsignore,
	  source/headers/geos/index/chain/Makefile.am,
	  source/headers/geos/index/chain/MonotoneChain.h,
	  source/headers/geos/index/chain/MonotoneChainBuilder.h,
	  source/headers/geos/index/chain/MonotoneChainOverlapAction.h,
	  source/headers/geos/index/chain/MonotoneChainSelectAction.h,
	  source/headers/geos/indexChain.h,
	  source/headers/geos/noding/MCIndexNoder.h,
	  source/headers/geos/noding/snapround/MCIndexPointSnapper.h,
	  source/index/bintree/NodeBase.cpp,
	  source/index/chain/Makefile.am,
	  source/index/chain/MonotoneChain.cpp,
	  source/index/chain/MonotoneChainBuilder.cpp,
	  source/index/chain/MonotoneChainOverlapAction.cpp,
	  source/index/chain/MonotoneChainSelectAction.cpp,
	  source/index/chain/indexMonotoneChain.cpp,
	  source/noding/MCIndexNoder.cpp,
	  source/noding/snapround/MCIndexPointSnapper.cpp,
	  source/noding/snapround/MCIndexSnapRounder.cpp,
	  source/operation/buffer/BufferBuilder.cpp,
	  source/operation/valid/IsValidOp.cpp: indexChain.h header split.

2006-03-22 16:59  strk

	* source/headers/geos/geosAlgorithm.h: cleaned up

2006-03-22 16:58  strk

	* source/geom/CoordinateArraySequence.cpp,
	  source/geom/CoordinateList.cpp,
	  source/geom/CoordinateSequence.cpp, source/geom/Dimension.cpp,
	  source/geom/GeometryCollectionIterator.cpp,
	  source/geom/GeometryComponentFilter.cpp,
	  source/geom/IntersectionMatrix.cpp, source/geom/LineSegment.cpp,
	  source/geom/LineString.cpp, source/geom/Location.cpp,
	  source/geom/Makefile.am, source/geom/MultiPoint.cpp,
	  source/geom/MultiPolygon.cpp, source/geom/Point.cpp,
	  source/geom/PrecisionModel.cpp,
	  source/geom/TopologyException.cpp, source/geom/Triangle.cpp,
	  source/geom/util/ShortCircuitedGeometryVisitor.cpp,
	  source/headers/geos/geom/PrecisionModel.h,
	  source/headers/geos/io/WKTReader.h,
	  source/headers/geos/io/WKTReader.inl,
	  source/headers/geos/io/WKTWriter.h, source/io/WKBReader.cpp,
	  source/io/WKBWriter.cpp, source/io/WKTReader.cpp,
	  source/io/WKTWriter.cpp, source/util/CoordinateArrayFiter.cpp,
	  source/util/GeometricShapeFactory.cpp,
	  source/util/UniqueCoordinateArrayFilter.cpp: Removed (almost) all
	  inclusions of geom.h.
	  Removed obsoleted .cpp files.
	  Fixed a bug in WKTReader not using the provided
	  CoordinateSequence
	  implementation, optimized out some memory allocations.

2006-03-22 16:01  strk

	* configure.in, source/algorithm/MCPointInRing.cpp,
	  source/headers/geos/algorithm/MCPointInRing.h,
	  source/headers/geos/index/bintree,
	  source/headers/geos/index/bintree/.cvsignore,
	  source/headers/geos/index/bintree/Bintree.h,
	  source/headers/geos/index/bintree/Interval.h,
	  source/headers/geos/index/bintree/Key.h,
	  source/headers/geos/index/bintree/Makefile.am,
	  source/headers/geos/index/bintree/Node.h,
	  source/headers/geos/index/bintree/NodeBase.h,
	  source/headers/geos/index/bintree/Root.h,
	  source/headers/geos/indexBintree.h,
	  source/index/bintree/BinTreeInterval.cpp,
	  source/index/bintree/BinTreeNode.cpp,
	  source/index/bintree/Bintree.cpp,
	  source/index/bintree/Interval.cpp, source/index/bintree/Key.cpp,
	  source/index/bintree/Makefile.am, source/index/bintree/Node.cpp,
	  source/index/bintree/NodeBase.cpp, source/index/bintree/Root.cpp,
	  tests/xmltester/XMLTester.cpp: indexBintree.h header split,
	  classes renamed to match JTS

2006-03-22 14:28  strk

	* source/index/quadtree/Key.cpp, source/index/quadtree/Makefile.am,
	  source/index/quadtree/Node.cpp,
	  source/index/quadtree/NodeBase.cpp,
	  source/index/quadtree/QuadTreeKey.cpp,
	  source/index/quadtree/QuadTreeNode.cpp,
	  source/index/quadtree/QuadTreeNodeBase.cpp,
	  source/index/quadtree/QuadTreeRoot.cpp,
	  source/index/quadtree/Root.cpp: Filenames renamed to match class
	  names (matching JTS)

2006-03-22 12:22  strk

	* configure.in, source/geomgraph/EdgeList.cpp,
	  source/headers/geos/index/Makefile.am,
	  source/headers/geos/index/quadtree,
	  source/headers/geos/index/quadtree/.cvsignore,
	  source/headers/geos/index/quadtree/DoubleBits.h,
	  source/headers/geos/index/quadtree/IntervalSize.h,
	  source/headers/geos/index/quadtree/Key.h,
	  source/headers/geos/index/quadtree/Makefile.am,
	  source/headers/geos/index/quadtree/Node.h,
	  source/headers/geos/index/quadtree/NodeBase.h,
	  source/headers/geos/index/quadtree/Quadtree.h,
	  source/headers/geos/index/quadtree/Root.h,
	  source/headers/geos/indexQuadtree.h,
	  source/index/bintree/Key.cpp, source/index/bintree/Root.cpp,
	  source/index/quadtree/DoubleBits.cpp,
	  source/index/quadtree/IntervalSize.cpp,
	  source/index/quadtree/QuadTreeKey.cpp,
	  source/index/quadtree/QuadTreeNode.cpp,
	  source/index/quadtree/QuadTreeNodeBase.cpp,
	  source/index/quadtree/QuadTreeRoot.cpp,
	  source/index/quadtree/Quadtree.cpp,
	  source/operation/valid/QuadtreeNestedRingTester.cpp:
	  indexQuadtree.h split

2006-03-22 11:19  strk

	* capi/geos_c.cpp, configure.in,
	  source/headers/geos/opPolygonize.h,
	  source/headers/geos/operation/Makefile.am,
	  source/headers/geos/operation/polygonize,
	  source/headers/geos/operation/polygonize/.cvsignore,
	  source/headers/geos/operation/polygonize/EdgeRing.h,
	  source/headers/geos/operation/polygonize/Makefile.am,
	  source/headers/geos/operation/polygonize/PolygonizeDirectedEdge.h,
	  source/headers/geos/operation/polygonize/PolygonizeEdge.h,
	  source/headers/geos/operation/polygonize/PolygonizeGraph.h,
	  source/headers/geos/operation/polygonize/Polygonizer.h,
	  source/headers/geos/util/TopologyException.h,
	  source/operation/polygonize/PolygonizeDirectedEdge.cpp,
	  source/operation/polygonize/PolygonizeEdge.cpp,
	  source/operation/polygonize/PolygonizeGraph.cpp,
	  source/operation/polygonize/Polygonizer.cpp,
	  source/operation/polygonize/polygonizeEdgeRing.cpp:
	  opPolygonize.h headers split.

2006-03-22 11:18  strk

	* source/operation/buffer/BufferSubgraph.cpp,
	  source/operation/buffer/OffsetCurveSetBuilder.cpp: Changed back
	  'unable to find edge to compute depths' from assertion to
	  TopologyException

2006-03-22 10:13  strk

	* capi/geos_c.cpp, configure.in, source/headers/geos/opLinemerge.h,
	  source/headers/geos/operation/linemerge,
	  source/headers/geos/operation/linemerge/.cvsignore,
	  source/headers/geos/operation/linemerge/EdgeString.h,
	  source/headers/geos/operation/linemerge/LineMergeDirectedEdge.h,
	  source/headers/geos/operation/linemerge/LineMergeEdge.h,
	  source/headers/geos/operation/linemerge/LineMergeGraph.h,
	  source/headers/geos/operation/linemerge/LineMerger.h,
	  source/headers/geos/operation/linemerge/LineSequencer.h,
	  source/headers/geos/operation/linemerge/Makefile.am,
	  source/operation/linemerge/EdgeString.cpp,
	  source/operation/linemerge/LineMergeDirectedEdge.cpp,
	  source/operation/linemerge/LineMergeEdge.cpp,
	  source/operation/linemerge/LineMergeGraph.cpp,
	  source/operation/linemerge/LineMerger.cpp,
	  source/operation/linemerge/LineSequencer.cpp: opLinemerge.h split

2006-03-21 21:42  strk

	* configure.in, source/headers/geos/Makefile.am,
	  source/headers/geos/planargraph,
	  source/headers/geos/planargraph.h,
	  source/headers/geos/planargraph/.cvsignore,
	  source/headers/geos/planargraph/DirectedEdge.h,
	  source/headers/geos/planargraph/DirectedEdgeStar.h,
	  source/headers/geos/planargraph/Edge.h,
	  source/headers/geos/planargraph/GraphComponent.h,
	  source/headers/geos/planargraph/Makefile.am,
	  source/headers/geos/planargraph/Node.h,
	  source/headers/geos/planargraph/NodeMap.h,
	  source/headers/geos/planargraph/PlanarGraph.h,
	  source/headers/geos/planargraph/Subgraph.h,
	  source/headers/geos/planargraph/algorithm,
	  source/headers/geos/planargraph/algorithm/.cvsignore,
	  source/headers/geos/planargraph/algorithm/ConnectedSubgraphFinder.h,
	  source/headers/geos/planargraph/algorithm/Makefile.am,
	  source/operation/GeometryGraphOperation.cpp,
	  source/operation/IsSimpleOp.cpp,
	  source/operation/linemerge/LineMergeDirectedEdge.cpp,
	  source/operation/linemerge/LineMergeGraph.cpp,
	  source/operation/linemerge/LineMerger.cpp,
	  source/operation/linemerge/LineSequencer.cpp,
	  source/operation/polygonize/PolygonizeDirectedEdge.cpp,
	  source/operation/polygonize/PolygonizeGraph.cpp,
	  source/operation/polygonize/polygonizeEdgeRing.cpp,
	  source/planargraph/DirectedEdge.cpp,
	  source/planargraph/DirectedEdgeStar.cpp,
	  source/planargraph/Edge.cpp, source/planargraph/Makefile.am,
	  source/planargraph/Node.cpp, source/planargraph/NodeMap.cpp,
	  source/planargraph/PlanarGraph.cpp,
	  source/planargraph/Subgraph.cpp,
	  source/planargraph/algorithm/ConnectedSubgraphFinder.cpp,
	  source/planargraph/planarDirectedEdge.cpp,
	  source/planargraph/planarDirectedEdgeStar.cpp,
	  source/planargraph/planarEdge.cpp,
	  source/planargraph/planarGraphComponent.cpp,
	  source/planargraph/planarNode.cpp,
	  source/planargraph/planarNodeMap.cpp,
	  source/planargraph/planarPlanarGraph.cpp,
	  source/planargraph/planarSubgraph.cpp: planargraph.h header
	  split, planargraph:: classes renamed to match JTS symbols

2006-03-21 17:55  strk

	* configure.in, source/geom/Geometry.cpp,
	  source/headers/geos/opDistance.h,
	  source/headers/geos/opOverlay.h, source/headers/geos/opRelate.h,
	  source/headers/geos/opValid.h, source/headers/geos/operation.h,
	  source/headers/geos/operation/Makefile.am,
	  source/headers/geos/operation/distance,
	  source/headers/geos/operation/distance/.cvsignore,
	  source/headers/geos/operation/distance/ConnectedElementLocationFilter.h,
	  source/headers/geos/operation/distance/ConnectedElementPointFilter.h,
	  source/headers/geos/operation/distance/DistanceOp.h,
	  source/headers/geos/operation/distance/GeometryLocation.h,
	  source/headers/geos/operation/distance/Makefile.am,
	  source/operation/distance/ConnectedElementLocationFilter.cpp,
	  source/operation/distance/ConnectedElementPointFilter.cpp,
	  source/operation/distance/DistanceOp.cpp,
	  source/operation/distance/GeometryLocation.cpp: opDistance.h
	  header split

2006-03-21 17:11  strk

	* configure.in, source/geom/Geometry.cpp,
	  source/headers/geos/opPredicate.h,
	  source/headers/geos/operation/Makefile.am,
	  source/headers/geos/operation/predicate,
	  source/headers/geos/operation/predicate/.cvsignore,
	  source/headers/geos/operation/predicate/Makefile.am,
	  source/headers/geos/operation/predicate/RectangleContains.h,
	  source/headers/geos/operation/predicate/RectangleIntersects.h,
	  source/headers/geos/operation/predicate/SegmentIntersectionTester.h,
	  source/operation/predicate/RectangleContains.cpp,
	  source/operation/predicate/RectangleIntersects.cpp,
	  source/operation/predicate/SegmentIntersectionTester.cpp:
	  opPredicate.h header split

2006-03-21 13:11  strk

	* configure.in, source/geom/Geometry.cpp,
	  source/headers/geos/opRelate.h,
	  source/headers/geos/operation/Makefile.am,
	  source/headers/geos/operation/relate,
	  source/headers/geos/operation/relate/.cvsignore,
	  source/headers/geos/operation/relate/EdgeEndBuilder.h,
	  source/headers/geos/operation/relate/EdgeEndBundle.h,
	  source/headers/geos/operation/relate/EdgeEndBundleStar.h,
	  source/headers/geos/operation/relate/Makefile.am,
	  source/headers/geos/operation/relate/RelateComputer.h,
	  source/headers/geos/operation/relate/RelateNode.h,
	  source/headers/geos/operation/relate/RelateNodeFactory.h,
	  source/headers/geos/operation/relate/RelateNodeGraph.h,
	  source/headers/geos/operation/relate/RelateOp.h,
	  source/operation/relate/EdgeEndBuilder.cpp,
	  source/operation/relate/EdgeEndBundle.cpp,
	  source/operation/relate/EdgeEndBundleStar.cpp,
	  source/operation/relate/RelateComputer.cpp,
	  source/operation/relate/RelateNode.cpp,
	  source/operation/relate/RelateNodeFactory.cpp,
	  source/operation/relate/RelateNodeGraph.cpp,
	  source/operation/relate/RelateOp.cpp,
	  source/operation/valid/ConsistentAreaTester.cpp: opRelate.h
	  header split

2006-03-21 11:20  strk

	* tests/xmltester/TestInteriorPoint.xml: Changed expected result to
	  the obtained one :)
	  We're not cheating, it's a 2-vertex linestring for
	  which an InteriorPoint is requested, both vertexes
	  are correct answer (equidistant from centroid).

2006-03-21 11:12  strk

	* source/algorithm/CGAlgorithms.cpp,
	  source/algorithm/CentroidArea.cpp,
	  source/algorithm/CentroidLine.cpp,
	  source/algorithm/CentroidPoint.cpp,
	  source/algorithm/ConvexHull.cpp,
	  source/algorithm/HCoordinate.cpp,
	  source/algorithm/InteriorPointArea.cpp,
	  source/algorithm/InteriorPointLine.cpp,
	  source/algorithm/InteriorPointPoint.cpp,
	  source/algorithm/LineIntersector.cpp,
	  source/algorithm/MCPointInRing.cpp,
	  source/algorithm/MinimumDiameter.cpp,
	  source/algorithm/NonRobustLineIntersector.cpp,
	  source/algorithm/NotRepresentableException.cpp,
	  source/algorithm/PointLocator.cpp,
	  source/algorithm/RobustDeterminant.cpp,
	  source/algorithm/RobustLineIntersector.cpp,
	  source/algorithm/SIRtreePointInRing.cpp,
	  source/algorithm/SimplePointInAreaLocator.cpp,
	  source/algorithm/SimplePointInRing.cpp,
	  source/headers/geos/algorithm/SIRtreePointInRing.h: Cleanups:
	  headers inclusion and Log section

2006-03-21 10:47  strk

	* configure.in, source/headers/geos/index/Makefile.am,
	  source/headers/geos/index/strtree,
	  source/headers/geos/index/strtree/.cvsignore,
	  source/headers/geos/index/strtree/AbstractNode.h,
	  source/headers/geos/index/strtree/AbstractSTRtree.h,
	  source/headers/geos/index/strtree/Boundable.h,
	  source/headers/geos/index/strtree/Interval.h,
	  source/headers/geos/index/strtree/ItemBoundable.h,
	  source/headers/geos/index/strtree/Makefile.am,
	  source/headers/geos/index/strtree/SIRtree.h,
	  source/headers/geos/index/strtree/STRtree.h,
	  source/headers/geos/indexStrtree.h,
	  source/index/strtree/AbstractNode.cpp,
	  source/index/strtree/AbstractSTRtree.cpp,
	  source/index/strtree/Interval.cpp,
	  source/index/strtree/ItemBoundable.cpp,
	  source/index/strtree/SIRtree.cpp,
	  source/index/strtree/STRtree.cpp: indexStrtree.h split

2006-03-21 10:46  strk

	* source/algorithm/RobustDeterminant.cpp: streamlined header
	  inclusion, put original copyright on top

2006-03-21 10:01  strk

	* configure.in, source/headers/geos/index/Makefile.am,
	  source/headers/geos/index/sweepline,
	  source/headers/geos/index/sweepline/.cvsignore,
	  source/headers/geos/index/sweepline/Makefile.am,
	  source/headers/geos/index/sweepline/SweepLineEvent.h,
	  source/headers/geos/index/sweepline/SweepLineIndex.h,
	  source/headers/geos/index/sweepline/SweepLineInterval.h,
	  source/headers/geos/index/sweepline/SweepLineOverlapAction.h,
	  source/headers/geos/indexSweepline.h,
	  source/index/sweepline/Makefile.am,
	  source/index/sweepline/SweepLineEvent.cpp,
	  source/index/sweepline/SweepLineIndex.cpp,
	  source/index/sweepline/SweepLineInterval.cpp,
	  source/index/sweepline/indexSweepLineEvent.cpp,
	  source/operation/valid/SweeplineNestedRingTester.cpp:
	  indexSweepline.h header split

2006-03-20 18:18  strk

	* capi/geos_c.cpp, configure.in, source/headers/geos/Makefile.am,
	  source/headers/geos/io, source/headers/geos/io.h,
	  source/headers/geos/io/.cvsignore,
	  source/headers/geos/io/ByteOrderDataInStream.h,
	  source/headers/geos/io/ByteOrderValues.h,
	  source/headers/geos/io/Makefile.am,
	  source/headers/geos/io/ParseException.h,
	  source/headers/geos/io/StringTokenizer.h,
	  source/headers/geos/io/WKBConstants.h,
	  source/headers/geos/io/WKBReader.h,
	  source/headers/geos/io/WKBWriter.h,
	  source/headers/geos/io/WKTReader.h,
	  source/headers/geos/io/WKTReader.inl,
	  source/headers/geos/io/WKTWriter.h,
	  source/headers/geos/io/Writer.h, source/io/ByteOrderValues.cpp,
	  source/io/ParseException.cpp, source/io/StringTokenizer.cpp,
	  source/io/WKBReader.cpp, source/io/WKBWriter.cpp,
	  source/io/WKTReader.cpp, source/io/WKTWriter.cpp,
	  source/io/Writer.cpp, source/operation/buffer/BufferSubgraph.cpp:
	  io.h header split

2006-03-20 17:40  strk

	* source/index/quadtree/DoubleBits.cpp: <cmath> included when
	  appropriate

2006-03-20 17:27  strk

	* source/headers/geos/geom/CoordinateSequence.h,
	  source/headers/geos/geom/GeometryFactory.h: Bug #72 - Missing
	  <vector> header

2006-03-20 17:17  strk

	* source/headers/geos/geomgraph/index/Makefile.am,
	  source/headers/geos/index/Makefile.am,
	  source/headers/geos/noding/snapround/Makefile.am,
	  source/headers/geos/operation/buffer/Makefile.am,
	  source/headers/geos/operation/overlay/Makefile.am,
	  source/headers/geos/operation/valid/Makefile.am: Fixed geosdir

2006-03-20 16:57  strk

	* configure.in, source/geom/Geometry.cpp,
	  source/headers/geos/Makefile.am, source/headers/geos/index,
	  source/headers/geos/index/.cvsignore,
	  source/headers/geos/index/ItemVisitor.h,
	  source/headers/geos/index/Makefile.am,
	  source/headers/geos/index/SpatialIndex.h,
	  source/headers/geos/indexQuadtree.h,
	  source/headers/geos/opValid.h,
	  source/headers/geos/operation/Makefile.am,
	  source/headers/geos/operation/valid,
	  source/headers/geos/operation/valid/.cvsignore,
	  source/headers/geos/operation/valid/ConnectedInteriorTester.h,
	  source/headers/geos/operation/valid/ConsistentAreaTester.h,
	  source/headers/geos/operation/valid/IsValidOp.h,
	  source/headers/geos/operation/valid/Makefile.am,
	  source/headers/geos/operation/valid/QuadtreeNestedRingTester.h,
	  source/headers/geos/operation/valid/RepeatedPointTester.h,
	  source/headers/geos/operation/valid/SimpleNestedRingTester.h,
	  source/headers/geos/operation/valid/SweeplineNestedRingTester.h,
	  source/headers/geos/operation/valid/TopologyValidationError.h,
	  source/headers/geos/spatialIndex.h,
	  source/index/quadtree/QuadTreeKey.cpp,
	  source/index/quadtree/QuadTreeNode.cpp,
	  source/index/quadtree/QuadTreeNodeBase.cpp,
	  source/index/quadtree/QuadTreeRoot.cpp,
	  source/index/quadtree/Quadtree.cpp,
	  source/index/strtree/STRtree.cpp, source/io/Unload.cpp,
	  source/operation/overlay/LineBuilder.cpp,
	  source/operation/overlay/PolygonBuilder.cpp,
	  source/operation/relate/EdgeEndBuilder.cpp,
	  source/operation/relate/EdgeEndBundleStar.cpp,
	  source/operation/relate/RelateComputer.cpp,
	  source/operation/relate/RelateNode.cpp,
	  source/operation/relate/RelateNodeFactory.cpp,
	  source/operation/relate/RelateNodeGraph.cpp,
	  source/operation/valid/ConnectedInteriorTester.cpp,
	  source/operation/valid/ConsistentAreaTester.cpp,
	  source/operation/valid/IsValidOp.cpp,
	  source/operation/valid/QuadtreeNestedRingTester.cpp,
	  source/operation/valid/RepeatedPointTester.cpp,
	  source/operation/valid/SimpleNestedRingTester.cpp,
	  source/operation/valid/TopologyValidationError.cpp:
	  spatialindex.h and opValid.h headers split

2006-03-20 16:08  strk

	* macros/ac_python_devel.m4: redirected find stderr to /dev/null

2006-03-20 13:20  strk

	* source/operation/overlay/PolygonBuilder.cpp: Changed assertion to
	  TopologyException for the "orphaned" hole case
	  in order to allow for reduced precision ops to catch the case.

2006-03-20 12:33  strk

	* source/headers/geos/operation/overlay/PolygonBuilder.h,
	  source/operation/overlay/PolygonBuilder.cpp: Simplified some
	  privat methods to use refs instead of pointers, added
	  debugging section for failiures of holes/shells associations

2006-03-20 12:32  strk

	* source/headers/geos/geomgraph/EdgeRing.h: Added note about
	  responsibility of return from ::toPolygon

2006-03-20 12:03  strk

	* source/geom/Geometry.cpp, source/headers/geos/geom/Geometry.h:
	  Added operator<< for Geometry, writing HEXWKB

2006-03-20 11:42  strk

	* source/noding/Octant.cpp,
	  source/operation/buffer/OffsetCurveBuilder.cpp,
	  source/operation/buffer/OffsetCurveSetBuilder.cpp: Added missing
	  <cmath> include

2006-03-20 10:42  strk

	* source/operation/predicate/RectangleContains.cpp,
	  source/operation/predicate/RectangleIntersects.cpp: Bug #61 -
	  Disambiguated geom::Polygon use

2006-03-20 10:14  strk

	* source/headers/geos/timeval.h: Bug #69 - Check for macro
	  WIN32_LEAN_AND_MEAN

2006-03-20 10:13  strk

	* source/operation/buffer/SubgraphDepthLocater.cpp: Bug #71 -
	  Missing <algorithm>

2006-03-20 10:12  strk

	* source/headers/geos/geom/Coordinate.h: Bug #70 - Small fix in fwd
	  decl. of CoordinateLessThen

2006-03-20 10:11  strk

	* source/geom/GeometryFactory.cpp: Bug #67 - Debugging helpers in
	  GeometryFactory class

2006-03-17 16:48  strk

	* source/headers/geos/opRelate.h, source/headers/geos/opValid.h,
	  source/io/Unload.cpp, source/operation/relate/EdgeEndBundle.cpp,
	  source/operation/relate/RelateComputer.cpp,
	  source/operation/relate/RelateOp.cpp,
	  source/operation/valid/ConnectedInteriorTester.cpp,
	  source/operation/valid/ConsistentAreaTester.cpp,
	  source/operation/valid/IsValidOp.cpp,
	  source/operation/valid/QuadtreeNestedRingTester.cpp,
	  source/operation/valid/SimpleNestedRingTester.cpp:
	  LineIntersector and PointLocator made complete components of
	  RelateComputer
	  (were statics const pointers before). Reduced inclusions from
	  opRelate.h
	  and opValid.h, updated .cpp files to allow build.

2006-03-17 14:56  strk

	* tests/xmltester/XMLTester.cpp: Fixed filename normalizer for sql
	  output

2006-03-17 13:24  strk

	* configure.in, source/geom/Geometry.cpp,
	  source/headers/geos/opOverlay.h,
	  source/headers/geos/operation/Makefile.am,
	  source/headers/geos/operation/overlay,
	  source/headers/geos/operation/overlay/.cvsignore,
	  source/headers/geos/operation/overlay/EdgeSetNoder.h,
	  source/headers/geos/operation/overlay/ElevationMatrix.h,
	  source/headers/geos/operation/overlay/ElevationMatrixCell.h,
	  source/headers/geos/operation/overlay/LineBuilder.h,
	  source/headers/geos/operation/overlay/Makefile.am,
	  source/headers/geos/operation/overlay/MaximalEdgeRing.h,
	  source/headers/geos/operation/overlay/MinimalEdgeRing.h,
	  source/headers/geos/operation/overlay/OverlayNodeFactory.h,
	  source/headers/geos/operation/overlay/OverlayOp.h,
	  source/headers/geos/operation/overlay/PointBuilder.h,
	  source/headers/geos/operation/overlay/PolygonBuilder.h,
	  source/operation/buffer/BufferBuilder.cpp,
	  source/operation/buffer/BufferSubgraph.cpp,
	  source/operation/buffer/SubgraphDepthLocater.cpp,
	  source/operation/overlay/EdgeSetNoder.cpp,
	  source/operation/overlay/ElevationMatrix.cpp,
	  source/operation/overlay/ElevationMatrixCell.cpp,
	  source/operation/overlay/ElevationMatrixFilter.cpp,
	  source/operation/overlay/LineBuilder.cpp,
	  source/operation/overlay/Makefile.am,
	  source/operation/overlay/MaximalEdgeRing.cpp,
	  source/operation/overlay/MinimalEdgeRing.cpp,
	  source/operation/overlay/OverlayNodeFactory.cpp,
	  source/operation/overlay/OverlayOp.cpp,
	  source/operation/overlay/PointBuilder.cpp,
	  source/operation/overlay/PolygonBuilder.cpp: opOverlay.h header
	  splitted. Reduced header inclusions in operation/overlay
	  implementation files. ElevationMatrixFilter code moved from own
	  file to ElevationMatrix.cpp (ideally a class-private).

2006-03-16 13:30  strk

	* tests/xmltester/linemerge.xml: Added missing testfile

2006-03-16 13:29  strk

	* tests/unit/Makefile.am, tests/unit/geom/LineSegment.cpp: new unit
	  test for LineSegment (adding tests would be helpful)

2006-03-16 13:28  strk

	* source/geom/LineSegment.cpp,
	  source/headers/geos/geom/LineSegment.h,
	  source/headers/geos/geom/LineSegment.inl: obsoleted
	  getCoordinate(), replaced by operator[]

2006-03-16 13:27  strk

	* README: Added notes about testing

2006-03-16 10:47  strk

	* tests/tut/tut.h, tests/tut/tut_reporter.h,
	  tests/tut/tut_restartable.h, tests/unit/geom/Envelope.cpp,
	  tests/unit/geom/Geometry/isRectangle.cpp,
	  tests/unit/geos_unit.cpp: Bug #65 - Command line changes and EOL
	  fixes Unit Test

2006-03-16 10:42  strk

	* source/geom/Geometry.cpp: Bug #64 - Not all control paths return
	  a value in geos::geom::Geometry::getClassSortIndex

2006-03-16 10:38  strk

	* source/algorithm/LineIntersector.cpp: Bug #63 - Remove
	  unreferenced local variable warning

2006-03-16 09:37  strk

	* tests/tut, tests/tut/tut.h, tests/tut/tut_reporter.h,
	  tests/tut/tut_restartable.h, tests/unit/Makefile.am,
	  tests/unit/envelope_class_test.cpp, tests/unit/geom,
	  tests/unit/geom/Envelope.cpp, tests/unit/geom/Geometry,
	  tests/unit/geom/Geometry/isRectangle.cpp,
	  tests/unit/geos_unit.cpp: Initial unit tests

2006-03-15 18:59  strk

	* source/headers/geos/operation/IsSimpleOp.h: Bug #62: 'struct'
	  CoordinateLessThen in forward declaration

2006-03-15 18:57  strk

	* source/operation/buffer/SubgraphDepthLocater.cpp: small cleanup

2006-03-15 18:57  strk

	* source/operation/buffer/BufferBuilder.cpp: cleanups in DEBUG
	  lines

2006-03-15 18:56  strk

	* source/operation/buffer/BufferOp.cpp: Temporary hack to avoid
	  snapround:: Noders (still using ScaledNoder wrapper)
	  to allow for buffer_snapround.xml test to succeed

2006-03-15 18:55  strk

	* tests/xmltester/buffer_snapround.xml: Added xml testfile showing
	  bug in snapround:: noders

2006-03-15 18:44  strk

	* doc/example.cpp, source/geom/Envelope.cpp,
	  source/geom/LineSegment.cpp, source/geom/PrecisionModel.cpp,
	  source/headers/geos/geom/Coordinate.inl,
	  source/index/bintree/Key.cpp,
	  source/index/quadtree/IntervalSize.cpp,
	  source/index/quadtree/QuadTreeKey.cpp,
	  source/index/strtree/STRtree.cpp,
	  source/util/GeometricShapeFactory.cpp: Bug #60 - Missing <cmath>
	  header in some files

2006-03-15 17:33  strk

	* source/operation/buffer/BufferSubgraph.cpp: Changed operator<< to
	  use operator<< for Nodes

2006-03-15 17:17  strk

	* source/headers/geos/geomgraph/DirectedEdgeStar.h,
	  source/headers/geos/geomgraph/EdgeRing.h,
	  source/headers/geos/geomgraph/index/SweepLineEvent.h: Added
	  missing forward declarations

2006-03-15 17:16  strk

	* source/geomgraph/Depth.cpp, source/geomgraph/DirectedEdge.cpp,
	  source/geomgraph/DirectedEdgeStar.cpp, source/geomgraph/Edge.cpp,
	  source/geomgraph/EdgeEnd.cpp, source/geomgraph/EdgeEndStar.cpp,
	  source/geomgraph/EdgeIntersection.cpp,
	  source/geomgraph/EdgeIntersectionList.cpp,
	  source/geomgraph/EdgeNodingValidator.cpp,
	  source/geomgraph/EdgeRing.cpp,
	  source/geomgraph/GeometryGraph.cpp,
	  source/geomgraph/GraphComponent.cpp,
	  source/geomgraph/NodeFactory.cpp,
	  source/geomgraph/PlanarGraph.cpp, source/geomgraph/Position.cpp,
	  source/geomgraph/Quadrant.cpp,
	  source/geomgraph/TopologyLocation.cpp,
	  source/geomgraph/index/MonotoneChainEdge.cpp,
	  source/geomgraph/index/MonotoneChainIndexer.cpp,
	  source/geomgraph/index/SegmentIntersector.cpp,
	  source/geomgraph/index/SimpleEdgeSetIntersector.cpp,
	  source/geomgraph/index/SimpleMCSweepLineIntersector.cpp,
	  source/geomgraph/index/SimpleSweepLineIntersector.cpp,
	  source/geomgraph/index/SweepLineEvent.cpp,
	  source/geomgraph/index/SweepLineSegment.cpp: streamlined headers
	  inclusion

2006-03-15 16:27  strk

	* source/geomgraph/Node.cpp, source/headers/geos/geomgraph/Node.h:
	  operator<< for Node class

2006-03-15 15:50  strk

	* source/headers/geos/operation/buffer/SubgraphDepthLocater.h,
	  source/operation/buffer/SubgraphDepthLocater.cpp: const
	  correctness, cleanups

2006-03-15 15:27  strk

	* source/headers/geos/geomgraph/DirectedEdge.h,
	  source/headers/geos/geomgraph/EdgeEnd.h: cleanups

2006-03-15 15:26  strk

	* source/geomgraph/DirectedEdge.cpp, source/geomgraph/EdgeRing.cpp:
	  Cleanups

2006-03-15 13:03  strk

	* source/operation/buffer/BufferBuilder.cpp: removed leftover
	  debugging line

2006-03-15 12:54  strk

	* source/headers/geos/opBuffer.h: Removed DepthSegment.h include

2006-03-15 12:54  strk

	* source/headers/geos/operation/buffer/DepthSegment.h,
	  source/headers/geos/operation/buffer/Makefile.am: Removed public
	  DepthSegment definition (moved inside SubgraphDepthLocater
	  implementation)

2006-03-15 12:52  strk

	* source/operation/buffer/DepthSegment.cpp,
	  source/operation/buffer/Makefile.am,
	  source/operation/buffer/SubgraphDepthLocater.cpp: DepthSegment
	  class moved inside SubgraphDepthLocator implementaion
	  as it was private to this file in JTS. Also, changed to reduce
	  copies of LineSegment copies.

2006-03-15 11:45  strk

	* source/headers/geos/operation/buffer/BufferSubgraph.h: doxygen
	  comments

2006-03-15 11:44  strk

	* source/operation/overlay/PolygonBuilder.cpp: debug blocks,
	  dumping SQL when GEOS_DEBUG > 1

2006-03-15 11:42  strk

	* source/operation/buffer/BufferBuilder.cpp: more debugging lines,
	  with two levels of debugging handled

2006-03-15 11:39  strk

	* source/operation/buffer/BufferSubgraph.cpp: comments cleanup,
	  changed computeDepths to use a list<> rather then a vector
	  (performance related)

2006-03-15 10:40  strk

	* doc/Doxyfile.in: Fixed to allow doxygen runs from external
	  builddir

2006-03-15 09:51  strk

	* source/headers/geos/noding/SegmentString.inl,
	  source/headers/geos/noding/SimpleNoder.h: streamlined header
	  usage

2006-03-15 09:51  strk

	* source/noding/IntersectionAdder.cpp,
	  source/noding/IntersectionFinderAdder.cpp,
	  source/noding/IteratedNoder.cpp, source/noding/MCIndexNoder.cpp,
	  source/noding/NodingValidator.cpp, source/noding/Octant.cpp,
	  source/noding/ScaledNoder.cpp, source/noding/SegmentNode.cpp,
	  source/noding/SegmentNodeList.cpp,
	  source/noding/SegmentString.cpp, source/noding/SimpleNoder.cpp,
	  source/noding/snapround/MCIndexPointSnapper.cpp,
	  source/noding/snapround/SimpleSnapRounder.cpp: streamlined
	  headers usage

2006-03-15 09:13  strk

	* source/geom/Polygon.cpp: updated port info

2006-03-15 09:12  strk

	* source/headers/geos/geom/Polygon.h: isSimple doc

2006-03-14 17:46  strk

	* source/headers/geos/util/Assert.h: Removed unrequired include

2006-03-14 17:10  strk

	* source/operation/buffer/BufferSubgraph.cpp: cleanups

2006-03-14 17:08  strk

	* source/headers/geos/opOverlay.h,
	  source/operation/overlay/MaximalEdgeRing.cpp: comments cleanup,
	  integrity checks

2006-03-14 16:55  strk

	* source/operation/overlay/PolygonBuilder.cpp: oops, GEOS_DEBUG
	  default to 0

2006-03-14 16:55  strk

	* source/headers/geos/opOverlay.h,
	  source/operation/overlay/PolygonBuilder.cpp: comments cleanup

2006-03-14 16:53  strk

	* source/geomgraph/Edge.cpp: removed endline from printing funx

2006-03-14 16:08  strk

	* source/headers/geos/operation/buffer/BufferBuilder.h,
	  source/operation/buffer/BufferBuilder.cpp: changed buildSubgraphs
	  signature to use refs rather then pointers, made it
	  const-correct. Reduced heap allocations in createSubgraphs()

2006-03-14 15:46  strk

	* source/geomgraph/PlanarGraph.cpp,
	  source/headers/geos/geomgraph/PlanarGraph.h: Added
	  PlanarGraph::getNodes(vector&) func, to reduce useless heap
	  allocations

2006-03-14 15:32  strk

	* source/geom/Coordinate.cpp,
	  source/geom/CoordinateArraySequence.cpp,
	  source/geomgraph/DirectedEdge.cpp, source/geomgraph/Edge.cpp,
	  source/geomgraph/Node.cpp: Cleaned up toString funx (more WKT
	  friendly)

2006-03-14 14:16  strk

	* source/headers/geos/operation/buffer/BufferSubgraph.h,
	  source/operation/buffer/BufferBuilder.cpp,
	  source/operation/buffer/BufferSubgraph.cpp,
	  source/operation/overlay/PolygonBuilder.cpp: operator<< for
	  BufferSubgraph, more debugging calls

2006-03-14 12:55  strk

	* configure.in, source/geom/Geometry.cpp,
	  source/geomgraph/Label.cpp, source/geomgraph/Node.cpp,
	  source/geomgraph/NodeMap.cpp,
	  source/headers/geos/geomgraph/Makefile.am,
	  source/headers/geos/geomgraph/index,
	  source/headers/geos/geomgraph/index/.cvsignore,
	  source/headers/geos/geomgraph/index/EdgeSetIntersector.h,
	  source/headers/geos/geomgraph/index/Makefile.am,
	  source/headers/geos/geomgraph/index/MonotoneChain.h,
	  source/headers/geos/geomgraph/index/MonotoneChainEdge.h,
	  source/headers/geos/geomgraph/index/MonotoneChainIndexer.h,
	  source/headers/geos/geomgraph/index/SegmentIntersector.h,
	  source/headers/geos/geomgraph/index/SimpleEdgeSetIntersector.h,
	  source/headers/geos/geomgraph/index/SimpleMCSweepLineIntersector.h,
	  source/headers/geos/geomgraph/index/SimpleSweepLineIntersector.h,
	  source/headers/geos/geomgraph/index/SweepLineEvent.h,
	  source/headers/geos/geomgraph/index/SweepLineEventObj.h,
	  source/headers/geos/geomgraph/index/SweepLineSegment.h,
	  source/headers/geos/geomgraphindex.h,
	  source/headers/geos/noding/IntersectionFinderAdder.h,
	  source/headers/geos/noding/MCIndexNoder.h,
	  source/headers/geos/noding/MCIndexNoder.inl,
	  source/headers/geos/noding/Makefile.am,
	  source/headers/geos/noding/snapround,
	  source/headers/geos/noding/snapround/.cvsignore,
	  source/headers/geos/noding/snapround/HotPixel.h,
	  source/headers/geos/noding/snapround/HotPixel.inl,
	  source/headers/geos/noding/snapround/MCIndexPointSnapper.h,
	  source/headers/geos/noding/snapround/MCIndexSnapRounder.h,
	  source/headers/geos/noding/snapround/MCIndexSnapRounder.inl,
	  source/headers/geos/noding/snapround/Makefile.am,
	  source/headers/geos/noding/snapround/SimpleSnapRounder.h,
	  source/headers/geos/nodingSnapround.h,
	  source/headers/geos/operation/Makefile.am,
	  source/index/chain/MonotoneChainBuilder.cpp,
	  source/noding/MCIndexNoder.cpp,
	  source/noding/snapround/HotPixel.cpp,
	  source/noding/snapround/MCIndexPointSnapper.cpp,
	  source/noding/snapround/MCIndexSnapRounder.cpp,
	  source/operation/buffer/BufferBuilder.cpp,
	  source/operation/buffer/BufferOp.cpp: Headers split:
	  geomgraphindex.h, nodingSnapround.h

2006-03-14 11:03  strk

	* source/geomgraph/Edge.cpp, source/geomgraph/EdgeList.cpp,
	  source/headers/geos/geomgraph/Edge.h,
	  source/headers/geos/geomgraph/EdgeList.h: Added operator<< for
	  Edge and EdgeList

2006-03-14 00:37  strk

	* source/headers/geos/operation/buffer/Makefile.am: Fixed include
	  filenames

2006-03-14 00:36  strk

	* source/operation/buffer/BufferOp.cpp: Reduced 'buffer' headers
	  inclusion

2006-03-14 00:19  strk

	* source/headers/geos/opBuffer.h,
	  source/headers/geos/operation/buffer,
	  source/headers/geos/operation/buffer/.cvsignore,
	  source/headers/geos/operation/buffer/BufferBuilder.h,
	  source/headers/geos/operation/buffer/BufferOp.h,
	  source/headers/geos/operation/buffer/BufferSubgraph.h,
	  source/headers/geos/operation/buffer/DepthSegment.h,
	  source/headers/geos/operation/buffer/Makefile.am,
	  source/headers/geos/operation/buffer/OffsetCurveBuilder.h,
	  source/headers/geos/operation/buffer/OffsetCurveSetBuilder.h,
	  source/headers/geos/operation/buffer/RightmostEdgeFinder.h,
	  source/headers/geos/operation/buffer/SubgraphDepthLocater.h,
	  source/operation/buffer/BufferBuilder.cpp,
	  source/operation/buffer/BufferSubgraph.cpp,
	  source/operation/buffer/DepthSegment.cpp,
	  source/operation/buffer/OffsetCurveBuilder.cpp,
	  source/operation/buffer/OffsetCurveSetBuilder.cpp,
	  source/operation/buffer/RightmostEdgeFinder.cpp,
	  source/operation/buffer/SubgraphDepthLocater.cpp: opBuffer.h
	  split, streamlined headers in some (not all) files in
	  operation/buffer/

2006-03-13 22:33  strk

	* source/headers/geos/geom/LineSegment.h: Added missing forward
	  declarations

2006-03-13 21:54  strk

	* source/geom/Coordinate.cpp, source/geom/CoordinateSequence.cpp,
	  source/geom/CoordinateSequenceFactory.cpp,
	  source/geom/Geometry.cpp,
	  source/geom/GeometryComponentFilter.cpp,
	  source/geom/IntersectionMatrix.cpp, source/geom/LineSegment.cpp,
	  source/geom/Triangle.cpp: Streamlined headers inclusion.

2006-03-13 21:19  strk

	* source/headers/geos/noding/ScaledNoder.h,
	  source/noding/ScaledNoder.cpp: Fixed bug in ScaledNoder scaling
	  mechanism (hugly code, due to CoordinateSequence visitor pattern
	  design). Tests are still failing so this possibly needs some
	  other fix. Streamlined includes by implementation file.

2006-03-13 21:14  strk

	* source/headers/geos/noding/SegmentString.h: Added missing forward
	  declarations

2006-03-13 21:13  strk

	* source/headers/geos/geom/CoordinateFilter.h: Added comment about
	  possible refactoring

2006-03-11 16:58  strk

	* source/headers/geos/opBuffer.h,
	  source/operation/buffer/OffsetCurveBuilder.cpp: Fixed bug in
	  OffsetCurveBuilder::getCoordinates.

2006-03-10 15:50  strk

	* source/geomgraph/EdgeRing.cpp: Changed 'found null Directed Edge'
	  from an Assertion to a TopologyException, to give
	  'precision-reducing' overlay operation a chance to handle it (it
	  seems to work)

2006-03-10 13:07  strk

	* source/geomgraph/EdgeRing.cpp: fine-tuned includes, reverted
	  Assert=>assert due to user-input based failure

2006-03-10 12:50  strk

	* configure.in, tests/unit/Makefile.am,
	  tests/unit/envelope_class_test.cpp: boost detection code fix,
	  first UTF source for testing purposes

2006-03-10 12:43  strk

	* TODO: updated

2006-03-10 12:09  strk

	* configure.in: Update configure script to work with new boost.m4
	  file

2006-03-10 11:49  strk

	* macros/boost.m4: Updated boost detection macro

2006-03-10 11:41  strk

